package require GdkPixbuf

# Write out frames of an animated image

proc main {argv} {
    set type png

    foreach img $argv {
	set an [gdk::pixbuf_animation new_from_file $img err]

	if {[g::handle is_null $an]} {
	    error [lindex $err 2]
	}

	set prefix [file rootname [file tail $img]]
	set i 0
	set t 0

	set iter [gdk::pixbuf_animation get_iter $an $t]
	set pb [gdk::pixbuf_animation_iter get_pixbuf $iter]
	
	set res [gdk::pixbuf save $pb $prefix-[incr i].$type $type {} err]
	
	if {!$res} {
	    error [lindex $err 2]
	}

	# Save pixels of first frame so we can figure out when we loop
	set first [gdk::pixbuf get_pixels $pb]

	set delay [gdk::pixbuf_animation_iter get_delay_time $iter]
	incr t [expr {$delay * 1000}]

	while {[gdk::pixbuf_animation_iter advance $iter $t]} {
	    set pb [gdk::pixbuf_animation_iter get_pixbuf $iter]
	    
	    if {$first eq [gdk::pixbuf get_pixels $pb]} {
		break
	    }

	    set res [gdk::pixbuf savev $pb $prefix-[incr i].$type $type {} err]
	    
	    if {!$res} {
		error [lindex $err 2]
	    }

	    set delay [gdk::pixbuf_animation_iter get_delay_time $iter]
	    incr t [expr {$delay * 1000}]
	}
    }
}

main $argv
