package require Gtk

# Create a button in a toplevel window.
# Plays with a view gobject commands.

proc main {argv} {
    set w [gtk::window new toplevel]
    set b [g::new -cmd GtkButton label test relief half]

    $b set use-underline false
    set underline [$b get use-underline]

    gtk::container add $w $b

    g::object set_data $b test "test data"
    puts "got: [$b get_data test]"
    puts "stole: [$b steal_data test]"

    g::object set_data_full $b test whee {puts "test data gone"}

    g::signal connect $w delete_event exit
    g::signal connect $b clicked {
	puts "clicked $_"
	puts "destroying button"
	gtk::widget destroy [lindex $_ 0]
    }

    gtk::widget show_all $w
}

main $argv
vwait forever

