/**!
 * atk.stub.func.atk::component add_focus_handler:
 * atk::component add_focus_handler
 * atk_component_add_focus_handler
 *
 *> Usage
 *   @name          %AtkComponent*
 *   @name          %AtkFocusHandler
 *   Return value   %guint
 *
 * Wraps %atk_component_add_focus_handler.
 **/

static int cmd_atk_component_add_focus_handler (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* ATK_TYPE_COMPONENT */
  arg = cval_gather (interp, objc, objv, 4, sig, 0X2, "AtkFocusHandler");

  if (!arg) {
    return TCL_ERROR;
  }

  /* guint AtkComponent* AtkFocusHandler */
  arg[0].int_val = atk_component_add_focus_handler (arg[1].ptr_val, 0);

  /* G_TYPE_UINT */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * atk.stub.func.atk::component get_extents:
 * atk::component get_extents
 * atk_component_get_extents
 *
 *> Usage
 *   @name          %AtkComponent*
 *   @name          %gint*
 *   @name          %gint*
 *   @name          %gint*
 *   @name          %gint*
 *   @name          %AtkCoordType
 *   Return value   %void
 *
 * Wraps %atk_component_get_extents.
 **/

static int cmd_atk_component_get_extents (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* ATK_TYPE_COMPONENT ATK_TYPE_COORD_TYPE */
  arg = cval_gather (interp, objc, objv, 8, sig, 0X1E, "gint*", "gint*", "gint*", "gint*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void AtkComponent* gint* gint* gint* gint* AtkCoordType */
  atk_component_get_extents (arg[1].ptr_val, 0, 0, 0, 0, arg[2].int_val);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * atk.stub.func.atk::component get_position:
 * atk::component get_position
 * atk_component_get_position
 *
 *> Usage
 *   @name          %AtkComponent*
 *   @name          %gint*
 *   @name          %gint*
 *   @name          %AtkCoordType
 *   Return value   %void
 *
 * Wraps %atk_component_get_position.
 **/

static int cmd_atk_component_get_position (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* ATK_TYPE_COMPONENT ATK_TYPE_COORD_TYPE */
  arg = cval_gather (interp, objc, objv, 6, sig, 0X6, "gint*", "gint*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void AtkComponent* gint* gint* AtkCoordType */
  atk_component_get_position (arg[1].ptr_val, 0, 0, arg[2].int_val);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * atk.stub.func.atk::component get_size:
 * atk::component get_size
 * atk_component_get_size
 *
 *> Usage
 *   @name          %AtkComponent*
 *   @name          %gint*
 *   @name          %gint*
 *   Return value   %void
 *
 * Wraps %atk_component_get_size.
 **/

static int cmd_atk_component_get_size (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* ATK_TYPE_COMPONENT */
  arg = cval_gather (interp, objc, objv, 5, sig, 0X6, "gint*", "gint*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void AtkComponent* gint* gint* */
  atk_component_get_size (arg[1].ptr_val, 0, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * atk.stub.func.atk::document get_document:
 * atk::document get_document
 * atk_document_get_document
 *
 *> Usage
 *   @name          %AtkDocument*
 *   Return value   %gpointer
 *
 * Wraps %atk_document_get_document.
 **/

static int cmd_atk_document_get_document (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* ATK_TYPE_DOCUMENT */
  arg = cval_gather (interp, objc, objv, 3, sig, 0);

  if (!arg) {
    return TCL_ERROR;
  }

  /* gpointer AtkDocument* */
  /* arg[0].???_val = */ atk_document_get_document (arg[1].ptr_val);

  /* ??? */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * atk.stub.func.atk::editable_text set_run_attributes:
 * atk::editable_text set_run_attributes
 * atk_editable_text_set_run_attributes
 *
 *> Usage
 *   @name          %AtkEditableText*
 *   @name          %AtkAttributeSet*
 *   @name          %gint
 *   @name          %gint
 *   Return value   %gboolean
 *
 * Wraps %atk_editable_text_set_run_attributes.
 **/

static int cmd_atk_editable_text_set_run_attributes (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* ATK_TYPE_EDITABLE_TEXT G_TYPE_INT G_TYPE_INT */
  arg = cval_gather (interp, objc, objv, 6, sig, 0X2, "AtkAttributeSet*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* gboolean AtkEditableText* AtkAttributeSet* gint gint */
  arg[0].int_val = atk_editable_text_set_run_attributes (arg[1].ptr_val, 0, arg[2].int_val, arg[3].int_val);

  /* G_TYPE_BOOLEAN */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * atk.stub.func.atk::editable_text insert_text:
 * atk::editable_text insert_text
 * atk_editable_text_insert_text
 *
 *> Usage
 *   @name          %AtkEditableText*
 *   @name          %gchar*
 *   @name          %gint
 *   @name          %gint*
 *   Return value   %void
 *
 * Wraps %atk_editable_text_insert_text.
 **/

static int cmd_atk_editable_text_insert_text (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* ATK_TYPE_EDITABLE_TEXT G_TYPE_STRING G_TYPE_INT */
  arg = cval_gather (interp, objc, objv, 6, sig, 0X8, "gint*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void AtkEditableText* {const gchar*} gint gint* */
  atk_editable_text_insert_text (arg[1].ptr_val, arg[2].ptr_val, arg[3].int_val, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * atk.stub.func.atk::image get_image_size:
 * atk::image get_image_size
 * atk_image_get_image_size
 *
 *> Usage
 *   @name          %AtkImage*
 *   @name          %gint*
 *   @name          %gint*
 *   Return value   %void
 *
 * Wraps %atk_image_get_image_size.
 **/

static int cmd_atk_image_get_image_size (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* ATK_TYPE_IMAGE */
  arg = cval_gather (interp, objc, objv, 5, sig, 0X6, "gint*", "gint*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void AtkImage* gint* gint* */
  atk_image_get_image_size (arg[1].ptr_val, 0, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * atk.stub.func.atk::image get_image_position:
 * atk::image get_image_position
 * atk_image_get_image_position
 *
 *> Usage
 *   @name          %AtkImage*
 *   @name          %gint*
 *   @name          %gint*
 *   @name          %AtkCoordType
 *   Return value   %void
 *
 * Wraps %atk_image_get_image_position.
 **/

static int cmd_atk_image_get_image_position (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* ATK_TYPE_IMAGE ATK_TYPE_COORD_TYPE */
  arg = cval_gather (interp, objc, objv, 6, sig, 0X6, "gint*", "gint*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void AtkImage* gint* gint* AtkCoordType */
  atk_image_get_image_position (arg[1].ptr_val, 0, 0, arg[2].int_val);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * atk.stub.func.atk::object connect_property_change_handler:
 * atk::object connect_property_change_handler
 * atk_object_connect_property_change_handler
 *
 *> Usage
 *   @name          %AtkObject*
 *   @name          %AtkPropertyChangeHandler*
 *   Return value   %guint
 *
 * Wraps %atk_object_connect_property_change_handler.
 **/

static int cmd_atk_object_connect_property_change_handler (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* ATK_TYPE_OBJECT */
  arg = cval_gather (interp, objc, objv, 4, sig, 0X2, "AtkPropertyChangeHandler*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* guint AtkObject* AtkPropertyChangeHandler* */
  arg[0].int_val = atk_object_connect_property_change_handler (arg[1].ptr_val, 0);

  /* G_TYPE_UINT */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * atk.stub.func.atk::object notify_state_change:
 * atk::object notify_state_change
 * atk_object_notify_state_change
 *
 *> Usage
 *   @name          %AtkObject*
 *   @name          %AtkState
 *   @name          %gboolean
 *   Return value   %void
 *
 * Wraps %atk_object_notify_state_change.
 **/

static int cmd_atk_object_notify_state_change (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* ATK_TYPE_OBJECT G_TYPE_BOOLEAN */
  arg = cval_gather (interp, objc, objv, 5, sig, 0X2, "AtkState");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void AtkObject* AtkState gboolean */
  atk_object_notify_state_change (arg[1].ptr_val, 0, arg[2].int_val);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * atk.stub.func.atk::object initialize:
 * atk::object initialize
 * atk_object_initialize
 *
 *> Usage
 *   @name          %AtkObject*
 *   @name          %gpointer
 *   Return value   %void
 *
 * Wraps %atk_object_initialize.
 **/

static int cmd_atk_object_initialize (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* ATK_TYPE_OBJECT */
  arg = cval_gather (interp, objc, objv, 4, sig, 0X2, "gpointer");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void AtkObject* gpointer */
  atk_object_initialize (arg[1].ptr_val, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * atk.stub.func.atk::relation new:
 * atk::relation new
 * atk_relation_new
 *
 *> Usage
 *   @name          %AtkObject**
 *   @name          %gint
 *   @name          %AtkRelationType
 *   Return value   %AtkRelation*
 *
 * Wraps %atk_relation_new.
 **/

static int cmd_atk_relation_new (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* G_TYPE_INT ATK_TYPE_RELATION_TYPE */
  arg = cval_gather (interp, objc, objv, 5, sig, 0X1, "AtkObject**");

  if (!arg) {
    return TCL_ERROR;
  }

  /* AtkRelation* AtkObject** gint AtkRelationType */
  arg[0].ptr_val = atk_relation_new (0, arg[1].int_val, arg[2].int_val);

  /* ATK_TYPE_RELATION */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * atk.stub.func.atk::relation get_target:
 * atk::relation get_target
 * atk_relation_get_target
 *
 *> Usage
 *   @name          %AtkRelation*
 *   Return value   %GPtrArray*
 *
 * Wraps %atk_relation_get_target.
 **/

static int cmd_atk_relation_get_target (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* ATK_TYPE_RELATION */
  arg = cval_gather (interp, objc, objv, 3, sig, 0);

  if (!arg) {
    return TCL_ERROR;
  }

  /* GPtrArray* AtkRelation* */
  /* arg[0].???_val = */ atk_relation_get_target (arg[1].ptr_val);

  /* ??? */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * atk.stub.func.atk::streamable_content get_stream:
 * atk::streamable_content get_stream
 * atk_streamable_content_get_stream
 *
 *> Usage
 *   @name          %AtkStreamableContent*
 *   @name          %gchar*
 *   Return value   %GIOChannel*
 *
 * Wraps %atk_streamable_content_get_stream.
 **/

static int cmd_atk_streamable_content_get_stream (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* ATK_TYPE_STREAMABLE_CONTENT G_TYPE_STRING */
  arg = cval_gather (interp, objc, objv, 4, sig, 0);

  if (!arg) {
    return TCL_ERROR;
  }

  /* GIOChannel* AtkStreamableContent* {const gchar*} */
  /* arg[0].???_val = */ atk_streamable_content_get_stream (arg[1].ptr_val, arg[2].ptr_val);

  /* ??? */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * atk.stub.func.atk::table get_selected_columns:
 * atk::table get_selected_columns
 * atk_table_get_selected_columns
 *
 *> Usage
 *   @name          %AtkTable*
 *   @name          %gint**
 *   Return value   %gint
 *
 * Wraps %atk_table_get_selected_columns.
 **/

static int cmd_atk_table_get_selected_columns (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* ATK_TYPE_TABLE */
  arg = cval_gather (interp, objc, objv, 4, sig, 0X2, "gint**");

  if (!arg) {
    return TCL_ERROR;
  }

  /* gint AtkTable* gint** */
  arg[0].int_val = atk_table_get_selected_columns (arg[1].ptr_val, 0);

  /* G_TYPE_INT */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * atk.stub.func.atk::table get_selected_rows:
 * atk::table get_selected_rows
 * atk_table_get_selected_rows
 *
 *> Usage
 *   @name          %AtkTable*
 *   @name          %gint**
 *   Return value   %gint
 *
 * Wraps %atk_table_get_selected_rows.
 **/

static int cmd_atk_table_get_selected_rows (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* ATK_TYPE_TABLE */
  arg = cval_gather (interp, objc, objv, 4, sig, 0X2, "gint**");

  if (!arg) {
    return TCL_ERROR;
  }

  /* gint AtkTable* gint** */
  arg[0].int_val = atk_table_get_selected_rows (arg[1].ptr_val, 0);

  /* G_TYPE_INT */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * atk.stub.func.atk::text get_character_at_offset:
 * atk::text get_character_at_offset
 * atk_text_get_character_at_offset
 *
 *> Usage
 *   @name          %AtkText*
 *   @name          %gint
 *   Return value   %gunichar
 *
 * Wraps %atk_text_get_character_at_offset.
 **/

static int cmd_atk_text_get_character_at_offset (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* ATK_TYPE_TEXT G_TYPE_INT */
  arg = cval_gather (interp, objc, objv, 4, sig, 0);

  if (!arg) {
    return TCL_ERROR;
  }

  /* gunichar AtkText* gint */
  /* arg[0].???_val = */ atk_text_get_character_at_offset (arg[1].ptr_val, arg[2].int_val);

  /* ??? */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * atk.stub.func.atk::text get_text_after_offset:
 * atk::text get_text_after_offset
 * atk_text_get_text_after_offset
 *
 *> Usage
 *   @name          %AtkText*
 *   @name          %gint
 *   @name          %AtkTextBoundary
 *   @name          %gint*
 *   @name          %gint*
 *   Return value   %gchar*
 *
 * Wraps %atk_text_get_text_after_offset.
 **/

static int cmd_atk_text_get_text_after_offset (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* ATK_TYPE_TEXT G_TYPE_INT ATK_TYPE_TEXT_BOUNDARY */
  arg = cval_gather (interp, objc, objv, 7, sig, 0X18, "gint*", "gint*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* gchar* AtkText* gint AtkTextBoundary gint* gint* */
  arg[0].ptr_val = atk_text_get_text_after_offset (arg[1].ptr_val, arg[2].int_val, arg[3].int_val, 0, 0);

  /* G_TYPE_STRING_DYNAMIC */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * atk.stub.func.atk::text get_text_at_offset:
 * atk::text get_text_at_offset
 * atk_text_get_text_at_offset
 *
 *> Usage
 *   @name          %AtkText*
 *   @name          %gint
 *   @name          %AtkTextBoundary
 *   @name          %gint*
 *   @name          %gint*
 *   Return value   %gchar*
 *
 * Wraps %atk_text_get_text_at_offset.
 **/

static int cmd_atk_text_get_text_at_offset (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* ATK_TYPE_TEXT G_TYPE_INT ATK_TYPE_TEXT_BOUNDARY */
  arg = cval_gather (interp, objc, objv, 7, sig, 0X18, "gint*", "gint*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* gchar* AtkText* gint AtkTextBoundary gint* gint* */
  arg[0].ptr_val = atk_text_get_text_at_offset (arg[1].ptr_val, arg[2].int_val, arg[3].int_val, 0, 0);

  /* G_TYPE_STRING_DYNAMIC */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * atk.stub.func.atk::text get_text_before_offset:
 * atk::text get_text_before_offset
 * atk_text_get_text_before_offset
 *
 *> Usage
 *   @name          %AtkText*
 *   @name          %gint
 *   @name          %AtkTextBoundary
 *   @name          %gint*
 *   @name          %gint*
 *   Return value   %gchar*
 *
 * Wraps %atk_text_get_text_before_offset.
 **/

static int cmd_atk_text_get_text_before_offset (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* ATK_TYPE_TEXT G_TYPE_INT ATK_TYPE_TEXT_BOUNDARY */
  arg = cval_gather (interp, objc, objv, 7, sig, 0X18, "gint*", "gint*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* gchar* AtkText* gint AtkTextBoundary gint* gint* */
  arg[0].ptr_val = atk_text_get_text_before_offset (arg[1].ptr_val, arg[2].int_val, arg[3].int_val, 0, 0);

  /* G_TYPE_STRING_DYNAMIC */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * atk.stub.func.atk::text get_character_extents:
 * atk::text get_character_extents
 * atk_text_get_character_extents
 *
 *> Usage
 *   @name          %AtkText*
 *   @name          %gint
 *   @name          %gint*
 *   @name          %gint*
 *   @name          %gint*
 *   @name          %gint*
 *   @name          %AtkCoordType
 *   Return value   %void
 *
 * Wraps %atk_text_get_character_extents.
 **/

static int cmd_atk_text_get_character_extents (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* ATK_TYPE_TEXT G_TYPE_INT ATK_TYPE_COORD_TYPE */
  arg = cval_gather (interp, objc, objv, 9, sig, 0X3C, "gint*", "gint*", "gint*", "gint*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void AtkText* gint gint* gint* gint* gint* AtkCoordType */
  atk_text_get_character_extents (arg[1].ptr_val, arg[2].int_val, 0, 0, 0, 0, arg[3].int_val);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * atk.stub.func.atk::text get_run_attributes:
 * atk::text get_run_attributes
 * atk_text_get_run_attributes
 *
 *> Usage
 *   @name          %AtkText*
 *   @name          %gint
 *   @name          %gint*
 *   @name          %gint*
 *   Return value   %AtkAttributeSet*
 *
 * Wraps %atk_text_get_run_attributes.
 **/

static int cmd_atk_text_get_run_attributes (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* ATK_TYPE_TEXT G_TYPE_INT */
  arg = cval_gather (interp, objc, objv, 6, sig, 0XC, "gint*", "gint*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* AtkAttributeSet* AtkText* gint gint* gint* */
  /* arg[0].???_val = */ atk_text_get_run_attributes (arg[1].ptr_val, arg[2].int_val, 0, 0);

  /* ??? */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * atk.stub.func.atk::text get_default_attributes:
 * atk::text get_default_attributes
 * atk_text_get_default_attributes
 *
 *> Usage
 *   @name          %AtkText*
 *   Return value   %AtkAttributeSet*
 *
 * Wraps %atk_text_get_default_attributes.
 **/

static int cmd_atk_text_get_default_attributes (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* ATK_TYPE_TEXT */
  arg = cval_gather (interp, objc, objv, 3, sig, 0);

  if (!arg) {
    return TCL_ERROR;
  }

  /* AtkAttributeSet* AtkText* */
  /* arg[0].???_val = */ atk_text_get_default_attributes (arg[1].ptr_val);

  /* ??? */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * atk.stub.func.atk::text get_selection:
 * atk::text get_selection
 * atk_text_get_selection
 *
 *> Usage
 *   @name          %AtkText*
 *   @name          %gint
 *   @name          %gint*
 *   @name          %gint*
 *   Return value   %gchar*
 *
 * Wraps %atk_text_get_selection.
 **/

static int cmd_atk_text_get_selection (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* ATK_TYPE_TEXT G_TYPE_INT */
  arg = cval_gather (interp, objc, objv, 6, sig, 0XC, "gint*", "gint*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* gchar* AtkText* gint gint* gint* */
  arg[0].ptr_val = atk_text_get_selection (arg[1].ptr_val, arg[2].int_val, 0, 0);

  /* G_TYPE_STRING_DYNAMIC */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}


/**!
 * atk.status:
 * 
 * Automatically handled functions:
 *{
 * %atk_text_attribute_get_type
 * %atk_key_event_type_get_type
 * %atk_relation_type_get_type
 * %atk_text_boundary_get_type
 * %atk_state_type_get_type
 * %atk_coord_type_get_type
 * %atk_layer_get_type
 * %atk_role_get_type
 * %atk_action_get_type
 * %atk_action_do_action
 * %atk_action_get_n_actions
 * %atk_action_get_description
 * %atk_action_get_name
 * %atk_action_get_keybinding
 * %atk_action_set_description
 * %atk_action_get_localized_name
 * %atk_component_get_type
 * %atk_component_contains
 * %atk_component_ref_accessible_at_point
 * %atk_component_get_layer
 * %atk_component_get_mdi_zorder
 * %atk_component_grab_focus
 * %atk_component_remove_focus_handler
 * %atk_component_set_extents
 * %atk_component_set_position
 * %atk_component_set_size
 * %atk_document_get_type
 * %atk_document_get_document_type
 * %atk_editable_text_get_type
 * %atk_editable_text_set_text_contents
 * %atk_editable_text_copy_text
 * %atk_editable_text_cut_text
 * %atk_editable_text_delete_text
 * %atk_editable_text_paste_text
 * %atk_gobject_accessible_get_type
 * %atk_gobject_accessible_for_object
 * %atk_gobject_accessible_get_object
 * %atk_hyperlink_get_type
 * %atk_hyperlink_get_uri
 * %atk_hyperlink_get_object
 * %atk_hyperlink_get_end_index
 * %atk_hyperlink_get_start_index
 * %atk_hyperlink_is_valid
 * %atk_hyperlink_get_n_anchors
 * %atk_hypertext_get_type
 * %atk_hypertext_get_link
 * %atk_hypertext_get_n_links
 * %atk_hypertext_get_link_index
 * %atk_image_get_type
 * %atk_image_get_image_description
 * %atk_image_set_image_description
 * %atk_no_op_object_get_type
 * %atk_no_op_object_new
 * %atk_no_op_object_factory_get_type
 * %atk_no_op_object_factory_new
 * %atk_implementor_get_type
 * %atk_implementor_ref_accessible
 * %atk_object_get_type
 * %atk_object_get_name
 * %atk_object_get_description
 * %atk_object_get_parent
 * %atk_object_get_n_accessible_children
 * %atk_object_ref_accessible_child
 * %atk_object_ref_relation_set
 * %atk_object_get_role
 * %atk_object_get_layer
 * %atk_object_get_mdi_zorder
 * %atk_object_ref_state_set
 * %atk_object_get_index_in_parent
 * %atk_object_set_name
 * %atk_object_set_description
 * %atk_object_set_parent
 * %atk_object_set_role
 * %atk_object_remove_property_change_handler
 * %atk_object_add_relationship
 * %atk_object_remove_relationship
 * %atk_object_factory_get_type
 * %atk_object_factory_create_accessible
 * %atk_object_factory_invalidate
 * %atk_object_factory_get_accessible_type
 * %atk_registry_get_type
 * %atk_registry_set_factory_type
 * %atk_registry_get_factory_type
 * %atk_registry_get_factory
 * %atk_relation_get_type
 * %atk_relation_type_register
 * %atk_relation_type_get_name
 * %atk_relation_type_for_name
 * %atk_relation_get_relation_type
 * %atk_relation_set_get_type
 * %atk_relation_set_new
 * %atk_relation_set_contains
 * %atk_relation_set_remove
 * %atk_relation_set_add
 * %atk_relation_set_get_n_relations
 * %atk_relation_set_get_relation
 * %atk_relation_set_get_relation_by_type
 * %atk_selection_get_type
 * %atk_selection_add_selection
 * %atk_selection_clear_selection
 * %atk_selection_ref_selection
 * %atk_selection_get_selection_count
 * %atk_selection_is_child_selected
 * %atk_selection_remove_selection
 * %atk_selection_select_all_selection
 * %atk_state_set_get_type
 * %atk_state_set_new
 * %atk_state_set_is_empty
 * %atk_state_set_add_state
 * %atk_state_set_add_states
 * %atk_state_set_clear_states
 * %atk_state_set_contains_state
 * %atk_state_set_contains_states
 * %atk_state_set_remove_state
 * %atk_state_set_and_sets
 * %atk_state_set_or_sets
 * %atk_state_set_xor_sets
 * %atk_streamable_content_get_type
 * %atk_streamable_content_get_n_mime_types
 * %atk_streamable_content_get_mime_type
 * %atk_table_get_type
 * %atk_table_ref_at
 * %atk_table_get_index_at
 * %atk_table_get_column_at_index
 * %atk_table_get_row_at_index
 * %atk_table_get_n_columns
 * %atk_table_get_n_rows
 * %atk_table_get_column_extent_at
 * %atk_table_get_row_extent_at
 * %atk_table_get_caption
 * %atk_table_get_column_description
 * %atk_table_get_column_header
 * %atk_table_get_row_description
 * %atk_table_get_row_header
 * %atk_table_get_summary
 * %atk_table_set_caption
 * %atk_table_set_column_description
 * %atk_table_set_column_header
 * %atk_table_set_row_description
 * %atk_table_set_row_header
 * %atk_table_set_summary
 * %atk_table_is_column_selected
 * %atk_table_is_row_selected
 * %atk_table_is_selected
 * %atk_table_add_row_selection
 * %atk_table_remove_row_selection
 * %atk_table_add_column_selection
 * %atk_table_remove_column_selection
 * %atk_text_attribute_register
 * %atk_text_get_type
 * %atk_text_get_text
 * %atk_text_get_caret_offset
 * %atk_text_get_character_count
 * %atk_text_get_offset_at_point
 * %atk_text_get_n_selections
 * %atk_text_add_selection
 * %atk_text_remove_selection
 * %atk_text_set_selection
 * %atk_text_set_caret_offset
 * %atk_text_attribute_get_name
 * %atk_text_attribute_for_name
 * %atk_text_attribute_get_value
 * %atk_util_get_type
 * %atk_value_get_type
 * %atk_value_get_current_value
 * %atk_value_get_maximum_value
 * %atk_value_get_minimum_value
 * %atk_value_set_current_value
 *}
 *
 * Manually handled functions:
 *{
 *}
 * 
 * Unimplmented stubs:
 *{
 * atk::component add_focus_handler (%atk_component_add_focus_handler)
 * atk::component get_extents (%atk_component_get_extents)
 * atk::component get_position (%atk_component_get_position)
 * atk::component get_size (%atk_component_get_size)
 * atk::document get_document (%atk_document_get_document)
 * atk::editable_text set_run_attributes (%atk_editable_text_set_run_attributes)
 * atk::editable_text insert_text (%atk_editable_text_insert_text)
 * atk::image get_image_size (%atk_image_get_image_size)
 * atk::image get_image_position (%atk_image_get_image_position)
 * atk::object connect_property_change_handler (%atk_object_connect_property_change_handler)
 * atk::object notify_state_change (%atk_object_notify_state_change)
 * atk::object initialize (%atk_object_initialize)
 * atk::relation new (%atk_relation_new)
 * atk::relation get_target (%atk_relation_get_target)
 * atk::streamable_content get_stream (%atk_streamable_content_get_stream)
 * atk::table get_selected_columns (%atk_table_get_selected_columns)
 * atk::table get_selected_rows (%atk_table_get_selected_rows)
 * atk::text get_character_at_offset (%atk_text_get_character_at_offset)
 * atk::text get_text_after_offset (%atk_text_get_text_after_offset)
 * atk::text get_text_at_offset (%atk_text_get_text_at_offset)
 * atk::text get_text_before_offset (%atk_text_get_text_before_offset)
 * atk::text get_character_extents (%atk_text_get_character_extents)
 * atk::text get_run_attributes (%atk_text_get_run_attributes)
 * atk::text get_default_attributes (%atk_text_get_default_attributes)
 * atk::text get_selection (%atk_text_get_selection)
 *}
 **/
