/**!
 * gdk-pixbuf.stub.func.gdk::pixbuf new_from_inline:
 * gdk::pixbuf new_from_inline
 * gdk_pixbuf_new_from_inline
 *
 *> Usage
 *   @name          %gint
 *   @name          %guint8*
 *   @name          %gboolean
 *   @name          %GError**
 *   Return value   %GdkPixbuf*
 *
 * Wraps %gdk_pixbuf_new_from_inline.
 **/

static int cmd_gdk_pixbuf_new_from_inline (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* G_TYPE_INT G_TYPE_BOOLEAN */
  arg = cval_gather (interp, objc, objv, 6, sig, 0XA, "const guint8*", "GError**");

  if (!arg) {
    return TCL_ERROR;
  }

  /* GdkPixbuf* gint {const guint8*} gboolean GError** */
  arg[0].ptr_val = gdk_pixbuf_new_from_inline (arg[1].int_val, 0, arg[2].int_val, 0);

  /* GDK_TYPE_PIXBUF */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}


/**!
 * gdk-pixbuf.status:
 * 
 * Automatically handled functions:
 *{
 * %gdk_pixbuf_alpha_mode_get_type
 * %gdk_pixbuf_error_get_type
 * %gdk_interp_type_get_type
 * %gdk_colorspace_get_type
 * %gdk_pixbuf_loader_get_type
 * %gdk_pixbuf_loader_new
 * %gdk_pixbuf_loader_get_pixbuf
 * %gdk_pixbuf_loader_get_animation
 * %gdk_pixbuf_animation_iter_get_type
 * %gdk_pixbuf_animation_iter_get_delay_time
 * %gdk_pixbuf_animation_iter_get_pixbuf
 * %gdk_pixbuf_animation_iter_on_currently_loading_frame
 * %gdk_pixbuf_animation_get_type
 * %gdk_pixbuf_animation_get_width
 * %gdk_pixbuf_animation_get_height
 * %gdk_pixbuf_animation_is_static_image
 * %gdk_pixbuf_animation_get_static_image
 * %gdk_pixbuf_error_quark
 * %gdk_pixbuf_get_type
 * %gdk_pixbuf_get_colorspace
 * %gdk_pixbuf_get_n_channels
 * %gdk_pixbuf_get_has_alpha
 * %gdk_pixbuf_get_bits_per_sample
 * %gdk_pixbuf_get_width
 * %gdk_pixbuf_get_height
 * %gdk_pixbuf_get_rowstride
 * %gdk_pixbuf_new
 * %gdk_pixbuf_copy
 * %gdk_pixbuf_new_subpixbuf
 * %gdk_pixbuf_fill
 * %gdk_pixbuf_add_alpha
 * %gdk_pixbuf_copy_area
 * %gdk_pixbuf_saturate_and_pixelate
 * %gdk_pixbuf_scale
 * %gdk_pixbuf_composite
 * %gdk_pixbuf_composite_color
 * %gdk_pixbuf_scale_simple
 * %gdk_pixbuf_composite_color_simple
 * %gdk_pixbuf_get_option
 *}
 *
 * Manually handled functions:
 *{
 * &{gdk::pixbuf_loader new_with_type} (%gdk_pixbuf_loader_new_with_type)
 * &{gdk::pixbuf_loader write} (%gdk_pixbuf_loader_write)
 * &{gdk::pixbuf_loader close} (%gdk_pixbuf_loader_close)
 * &{gdk::pixbuf_animation_iter advance} (%gdk_pixbuf_animation_iter_advance)
 * &{gdk::pixbuf_animation new_from_file} (%gdk_pixbuf_animation_new_from_file)
 * &{gdk::pixbuf_animation get_iter} (%gdk_pixbuf_animation_get_iter)
 * &{gdk::pixbuf get_pixels} (%gdk_pixbuf_get_pixels)
 * &{gdk::pixbuf new_from_file} (%gdk_pixbuf_new_from_file)
 * &{gdk::pixbuf new_from_data} (%gdk_pixbuf_new_from_data)
 * &{gdk::pixbuf new_from_xpm_data} (%gdk_pixbuf_new_from_xpm_data)
 * &{gdk::pixbuf save} (%gdk_pixbuf_savev)
 *}
 * 
 * Unimplmented stubs:
 *{
 * gdk::pixbuf new_from_inline (%gdk_pixbuf_new_from_inline)
 *}
 **/
