/**!
 * gdk.notes:
 *
 * Only a bit of this that is useful for event handling in gdk is wrapped.
 * If the rest of gdk is useful, it could be wrapped, or the few event
 * handling commands needed moved into the Gtk package.
 *
 * A number of functions were added as accessors for the %GdkEvent structure.
 **/

/**!
 * gdk.cfunc.gdk_event_type:
 *
 * Accessor for the %GdkEvent struct.
 **/

static GdkEventType gdk_event_type (GdkEvent *ev)
{
  return ev->type;
}

/**!
 * gdk.cfunc.gdk_event_get_keymod:
 *
 * Accessor for the %GdkEvent struct.
 **/

static GdkModifierType gdk_event_get_keymod (GdkEvent *ev)
{
  return ((GdkEventKey*)ev)->state;
}

/**!
 * gdk.cfunc.gdk_event_get_keyval:
 * 
 * Accessor for the %GdkEvent struct.
 **/

static const char *gdk_event_get_keyval (GdkEvent *ev)
{
  return gdk_keyval_name (((GdkEventKey*)ev)->keyval);
}

/**!
 * gdk.cfunc.gdk_event_get_button:
 * 
 * Accessor for the %GdkEvent struct.
 **/

static guint gdk_event_get_button (GdkEvent *ev)
{
  return ((GdkEventButton*)ev)->button;
}
