/**!
 * gnome.stub.func.gnome::app add_toolbar:
 * gnome::app add_toolbar
 * gnome_app_add_toolbar
 *
 *> Usage
 *   @name          %GnomeApp*
 *   @name          %GtkToolbar*
 *   @name          %gchar*
 *   @name          %BonoboDockItemBehavior
 *   @name          %BonoboDockPlacement
 *   @name          %gint
 *   @name          %gint
 *   @name          %gint
 *   Return value   %void
 *
 * Wraps %gnome_app_add_toolbar.
 **/

static int cmd_gnome_app_add_toolbar (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GNOME_TYPE_APP GTK_TYPE_TOOLBAR G_TYPE_STRING G_TYPE_INT G_TYPE_INT G_TYPE_INT */
  arg = cval_gather (interp, objc, objv, 10, sig, 0X18, "BonoboDockItemBehavior", "BonoboDockPlacement");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GnomeApp* GtkToolbar* {const gchar*} BonoboDockItemBehavior BonoboDockPlacement gint gint gint */
  gnome_app_add_toolbar (arg[1].ptr_val, arg[2].ptr_val, arg[3].ptr_val, 0, 0, arg[4].int_val, arg[5].int_val, arg[6].int_val);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gnome.stub.func.gnome::app add_docked:
 * gnome::app add_docked
 * gnome_app_add_docked
 *
 *> Usage
 *   @name          %GnomeApp*
 *   @name          %GtkWidget*
 *   @name          %gchar*
 *   @name          %BonoboDockItemBehavior
 *   @name          %BonoboDockPlacement
 *   @name          %gint
 *   @name          %gint
 *   @name          %gint
 *   Return value   %GtkWidget*
 *
 * Wraps %gnome_app_add_docked.
 **/

static int cmd_gnome_app_add_docked (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GNOME_TYPE_APP GTK_TYPE_WIDGET G_TYPE_STRING G_TYPE_INT G_TYPE_INT G_TYPE_INT */
  arg = cval_gather (interp, objc, objv, 10, sig, 0X18, "BonoboDockItemBehavior", "BonoboDockPlacement");

  if (!arg) {
    return TCL_ERROR;
  }

  /* GtkWidget* GnomeApp* GtkWidget* {const gchar*} BonoboDockItemBehavior BonoboDockPlacement gint gint gint */
  arg[0].ptr_val = gnome_app_add_docked (arg[1].ptr_val, arg[2].ptr_val, arg[3].ptr_val, 0, 0, arg[4].int_val, arg[5].int_val, arg[6].int_val);

  /* GTK_TYPE_WIDGET */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gnome.stub.func.gnome::app add_dock_item:
 * gnome::app add_dock_item
 * gnome_app_add_dock_item
 *
 *> Usage
 *   @name          %GnomeApp*
 *   @name          %BonoboDockItem*
 *   @name          %BonoboDockPlacement
 *   @name          %gint
 *   @name          %gint
 *   @name          %gint
 *   Return value   %void
 *
 * Wraps %gnome_app_add_dock_item.
 **/

static int cmd_gnome_app_add_dock_item (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GNOME_TYPE_APP G_TYPE_INT G_TYPE_INT G_TYPE_INT */
  arg = cval_gather (interp, objc, objv, 8, sig, 0X6, "BonoboDockItem*", "BonoboDockPlacement");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GnomeApp* BonoboDockItem* BonoboDockPlacement gint gint gint */
  gnome_app_add_dock_item (arg[1].ptr_val, 0, 0, arg[2].int_val, arg[3].int_val, arg[4].int_val);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gnome.stub.func.gnome::app get_dock:
 * gnome::app get_dock
 * gnome_app_get_dock
 *
 *> Usage
 *   @name          %GnomeApp*
 *   Return value   %BonoboDock*
 *
 * Wraps %gnome_app_get_dock.
 **/

static int cmd_gnome_app_get_dock (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GNOME_TYPE_APP */
  arg = cval_gather (interp, objc, objv, 3, sig, 0);

  if (!arg) {
    return TCL_ERROR;
  }

  /* BonoboDock* GnomeApp* */
  /* arg[0].???_val = */ gnome_app_get_dock (arg[1].ptr_val);

  /* ??? */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gnome.stub.func.gnome::app get_dock_item_by_name:
 * gnome::app get_dock_item_by_name
 * gnome_app_get_dock_item_by_name
 *
 *> Usage
 *   @name          %GnomeApp*
 *   @name          %gchar*
 *   Return value   %BonoboDockItem*
 *
 * Wraps %gnome_app_get_dock_item_by_name.
 **/

static int cmd_gnome_app_get_dock_item_by_name (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GNOME_TYPE_APP G_TYPE_STRING */
  arg = cval_gather (interp, objc, objv, 4, sig, 0);

  if (!arg) {
    return TCL_ERROR;
  }

  /* BonoboDockItem* GnomeApp* {const gchar*} */
  /* arg[0].???_val = */ gnome_app_get_dock_item_by_name (arg[1].ptr_val, arg[2].ptr_val);

  /* ??? */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gnome.stub.func.gnome::client add_static_arg:
 * gnome::client add_static_arg
 * gnome_client_add_static_arg
 *
 *> Usage
 *   @name          %GnomeClient*
 *   @name          %...
 *   Return value   %void
 *
 * Wraps %gnome_client_add_static_arg.
 **/

static int cmd_gnome_client_add_static_arg (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GNOME_TYPE_CLIENT */
  arg = cval_gather (interp, objc, objv, 4, sig, 0X2, "...");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GnomeClient* ... */
  gnome_client_add_static_arg (arg[1].ptr_val, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gnome.stub.func.gnome::client request_interaction:
 * gnome::client request_interaction
 * gnome_client_request_interaction
 *
 *> Usage
 *   @name          %GnomeClient*
 *   @name          %GnomeDialogType
 *   @name          %GnomeInteractFunction
 *   @name          %gpointer
 *   Return value   %void
 *
 * Wraps %gnome_client_request_interaction.
 **/

static int cmd_gnome_client_request_interaction (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GNOME_TYPE_CLIENT GNOME_TYPE_DIALOG_TYPE */
  arg = cval_gather (interp, objc, objv, 6, sig, 0XC, "GnomeInteractFunction", "gpointer");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GnomeClient* GnomeDialogType GnomeInteractFunction gpointer */
  gnome_client_request_interaction (arg[1].ptr_val, arg[2].int_val, 0, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gnome.stub.func.gnome::client request_interaction_interp:
 * gnome::client request_interaction_interp
 * gnome_client_request_interaction_interp
 *
 *> Usage
 *   @name          %GnomeClient*
 *   @name          %GnomeDialogType
 *   @name          %GtkCallbackMarshal
 *   @name          %gpointer
 *   @name          %GtkDestroyNotify
 *   Return value   %void
 *
 * Wraps %gnome_client_request_interaction_interp.
 **/

static int cmd_gnome_client_request_interaction_interp (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GNOME_TYPE_CLIENT GNOME_TYPE_DIALOG_TYPE */
  arg = cval_gather (interp, objc, objv, 7, sig, 0X1C, "GtkCallbackMarshal", "gpointer", "GtkDestroyNotify");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GnomeClient* GnomeDialogType GtkCallbackMarshal gpointer GtkDestroyNotify */
  gnome_client_request_interaction_interp (arg[1].ptr_val, arg[2].int_val, 0, 0, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gnome.stub.func.gnome::color_picker get_d:
 * gnome::color_picker get_d
 * gnome_color_picker_get_d
 *
 *> Usage
 *   @name          %GnomeColorPicker*
 *   @name          %gdouble*
 *   @name          %gdouble*
 *   @name          %gdouble*
 *   @name          %gdouble*
 *   Return value   %void
 *
 * Wraps %gnome_color_picker_get_d.
 **/

static int cmd_gnome_color_picker_get_d (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GNOME_TYPE_COLOR_PICKER */
  arg = cval_gather (interp, objc, objv, 7, sig, 0X1E, "gdouble*", "gdouble*", "gdouble*", "gdouble*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GnomeColorPicker* gdouble* gdouble* gdouble* gdouble* */
  gnome_color_picker_get_d (arg[1].ptr_val, 0, 0, 0, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gnome.stub.func.gnome::color_picker get_i8:
 * gnome::color_picker get_i8
 * gnome_color_picker_get_i8
 *
 *> Usage
 *   @name          %GnomeColorPicker*
 *   @name          %guint8*
 *   @name          %guint8*
 *   @name          %guint8*
 *   @name          %guint8*
 *   Return value   %void
 *
 * Wraps %gnome_color_picker_get_i8.
 **/

static int cmd_gnome_color_picker_get_i8 (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GNOME_TYPE_COLOR_PICKER */
  arg = cval_gather (interp, objc, objv, 7, sig, 0X1E, "guint8*", "guint8*", "guint8*", "guint8*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GnomeColorPicker* guint8* guint8* guint8* guint8* */
  gnome_color_picker_get_i8 (arg[1].ptr_val, 0, 0, 0, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gnome.stub.func.gnome::color_picker get_i16:
 * gnome::color_picker get_i16
 * gnome_color_picker_get_i16
 *
 *> Usage
 *   @name          %GnomeColorPicker*
 *   @name          %gushort*
 *   @name          %gushort*
 *   @name          %gushort*
 *   @name          %gushort*
 *   Return value   %void
 *
 * Wraps %gnome_color_picker_get_i16.
 **/

static int cmd_gnome_color_picker_get_i16 (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GNOME_TYPE_COLOR_PICKER */
  arg = cval_gather (interp, objc, objv, 7, sig, 0X1E, "gushort*", "gushort*", "gushort*", "gushort*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GnomeColorPicker* gushort* gushort* gushort* gushort* */
  gnome_color_picker_get_i16 (arg[1].ptr_val, 0, 0, 0, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gnome.stub.func.gnome::druid new_with_window:
 * gnome::druid new_with_window
 * gnome_druid_new_with_window
 *
 *> Usage
 *   @name          %char*
 *   @name          %GtkWindow*
 *   @name          %gboolean
 *   @name          %GtkWidget**
 *   Return value   %GtkWidget*
 *
 * Wraps %gnome_druid_new_with_window.
 **/

static int cmd_gnome_druid_new_with_window (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* G_TYPE_STRING GTK_TYPE_WINDOW G_TYPE_BOOLEAN */
  arg = cval_gather (interp, objc, objv, 6, sig, 0X8, "GtkWidget**");

  if (!arg) {
    return TCL_ERROR;
  }

  /* GtkWidget* {const char*} GtkWindow* gboolean GtkWidget** */
  arg[0].ptr_val = gnome_druid_new_with_window (arg[1].ptr_val, arg[2].ptr_val, arg[3].int_val, 0);

  /* GTK_TYPE_WIDGET */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gnome.stub.func.gnome::icon_list get_selection:
 * gnome::icon_list get_selection
 * gnome_icon_list_get_selection
 *
 *> Usage
 *   @name          %GnomeIconList*
 *   Return value   %GList*
 *
 * Wraps %gnome_icon_list_get_selection.
 **/

static int cmd_gnome_icon_list_get_selection (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GNOME_TYPE_ICON_LIST */
  arg = cval_gather (interp, objc, objv, 3, sig, 0);

  if (!arg) {
    return TCL_ERROR;
  }

  /* GList* GnomeIconList* */
  /* arg[0].???_val = */ gnome_icon_list_get_selection (arg[1].ptr_val);

  /* ??? */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gnome.stub.func.gnome::icon_list set_icon_data:
 * gnome::icon_list set_icon_data
 * gnome_icon_list_set_icon_data
 *
 *> Usage
 *   @name          %GnomeIconList*
 *   @name          %int
 *   @name          %gpointer
 *   Return value   %void
 *
 * Wraps %gnome_icon_list_set_icon_data.
 **/

static int cmd_gnome_icon_list_set_icon_data (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GNOME_TYPE_ICON_LIST G_TYPE_INT */
  arg = cval_gather (interp, objc, objv, 5, sig, 0X4, "gpointer");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GnomeIconList* int gpointer */
  gnome_icon_list_set_icon_data (arg[1].ptr_val, arg[2].int_val, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gnome.stub.func.gnome::icon_list set_icon_data_full:
 * gnome::icon_list set_icon_data_full
 * gnome_icon_list_set_icon_data_full
 *
 *> Usage
 *   @name          %GnomeIconList*
 *   @name          %int
 *   @name          %gpointer
 *   @name          %GDestroyNotify
 *   Return value   %void
 *
 * Wraps %gnome_icon_list_set_icon_data_full.
 **/

static int cmd_gnome_icon_list_set_icon_data_full (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GNOME_TYPE_ICON_LIST G_TYPE_INT */
  arg = cval_gather (interp, objc, objv, 6, sig, 0XC, "gpointer", "GDestroyNotify");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GnomeIconList* int gpointer GDestroyNotify */
  gnome_icon_list_set_icon_data_full (arg[1].ptr_val, arg[2].int_val, 0, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gnome.stub.func.gnome::icon_list find_icon_from_data:
 * gnome::icon_list find_icon_from_data
 * gnome_icon_list_find_icon_from_data
 *
 *> Usage
 *   @name          %GnomeIconList*
 *   @name          %gpointer
 *   Return value   %int
 *
 * Wraps %gnome_icon_list_find_icon_from_data.
 **/

static int cmd_gnome_icon_list_find_icon_from_data (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GNOME_TYPE_ICON_LIST */
  arg = cval_gather (interp, objc, objv, 4, sig, 0X2, "gpointer");

  if (!arg) {
    return TCL_ERROR;
  }

  /* int GnomeIconList* gpointer */
  arg[0].int_val = gnome_icon_list_find_icon_from_data (arg[1].ptr_val, 0);

  /* G_TYPE_INT */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gnome.stub.func.gnome::icon_list get_icon_data:
 * gnome::icon_list get_icon_data
 * gnome_icon_list_get_icon_data
 *
 *> Usage
 *   @name          %GnomeIconList*
 *   @name          %int
 *   Return value   %gpointer
 *
 * Wraps %gnome_icon_list_get_icon_data.
 **/

static int cmd_gnome_icon_list_get_icon_data (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GNOME_TYPE_ICON_LIST G_TYPE_INT */
  arg = cval_gather (interp, objc, objv, 4, sig, 0);

  if (!arg) {
    return TCL_ERROR;
  }

  /* gpointer GnomeIconList* int */
  /* arg[0].???_val = */ gnome_icon_list_get_icon_data (arg[1].ptr_val, arg[2].int_val);

  /* ??? */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gnome.stub.func.gnome::icon_list get_icon_text_item:
 * gnome::icon_list get_icon_text_item
 * gnome_icon_list_get_icon_text_item
 *
 *> Usage
 *   @name          %GnomeIconList*
 *   @name          %int
 *   Return value   %GnomeIconTextItem*
 *
 * Wraps %gnome_icon_list_get_icon_text_item.
 **/

static int cmd_gnome_icon_list_get_icon_text_item (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GNOME_TYPE_ICON_LIST G_TYPE_INT */
  arg = cval_gather (interp, objc, objv, 4, sig, 0);

  if (!arg) {
    return TCL_ERROR;
  }

  /* GnomeIconTextItem* GnomeIconList* int */
  /* arg[0].???_val = */ gnome_icon_list_get_icon_text_item (arg[1].ptr_val, arg[2].int_val);

  /* ??? */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gnome.stub.func.gnome::icon_list get_icon_pixbuf_item:
 * gnome::icon_list get_icon_pixbuf_item
 * gnome_icon_list_get_icon_pixbuf_item
 *
 *> Usage
 *   @name          %GnomeIconList*
 *   @name          %int
 *   Return value   %GnomeCanvasPixbuf*
 *
 * Wraps %gnome_icon_list_get_icon_pixbuf_item.
 **/

static int cmd_gnome_icon_list_get_icon_pixbuf_item (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GNOME_TYPE_ICON_LIST G_TYPE_INT */
  arg = cval_gather (interp, objc, objv, 4, sig, 0);

  if (!arg) {
    return TCL_ERROR;
  }

  /* GnomeCanvasPixbuf* GnomeIconList* int */
  /* arg[0].???_val = */ gnome_icon_list_get_icon_pixbuf_item (arg[1].ptr_val, arg[2].int_val);

  /* ??? */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gnome.stub.func.gnome::help display_with_doc_id:
 * gnome::help display_with_doc_id
 * gnome_help_display_with_doc_id
 *
 *> Usage
 *   @name          %GnomeProgram*
 *   @name          %char*
 *   @name          %char*
 *   @name          %char*
 *   @name          %GError**
 *   Return value   %gboolean
 *
 * Wraps %gnome_help_display_with_doc_id.
 **/

static int cmd_gnome_help_display_with_doc_id (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GNOME_TYPE_PROGRAM G_TYPE_STRING G_TYPE_STRING G_TYPE_STRING */
  arg = cval_gather (interp, objc, objv, 7, sig, 0X10, "GError**");

  if (!arg) {
    return TCL_ERROR;
  }

  /* gboolean GnomeProgram* {const char*} {const char*} {const char*} GError** */
  arg[0].int_val = gnome_help_display_with_doc_id (arg[1].ptr_val, arg[2].ptr_val, arg[3].ptr_val, arg[4].ptr_val, 0);

  /* G_TYPE_BOOLEAN */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gnome.stub.func.gnome::help display_desktop:
 * gnome::help display_desktop
 * gnome_help_display_desktop
 *
 *> Usage
 *   @name          %GnomeProgram*
 *   @name          %char*
 *   @name          %char*
 *   @name          %char*
 *   @name          %GError**
 *   Return value   %gboolean
 *
 * Wraps %gnome_help_display_desktop.
 **/

static int cmd_gnome_help_display_desktop (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GNOME_TYPE_PROGRAM G_TYPE_STRING G_TYPE_STRING G_TYPE_STRING */
  arg = cval_gather (interp, objc, objv, 7, sig, 0X10, "GError**");

  if (!arg) {
    return TCL_ERROR;
  }

  /* gboolean GnomeProgram* {const char*} {const char*} {const char*} GError** */
  arg[0].int_val = gnome_help_display_desktop (arg[1].ptr_val, arg[2].ptr_val, arg[3].ptr_val, arg[4].ptr_val, 0);

  /* G_TYPE_BOOLEAN */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gnome.stub.func.gnome::help display_uri:
 * gnome::help display_uri
 * gnome_help_display_uri
 *
 *> Usage
 *   @name          %char*
 *   @name          %GError**
 *   Return value   %gboolean
 *
 * Wraps %gnome_help_display_uri.
 **/

static int cmd_gnome_help_display_uri (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* G_TYPE_STRING */
  arg = cval_gather (interp, objc, objv, 4, sig, 0X2, "GError**");

  if (!arg) {
    return TCL_ERROR;
  }

  /* gboolean {const char*} GError** */
  arg[0].int_val = gnome_help_display_uri (arg[1].ptr_val, 0);

  /* G_TYPE_BOOLEAN */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}


/**!
 * gnome.status:
 * 
 * Automatically handled functions:
 *{
 * %gnome_about_get_type
 * %gnome_app_get_type
 * %gnome_app_new
 * %gnome_app_set_menus
 * %gnome_app_set_toolbar
 * %gnome_app_set_statusbar
 * %gnome_app_set_statusbar_custom
 * %gnome_app_set_contents
 * %gnome_app_enable_layout_config
 * %gnome_appbar_get_type
 * %gnome_appbar_new
 * %gnome_appbar_set_status
 * %gnome_appbar_get_status
 * %gnome_appbar_set_default
 * %gnome_appbar_push
 * %gnome_appbar_pop
 * %gnome_appbar_clear_stack
 * %gnome_appbar_set_progress_percentage
 * %gnome_appbar_get_progress
 * %gnome_appbar_refresh
 * %gnome_appbar_set_prompt
 * %gnome_appbar_clear_prompt
 * %gnome_appbar_get_response
 * %gnome_client_module_info_get
 * %gnome_client_get_type
 * %gnome_client_get_config_prefix
 * %gnome_client_get_global_config_prefix
 * %gnome_client_set_global_config_prefix
 * %gnome_client_get_flags
 * %gnome_client_set_restart_style
 * %gnome_client_set_priority
 * %gnome_client_set_restart_command
 * %gnome_client_set_discard_command
 * %gnome_client_set_resign_command
 * %gnome_client_set_shutdown_command
 * %gnome_client_set_current_directory
 * %gnome_client_set_environment
 * %gnome_client_set_clone_command
 * %gnome_client_set_process_id
 * %gnome_client_set_program
 * %gnome_client_set_user_id
 * %gnome_client_save_any_dialog
 * %gnome_client_save_error_dialog
 * %gnome_client_request_phase_2
 * %gnome_client_request_save
 * %gnome_client_flush
 * %gnome_client_new
 * %gnome_client_new_without_connection
 * %gnome_client_connect
 * %gnome_client_disconnect
 * %gnome_client_set_id
 * %gnome_client_get_id
 * %gnome_client_get_previous_id
 * %gnome_client_get_desktop_id
 * %gnome_color_picker_get_type
 * %gnome_color_picker_new
 * %gnome_color_picker_set_d
 * %gnome_color_picker_set_i8
 * %gnome_color_picker_set_i16
 * %gnome_color_picker_set_dither
 * %gnome_color_picker_get_dither
 * %gnome_color_picker_set_use_alpha
 * %gnome_color_picker_get_use_alpha
 * %gnome_color_picker_set_title
 * %gnome_color_picker_get_title
 * %gnome_date_edit_get_type
 * %gnome_date_edit_new
 * %gnome_date_edit_new_flags
 * %gnome_date_edit_set_time
 * %gnome_date_edit_get_time
 * %gnome_date_edit_set_popup_range
 * %gnome_date_edit_set_flags
 * %gnome_date_edit_get_flags
 * %gnome_date_edit_get_initial_time
 * %gnome_druid_page_edge_get_type
 * %gnome_druid_page_edge_new
 * %gnome_druid_page_edge_new_aa
 * %gnome_druid_page_edge_new_with_vals
 * %gnome_druid_page_edge_set_bg_color
 * %gnome_druid_page_edge_set_textbox_color
 * %gnome_druid_page_edge_set_logo_bg_color
 * %gnome_druid_page_edge_set_title_color
 * %gnome_druid_page_edge_set_text_color
 * %gnome_druid_page_edge_set_text
 * %gnome_druid_page_edge_set_title
 * %gnome_druid_page_edge_set_logo
 * %gnome_druid_page_edge_set_watermark
 * %gnome_druid_page_edge_set_top_watermark
 * %gnome_druid_page_standard_get_type
 * %gnome_druid_page_standard_new
 * %gnome_druid_page_standard_new_with_vals
 * %gnome_druid_page_standard_set_title
 * %gnome_druid_page_standard_set_logo
 * %gnome_druid_page_standard_set_top_watermark
 * %gnome_druid_page_standard_set_title_foreground
 * %gnome_druid_page_standard_set_background
 * %gnome_druid_page_standard_set_logo_background
 * %gnome_druid_page_standard_set_contents_background
 * %gnome_druid_page_standard_append_item
 * %gnome_druid_page_get_type
 * %gnome_druid_page_new
 * %gnome_druid_page_next
 * %gnome_druid_page_prepare
 * %gnome_druid_page_back
 * %gnome_druid_page_cancel
 * %gnome_druid_page_finish
 * %gnome_druid_get_type
 * %gnome_druid_new
 * %gnome_druid_set_buttons_sensitive
 * %gnome_druid_set_show_finish
 * %gnome_druid_set_show_help
 * %gnome_druid_prepend_page
 * %gnome_druid_insert_page
 * %gnome_druid_append_page
 * %gnome_druid_set_page
 * %gnome_entry_get_type
 * %gnome_entry_new
 * %gnome_entry_gtk_entry
 * %gnome_entry_get_history_id
 * %gnome_entry_set_history_id
 * %gnome_entry_set_max_saved
 * %gnome_entry_get_max_saved
 * %gnome_entry_prepend_history
 * %gnome_entry_append_history
 * %gnome_entry_clear_history
 * %gnome_file_entry_get_type
 * %gnome_file_entry_new
 * %gnome_file_entry_gnome_entry
 * %gnome_file_entry_gtk_entry
 * %gnome_file_entry_set_title
 * %gnome_file_entry_set_default_path
 * %gnome_file_entry_set_directory_entry
 * %gnome_file_entry_get_directory_entry
 * %gnome_file_entry_get_full_path
 * %gnome_file_entry_set_filename
 * %gnome_file_entry_set_modal
 * %gnome_file_entry_get_modal
 * %gnome_font_picker_get_type
 * %gnome_font_picker_new
 * %gnome_font_picker_set_title
 * %gnome_font_picker_get_title
 * %gnome_font_picker_get_mode
 * %gnome_font_picker_set_mode
 * %gnome_font_picker_fi_set_use_font_in_label
 * %gnome_font_picker_fi_set_show_size
 * %gnome_font_picker_uw_set_widget
 * %gnome_font_picker_uw_get_widget
 * %gnome_font_picker_get_font_name
 * %gnome_font_picker_set_font_name
 * %gnome_font_picker_get_preview_text
 * %gnome_font_picker_set_preview_text
 * %gnome_font_picker_get_font
 * %gnome_href_get_type
 * %gnome_href_new
 * %gnome_href_set_url
 * %gnome_href_get_url
 * %gnome_href_set_text
 * %gnome_href_get_text
 * %gnome_icon_entry_get_type
 * %gnome_icon_entry_new
 * %gnome_icon_entry_set_pixmap_subdir
 * %gnome_icon_entry_get_filename
 * %gnome_icon_entry_set_filename
 * %gnome_icon_entry_set_browse_dialog_title
 * %gnome_icon_entry_set_history_id
 * %gnome_icon_entry_pick_dialog
 * %gnome_icon_entry_set_icon
 * %gnome_icon_entry_gnome_file_entry
 * %gnome_icon_entry_gnome_entry
 * %gnome_icon_entry_gtk_entry
 * %gnome_icon_list_get_type
 * %gnome_icon_list_new
 * %gnome_icon_list_set_hadjustment
 * %gnome_icon_list_set_vadjustment
 * %gnome_icon_list_freeze
 * %gnome_icon_list_thaw
 * %gnome_icon_list_insert
 * %gnome_icon_list_insert_pixbuf
 * %gnome_icon_list_append
 * %gnome_icon_list_append_pixbuf
 * %gnome_icon_list_clear
 * %gnome_icon_list_remove
 * %gnome_icon_list_get_num_icons
 * %gnome_icon_list_get_selection_mode
 * %gnome_icon_list_set_selection_mode
 * %gnome_icon_list_select_icon
 * %gnome_icon_list_unselect_icon
 * %gnome_icon_list_unselect_all
 * %gnome_icon_list_set_icon_width
 * %gnome_icon_list_set_row_spacing
 * %gnome_icon_list_set_col_spacing
 * %gnome_icon_list_set_text_spacing
 * %gnome_icon_list_set_icon_border
 * %gnome_icon_list_set_separators
 * %gnome_icon_list_get_icon_filename
 * %gnome_icon_list_find_icon_from_filename
 * %gnome_icon_list_moveto
 * %gnome_icon_list_icon_is_visible
 * %gnome_icon_list_get_icon_at
 * %gnome_icon_list_get_items_per_line
 * %gnome_icon_selection_get_type
 * %gnome_icon_selection_new
 * %gnome_icon_selection_add_defaults
 * %gnome_icon_selection_add_directory
 * %gnome_icon_selection_show_icons
 * %gnome_icon_selection_clear
 * %gnome_icon_selection_get_icon
 * %gnome_icon_selection_select_icon
 * %gnome_icon_selection_stop_loading
 * %gnome_icon_selection_get_gil
 * %gnome_icon_selection_get_box
 * %gnome_pixmap_entry_get_type
 * %gnome_pixmap_entry_new
 * %gnome_pixmap_entry_set_pixmap_subdir
 * %gnome_pixmap_entry_scrolled_window
 * %gnome_pixmap_entry_preview_widget
 * %gnome_pixmap_entry_set_preview
 * %gnome_pixmap_entry_set_preview_size
 * %gnome_pixmap_entry_get_filename
 * %gnome_help_error_quark
 * %gnome_program_get_type
 * %gnome_program_get
 * %gnome_program_get_human_readable_name
 * %gnome_program_get_app_id
 * %gnome_program_get_app_version
 * %gnome_url_error_quark
 *}
 *
 * Manually handled functions:
 *{
 * &{gnome::about new} (%gnome_about_new)
 * &{gnome::help display} (%gnome_help_display)
 * &{gnome::program init} (%gnome_program_init)
 * &{gnome::url show} (%gnome_url_show)
 *}
 * 
 * Unimplmented stubs:
 *{
 * gnome::app add_toolbar (%gnome_app_add_toolbar)
 * gnome::app add_docked (%gnome_app_add_docked)
 * gnome::app add_dock_item (%gnome_app_add_dock_item)
 * gnome::app get_dock (%gnome_app_get_dock)
 * gnome::app get_dock_item_by_name (%gnome_app_get_dock_item_by_name)
 * gnome::client add_static_arg (%gnome_client_add_static_arg)
 * gnome::client request_interaction (%gnome_client_request_interaction)
 * gnome::client request_interaction_interp (%gnome_client_request_interaction_interp)
 * gnome::color_picker get_d (%gnome_color_picker_get_d)
 * gnome::color_picker get_i8 (%gnome_color_picker_get_i8)
 * gnome::color_picker get_i16 (%gnome_color_picker_get_i16)
 * gnome::druid new_with_window (%gnome_druid_new_with_window)
 * gnome::icon_list get_selection (%gnome_icon_list_get_selection)
 * gnome::icon_list set_icon_data (%gnome_icon_list_set_icon_data)
 * gnome::icon_list set_icon_data_full (%gnome_icon_list_set_icon_data_full)
 * gnome::icon_list find_icon_from_data (%gnome_icon_list_find_icon_from_data)
 * gnome::icon_list get_icon_data (%gnome_icon_list_get_icon_data)
 * gnome::icon_list get_icon_text_item (%gnome_icon_list_get_icon_text_item)
 * gnome::icon_list get_icon_pixbuf_item (%gnome_icon_list_get_icon_pixbuf_item)
 * gnome::help display_with_doc_id (%gnome_help_display_with_doc_id)
 * gnome::help display_desktop (%gnome_help_display_desktop)
 * gnome::help display_uri (%gnome_help_display_uri)
 *}
 **/
