/**!
 * gobject.stub.func.g::object class_install_property:
 * g::object class_install_property
 * g_object_class_install_property
 *
 *> Usage
 *   @name          %GObjectClass*
 *   @name          %guint
 *   @name          %GParamSpec*
 *   Return value   %void
 *
 * Wraps %g_object_class_install_property.
 **/

static int cmd_g_object_class_install_property (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* G_TYPE_UINT */
  arg = cval_gather (interp, objc, objv, 5, sig, 0X5, "GObjectClass*", "GParamSpec*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GObjectClass* guint GParamSpec* */
  g_object_class_install_property (0, arg[1].int_val, arg[2].ptr_val);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gobject.stub.func.g::object class_find_property:
 * g::object class_find_property
 * g_object_class_find_property
 *
 *> Usage
 *   @name          %GObjectClass*
 *   @name          %gchar*
 *   Return value   %GParamSpec*
 *
 * Wraps %g_object_class_find_property.
 **/

static int cmd_g_object_class_find_property (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* G_TYPE_STRING */
  arg = cval_gather (interp, objc, objv, 4, sig, 0X1, "GObjectClass*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* GParamSpec* GObjectClass* {const gchar*} */
  arg[0].ptr_val = g_object_class_find_property (0, arg[1].ptr_val);

  /* ??? */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gobject.stub.func.g::object class_list_properties:
 * g::object class_list_properties
 * g_object_class_list_properties
 *
 *> Usage
 *   @name          %GObjectClass*
 *   @name          %guint*
 *   Return value   %GParamSpec**
 *
 * Wraps %g_object_class_list_properties.
 **/

static int cmd_g_object_class_list_properties (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /*  */
  arg = cval_gather (interp, objc, objv, 4, sig, 0X3, "GObjectClass*", "guint*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* GParamSpec** GObjectClass* guint* */
  /* arg[0].???_val = */ g_object_class_list_properties (0, 0);

  /* ??? */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gobject.stub.func.g::signal new:
 * g::signal new
 * g_signal_newv
 *
 *> Usage
 *   @name          %gchar*
 *   @name          %GType
 *   @name          %GSignalFlags
 *   @name          %GClosure*
 *   @name          %GSignalAccumulator
 *   @name          %gpointer
 *   @name          %GSignalCMarshaller
 *   @name          %GType
 *   @name          %guint
 *   @name          %GType*
 *   Return value   %guint
 *
 * Wraps %g_signal_newv.
 **/

static int cmd_g_signal_new (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* G_TYPE_STRING G_TYPE_ULONG G_TYPE_CLOSURE G_TYPE_ULONG G_TYPE_UINT */
  arg = cval_gather (interp, objc, objv, 12, sig, 0X274, "GSignalFlags", "GSignalAccumulator", "gpointer", "GSignalCMarshaller", "GType*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* guint {const gchar*} GType GSignalFlags GClosure* GSignalAccumulator gpointer GSignalCMarshaller GType guint GType* */
  arg[0].int_val = g_signal_newv (arg[1].ptr_val, arg[2].long_val, 0, arg[3].ptr_val, 0, 0, 0, arg[4].long_val, arg[5].int_val, 0);

  /* G_TYPE_UINT */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gobject.stub.func.g::signal emit:
 * g::signal emit
 * g_signal_emitv
 *
 *> Usage
 *   @name          %GValue*
 *   @name          %guint
 *   @name          %GQuark
 *   @name          %GValue*
 *   Return value   %void
 *
 * Wraps %g_signal_emitv.
 **/

static int cmd_g_signal_emit (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* G_TYPE_VALUE G_TYPE_UINT G_TYPE_VALUE */
  arg = cval_gather (interp, objc, objv, 6, sig, 0X4, "GQuark");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void {const GValue*} guint GQuark GValue* */
  g_signal_emitv (arg[1].ptr_val, arg[2].int_val, arg[3].int_val, arg[4].ptr_val);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}


/**!
 * gobject.status:
 * 
 * Automatically handled functions:
 *{
 * %g_object_freeze_notify
 * %g_object_notify
 * %g_object_thaw_notify
 * %g_object_ref
 * %g_object_unref
 * %g_signal_stop_emission_by_name
 * %g_signal_handler_block
 * %g_signal_handler_unblock
 * %g_signal_handler_disconnect
 * %g_signal_handler_is_connected
 * %g_type_name
 * %g_type_from_name
 * %g_type_parent
 * %g_type_is_a
 *}
 *
 * Manually handled functions:
 *{
 * &{g::object new} (%g_object_newv)
 * &{g::object set} (%g_object_set_property)
 * &{g::object get} (%g_object_get_property)
 * &{g::object get_data} (%g_object_get_data)
 * &{g::object set_data} (%g_object_set_data)
 * &{g::object set_data_full} (%g_object_set_data_full)
 * &{g::object steal_data} (%g_object_steal_data)
 * &{g::signal list} (%g_signal_list_ids)
 * &{g::signal add_emission_hook} (%g_signal_add_emission_hook)
 * &{g::signal remove_emission_hook} (%g_signal_remove_emission_hook)
 * &{g::signal connect} (%g_signal_connect_closure)
 * &{g::type children} (%g_type_children)
 * &{g::type interfaces} (%g_type_interfaces)
 *}
 * 
 * Unimplmented stubs:
 *{
 * g::object class_install_property (%g_object_class_install_property)
 * g::object class_find_property (%g_object_class_find_property)
 * g::object class_list_properties (%g_object_class_list_properties)
 * g::signal new (%g_signal_newv)
 * g::signal emit (%g_signal_emitv)
 *}
 **/
