#include <tcl-gobject.h>

GType G_TYPE_STRING_DYNAMIC;

#include "pkg.c"
#include "stub.c"

/**!
 * gobject.intro:
 *
 * This packages wraps the GObject library used by Gtk. See 
 * http://developer.gnome.org/doc/API/2.0/gobject  for more
 * information.
 **/

int Gobject_Init (Tcl_Interp *interp)
{
  GTypeInfo info = {0};

  if (interp == 0) {
    return TCL_ERROR;
  }

  if (!Tcl_InitStubs (interp, "8.2.0", 0)) {
    return TCL_ERROR;
  }

  if (Tcl_PkgProvide (interp, "GObject", VERSION) != TCL_OK) {
    return TCL_ERROR;
  }

  g_type_init ();
  initHandleType ();
  
  G_TYPE_STRING_DYNAMIC = g_type_register_static (G_TYPE_STRING, "DString",
						  &info, 0);
  
  Tcl_CreateObjCommand (interp, "g::handle", cmd_handle, 0, 0);
  Tcl_CreateObjCommand (interp, "g::cmd", cmd_cmd, 0, 0);
  
#include "pkg.init"

  return TCL_OK;
}
