#include <tcl-gobject.h>

void wrap_double_ptr (const generic_func _func, cval_t *arg)
{
  double (*func) (void *) = (void *) _func;

  arg[0].double_val = func (arg[1].ptr_val);
}

void wrap_float_ptr (const generic_func _func, cval_t *arg)
{
  float (*func) (void *) = (void *) _func;

  arg[0].float_val = func (arg[1].ptr_val);
}

void wrap_int_int (const generic_func _func, cval_t *arg)
{
  gint (*func) (gint) = (void *) _func;

  arg[0].int_val = func (arg[1].int_val);
}

void wrap_int_int_int (const generic_func _func, cval_t *arg)
{
  gint (*func) (gint, gint) = (void *) _func;

  arg[0].int_val = func (arg[1].int_val, arg[2].int_val);
}

void wrap_int_long_long (const generic_func _func, cval_t *arg)
{
  gint (*func) (long, long) = (void *) _func;

  arg[0].int_val = func (arg[1].long_val, arg[2].long_val);
}

void wrap_int_ptr (const generic_func _func, cval_t *arg)
{
  gint (*func) (void *) = (void *) _func;

  arg[0].int_val = func (arg[1].ptr_val);
}

void wrap_int_ptr_int (const generic_func _func, cval_t *arg)
{
  gint (*func) (void *, gint) = (void *) _func;

  arg[0].int_val = func (arg[1].ptr_val, arg[2].int_val);
}

void wrap_int_ptr_int_int (const generic_func _func, cval_t *arg)
{
  gint (*func) (void *, gint, gint) = (void *) _func;

  arg[0].int_val = func (arg[1].ptr_val, arg[2].int_val, arg[3].int_val);
}

void wrap_int_ptr_int_int_int (const generic_func _func, cval_t *arg)
{
  gint (*func) (void *, gint, gint, gint) = (void *) _func;

  arg[0].int_val = func (arg[1].ptr_val, arg[2].int_val, arg[3].int_val, arg[4].int_val);
}

void wrap_int_ptr_int_int_int_int (const generic_func _func, cval_t *arg)
{
  gint (*func) (void *, gint, gint, gint, gint) = (void *) _func;

  arg[0].int_val = func (arg[1].ptr_val, arg[2].int_val, arg[3].int_val, arg[4].int_val, arg[5].int_val);
}

void wrap_int_ptr_int_int_int_int_int (const generic_func _func, cval_t *arg)
{
  gint (*func) (void *, gint, gint, gint, gint, gint) = (void *) _func;

  arg[0].int_val = func (arg[1].ptr_val, arg[2].int_val, arg[3].int_val, arg[4].int_val, arg[5].int_val, arg[6].int_val);
}

void wrap_int_ptr_int_ptr (const generic_func _func, cval_t *arg)
{
  gint (*func) (void *, gint, void *) = (void *) _func;

  arg[0].int_val = func (arg[1].ptr_val, arg[2].int_val, arg[3].ptr_val);
}

void wrap_int_ptr_long (const generic_func _func, cval_t *arg)
{
  gint (*func) (void *, long) = (void *) _func;

  arg[0].int_val = func (arg[1].ptr_val, arg[2].long_val);
}

void wrap_int_ptr_ptr (const generic_func _func, cval_t *arg)
{
  gint (*func) (void *, void *) = (void *) _func;

  arg[0].int_val = func (arg[1].ptr_val, arg[2].ptr_val);
}

void wrap_int_ptr_ptr_double_int_double_double (const generic_func _func, cval_t *arg)
{
  gint (*func) (void *, void *, double, gint, double, double) = (void *) _func;

  arg[0].int_val = func (arg[1].ptr_val, arg[2].ptr_val, arg[3].double_val, arg[4].int_val, arg[5].double_val, arg[6].double_val);
}

void wrap_int_ptr_ptr_int (const generic_func _func, cval_t *arg)
{
  gint (*func) (void *, void *, gint) = (void *) _func;

  arg[0].int_val = func (arg[1].ptr_val, arg[2].ptr_val, arg[3].int_val);
}

void wrap_int_ptr_ptr_int_int (const generic_func _func, cval_t *arg)
{
  gint (*func) (void *, void *, gint, gint) = (void *) _func;

  arg[0].int_val = func (arg[1].ptr_val, arg[2].ptr_val, arg[3].int_val, arg[4].int_val);
}

void wrap_int_ptr_ptr_int_ptr_ptr_ptr (const generic_func _func, cval_t *arg)
{
  gint (*func) (void *, void *, gint, void *, void *, void *) = (void *) _func;

  arg[0].int_val = func (arg[1].ptr_val, arg[2].ptr_val, arg[3].int_val, arg[4].ptr_val, arg[5].ptr_val, arg[6].ptr_val);
}

void wrap_int_ptr_ptr_ptr (const generic_func _func, cval_t *arg)
{
  gint (*func) (void *, void *, void *) = (void *) _func;

  arg[0].int_val = func (arg[1].ptr_val, arg[2].ptr_val, arg[3].ptr_val);
}

void wrap_int_ptr_ptr_ptr_int (const generic_func _func, cval_t *arg)
{
  gint (*func) (void *, void *, void *, gint) = (void *) _func;

  arg[0].int_val = func (arg[1].ptr_val, arg[2].ptr_val, arg[3].ptr_val, arg[4].int_val);
}

void wrap_int_ptr_ptr_ptr_int_int (const generic_func _func, cval_t *arg)
{
  gint (*func) (void *, void *, void *, gint, gint) = (void *) _func;

  arg[0].int_val = func (arg[1].ptr_val, arg[2].ptr_val, arg[3].ptr_val, arg[4].int_val, arg[5].int_val);
}

void wrap_int_ptr_ptr_ptr_ptr (const generic_func _func, cval_t *arg)
{
  gint (*func) (void *, void *, void *, void *) = (void *) _func;

  arg[0].int_val = func (arg[1].ptr_val, arg[2].ptr_val, arg[3].ptr_val, arg[4].ptr_val);
}

void wrap_int_ptr_ptr_ptr_ptr_int (const generic_func _func, cval_t *arg)
{
  gint (*func) (void *, void *, void *, void *, gint) = (void *) _func;

  arg[0].int_val = func (arg[1].ptr_val, arg[2].ptr_val, arg[3].ptr_val, arg[4].ptr_val, arg[5].int_val);
}

void wrap_int_ptr_ptr_ptr_ptr_ptr_ptr_int (const generic_func _func, cval_t *arg)
{
  gint (*func) (void *, void *, void *, void *, void *, void *, gint) = (void *) _func;

  arg[0].int_val = func (arg[1].ptr_val, arg[2].ptr_val, arg[3].ptr_val, arg[4].ptr_val, arg[5].ptr_val, arg[6].ptr_val, arg[7].int_val);
}

void wrap_int_void (const generic_func _func, cval_t *arg)
{
  gint (*func) (void) = (void *) _func;

  arg[0].int_val = func ();
}

void wrap_int16_ptr (const generic_func _func, cval_t *arg)
{
  gint16 (*func) (void *) = (void *) _func;

  arg[0].int_val = func (arg[1].ptr_val);
}

void wrap_int32_ptr (const generic_func _func, cval_t *arg)
{
  gint32 (*func) (void *) = (void *) _func;

  arg[0].int_val = func (arg[1].ptr_val);
}

void wrap_int32_void (const generic_func _func, cval_t *arg)
{
  gint32 (*func) (void) = (void *) _func;

  arg[0].int_val = func ();
}

void wrap_long_long (const generic_func _func, cval_t *arg)
{
  long (*func) (long) = (void *) _func;

  arg[0].long_val = func (arg[1].long_val);
}

void wrap_long_ptr (const generic_func _func, cval_t *arg)
{
  long (*func) (void *) = (void *) _func;

  arg[0].long_val = func (arg[1].ptr_val);
}

void wrap_long_ptr_int (const generic_func _func, cval_t *arg)
{
  long (*func) (void *, gint) = (void *) _func;

  arg[0].long_val = func (arg[1].ptr_val, arg[2].int_val);
}

void wrap_long_ptr_long (const generic_func _func, cval_t *arg)
{
  long (*func) (void *, long) = (void *) _func;

  arg[0].long_val = func (arg[1].ptr_val, arg[2].long_val);
}

void wrap_long_void (const generic_func _func, cval_t *arg)
{
  long (*func) (void) = (void *) _func;

  arg[0].long_val = func ();
}

void wrap_ptr_double_double_double (const generic_func _func, cval_t *arg)
{
  void * (*func) (double, double, double) = (void *) _func;

  arg[0].ptr_val = func (arg[1].double_val, arg[2].double_val, arg[3].double_val);
}

void wrap_ptr_double_double_double_double_double_double (const generic_func _func, cval_t *arg)
{
  void * (*func) (double, double, double, double, double, double) = (void *) _func;

  arg[0].ptr_val = func (arg[1].double_val, arg[2].double_val, arg[3].double_val, arg[4].double_val, arg[5].double_val, arg[6].double_val);
}

void wrap_ptr_float_float_float_float (const generic_func _func, cval_t *arg)
{
  void * (*func) (float, float, float, float) = (void *) _func;

  arg[0].ptr_val = func (arg[1].float_val, arg[2].float_val, arg[3].float_val, arg[4].float_val);
}

void wrap_ptr_int (const generic_func _func, cval_t *arg)
{
  void * (*func) (gint) = (void *) _func;

  arg[0].ptr_val = func (arg[1].int_val);
}

void wrap_ptr_int_int (const generic_func _func, cval_t *arg)
{
  void * (*func) (gint, gint) = (void *) _func;

  arg[0].ptr_val = func (arg[1].int_val, arg[2].int_val);
}

void wrap_ptr_int_int_int (const generic_func _func, cval_t *arg)
{
  void * (*func) (gint, gint, gint) = (void *) _func;

  arg[0].ptr_val = func (arg[1].int_val, arg[2].int_val, arg[3].int_val);
}

void wrap_ptr_int_int_int_int_int (const generic_func _func, cval_t *arg)
{
  void * (*func) (gint, gint, gint, gint, gint) = (void *) _func;

  arg[0].ptr_val = func (arg[1].int_val, arg[2].int_val, arg[3].int_val, arg[4].int_val, arg[5].int_val);
}

void wrap_ptr_int_int_ptr_ptr_ptr_ptr_ptr (const generic_func _func, cval_t *arg)
{
  void * (*func) (gint, gint, void *, void *, void *, void *, void *) = (void *) _func;

  arg[0].ptr_val = func (arg[1].int_val, arg[2].int_val, arg[3].ptr_val, arg[4].ptr_val, arg[5].ptr_val, arg[6].ptr_val, arg[7].ptr_val);
}

void wrap_ptr_int_ptr_int (const generic_func _func, cval_t *arg)
{
  void * (*func) (gint, void *, gint) = (void *) _func;

  arg[0].ptr_val = func (arg[1].int_val, arg[2].ptr_val, arg[3].int_val);
}

void wrap_ptr_long (const generic_func _func, cval_t *arg)
{
  void * (*func) (long) = (void *) _func;

  arg[0].ptr_val = func (arg[1].long_val);
}

void wrap_ptr_long_ptr_ptr (const generic_func _func, cval_t *arg)
{
  void * (*func) (long, void *, void *) = (void *) _func;

  arg[0].ptr_val = func (arg[1].long_val, arg[2].ptr_val, arg[3].ptr_val);
}

void wrap_ptr_ptr (const generic_func _func, cval_t *arg)
{
  void * (*func) (void *) = (void *) _func;

  arg[0].ptr_val = func (arg[1].ptr_val);
}

void wrap_ptr_ptr_double_int (const generic_func _func, cval_t *arg)
{
  void * (*func) (void *, double, gint) = (void *) _func;

  arg[0].ptr_val = func (arg[1].ptr_val, arg[2].double_val, arg[3].int_val);
}

void wrap_ptr_ptr_float_float_float_int (const generic_func _func, cval_t *arg)
{
  void * (*func) (void *, float, float, float, gint) = (void *) _func;

  arg[0].ptr_val = func (arg[1].ptr_val, arg[2].float_val, arg[3].float_val, arg[4].float_val, arg[5].int_val);
}

void wrap_ptr_ptr_int (const generic_func _func, cval_t *arg)
{
  void * (*func) (void *, gint) = (void *) _func;

  arg[0].ptr_val = func (arg[1].ptr_val, arg[2].int_val);
}

void wrap_ptr_ptr_int_char_char_char (const generic_func _func, cval_t *arg)
{
  void * (*func) (void *, gint, char, char, char) = (void *) _func;

  arg[0].ptr_val = func (arg[1].ptr_val, arg[2].int_val, arg[3].char_val, arg[4].char_val, arg[5].char_val);
}

void wrap_ptr_ptr_int_int (const generic_func _func, cval_t *arg)
{
  void * (*func) (void *, gint, gint) = (void *) _func;

  arg[0].ptr_val = func (arg[1].ptr_val, arg[2].int_val, arg[3].int_val);
}

void wrap_ptr_ptr_int_int_int (const generic_func _func, cval_t *arg)
{
  void * (*func) (void *, gint, gint, gint) = (void *) _func;

  arg[0].ptr_val = func (arg[1].ptr_val, arg[2].int_val, arg[3].int_val, arg[4].int_val);
}

void wrap_ptr_ptr_int_int_int_int (const generic_func _func, cval_t *arg)
{
  void * (*func) (void *, gint, gint, gint, gint) = (void *) _func;

  arg[0].ptr_val = func (arg[1].ptr_val, arg[2].int_val, arg[3].int_val, arg[4].int_val, arg[5].int_val);
}

void wrap_ptr_ptr_int_int_int_int_int_int32_int32 (const generic_func _func, cval_t *arg)
{
  void * (*func) (void *, gint, gint, gint, gint, gint, gint32, gint32) = (void *) _func;

  arg[0].ptr_val = func (arg[1].ptr_val, arg[2].int_val, arg[3].int_val, arg[4].int_val, arg[5].int_val, arg[6].int_val, arg[7].int_val, arg[8].int_val);
}

void wrap_ptr_ptr_int32 (const generic_func _func, cval_t *arg)
{
  void * (*func) (void *, gint32) = (void *) _func;

  arg[0].ptr_val = func (arg[1].ptr_val, arg[2].int_val);
}

void wrap_ptr_ptr_long (const generic_func _func, cval_t *arg)
{
  void * (*func) (void *, long) = (void *) _func;

  arg[0].ptr_val = func (arg[1].ptr_val, arg[2].long_val);
}

void wrap_ptr_ptr_ptr (const generic_func _func, cval_t *arg)
{
  void * (*func) (void *, void *) = (void *) _func;

  arg[0].ptr_val = func (arg[1].ptr_val, arg[2].ptr_val);
}

void wrap_ptr_ptr_ptr_int (const generic_func _func, cval_t *arg)
{
  void * (*func) (void *, void *, gint) = (void *) _func;

  arg[0].ptr_val = func (arg[1].ptr_val, arg[2].ptr_val, arg[3].int_val);
}

void wrap_ptr_ptr_ptr_int_int_int_ptr_ptr (const generic_func _func, cval_t *arg)
{
  void * (*func) (void *, void *, gint, gint, gint, void *, void *) = (void *) _func;

  arg[0].ptr_val = func (arg[1].ptr_val, arg[2].ptr_val, arg[3].int_val, arg[4].int_val, arg[5].int_val, arg[6].ptr_val, arg[7].ptr_val);
}

void wrap_ptr_ptr_ptr_int_ptr (const generic_func _func, cval_t *arg)
{
  void * (*func) (void *, void *, gint, void *) = (void *) _func;

  arg[0].ptr_val = func (arg[1].ptr_val, arg[2].ptr_val, arg[3].int_val, arg[4].ptr_val);
}

void wrap_ptr_ptr_ptr_ptr (const generic_func _func, cval_t *arg)
{
  void * (*func) (void *, void *, void *) = (void *) _func;

  arg[0].ptr_val = func (arg[1].ptr_val, arg[2].ptr_val, arg[3].ptr_val);
}

void wrap_ptr_ptr_ptr_ptr_int (const generic_func _func, cval_t *arg)
{
  void * (*func) (void *, void *, void *, gint) = (void *) _func;

  arg[0].ptr_val = func (arg[1].ptr_val, arg[2].ptr_val, arg[3].ptr_val, arg[4].int_val);
}

void wrap_ptr_ptr_ptr_ptr_ptr_ptr_ptr_int (const generic_func _func, cval_t *arg)
{
  void * (*func) (void *, void *, void *, void *, void *, void *, gint) = (void *) _func;

  arg[0].ptr_val = func (arg[1].ptr_val, arg[2].ptr_val, arg[3].ptr_val, arg[4].ptr_val, arg[5].ptr_val, arg[6].ptr_val, arg[7].int_val);
}

void wrap_ptr_void (const generic_func _func, cval_t *arg)
{
  void * (*func) (void) = (void *) _func;

  arg[0].ptr_val = func ();
}

void wrap_void_int (const generic_func _func, cval_t *arg)
{
  void (*func) (gint) = (void *) _func;

  func (arg[1].int_val);
}

void wrap_void_int_ptr (const generic_func _func, cval_t *arg)
{
  void (*func) (gint, void *) = (void *) _func;

  func (arg[1].int_val, arg[2].ptr_val);
}

void wrap_void_ptr (const generic_func _func, cval_t *arg)
{
  void (*func) (void *) = (void *) _func;

  func (arg[1].ptr_val);
}

void wrap_void_ptr_char_char_char_char (const generic_func _func, cval_t *arg)
{
  void (*func) (void *, char, char, char, char) = (void *) _func;

  func (arg[1].ptr_val, arg[2].char_val, arg[3].char_val, arg[4].char_val, arg[5].char_val);
}

void wrap_void_ptr_double (const generic_func _func, cval_t *arg)
{
  void (*func) (void *, double) = (void *) _func;

  func (arg[1].ptr_val, arg[2].double_val);
}

void wrap_void_ptr_double_double (const generic_func _func, cval_t *arg)
{
  void (*func) (void *, double, double) = (void *) _func;

  func (arg[1].ptr_val, arg[2].double_val, arg[3].double_val);
}

void wrap_void_ptr_double_double_double_double (const generic_func _func, cval_t *arg)
{
  void (*func) (void *, double, double, double, double) = (void *) _func;

  func (arg[1].ptr_val, arg[2].double_val, arg[3].double_val, arg[4].double_val, arg[5].double_val);
}

void wrap_void_ptr_float (const generic_func _func, cval_t *arg)
{
  void (*func) (void *, float) = (void *) _func;

  func (arg[1].ptr_val, arg[2].float_val);
}

void wrap_void_ptr_float_float (const generic_func _func, cval_t *arg)
{
  void (*func) (void *, float, float) = (void *) _func;

  func (arg[1].ptr_val, arg[2].float_val, arg[3].float_val);
}

void wrap_void_ptr_float_float_float_float (const generic_func _func, cval_t *arg)
{
  void (*func) (void *, float, float, float, float) = (void *) _func;

  func (arg[1].ptr_val, arg[2].float_val, arg[3].float_val, arg[4].float_val, arg[5].float_val);
}

void wrap_void_ptr_float_float_float_int (const generic_func _func, cval_t *arg)
{
  void (*func) (void *, float, float, float, gint) = (void *) _func;

  func (arg[1].ptr_val, arg[2].float_val, arg[3].float_val, arg[4].float_val, arg[5].int_val);
}

void wrap_void_ptr_int (const generic_func _func, cval_t *arg)
{
  void (*func) (void *, gint) = (void *) _func;

  func (arg[1].ptr_val, arg[2].int_val);
}

void wrap_void_ptr_int_double (const generic_func _func, cval_t *arg)
{
  void (*func) (void *, gint, double) = (void *) _func;

  func (arg[1].ptr_val, arg[2].int_val, arg[3].double_val);
}

void wrap_void_ptr_int_int (const generic_func _func, cval_t *arg)
{
  void (*func) (void *, gint, gint) = (void *) _func;

  func (arg[1].ptr_val, arg[2].int_val, arg[3].int_val);
}

void wrap_void_ptr_int_int_int (const generic_func _func, cval_t *arg)
{
  void (*func) (void *, gint, gint, gint) = (void *) _func;

  func (arg[1].ptr_val, arg[2].int_val, arg[3].int_val, arg[4].int_val);
}

void wrap_void_ptr_int_int_int_int (const generic_func _func, cval_t *arg)
{
  void (*func) (void *, gint, gint, gint, gint) = (void *) _func;

  func (arg[1].ptr_val, arg[2].int_val, arg[3].int_val, arg[4].int_val, arg[5].int_val);
}

void wrap_void_ptr_int_int_int_int_int (const generic_func _func, cval_t *arg)
{
  void (*func) (void *, gint, gint, gint, gint, gint) = (void *) _func;

  func (arg[1].ptr_val, arg[2].int_val, arg[3].int_val, arg[4].int_val, arg[5].int_val, arg[6].int_val);
}

void wrap_void_ptr_int_int_int_int_int32 (const generic_func _func, cval_t *arg)
{
  void (*func) (void *, gint, gint, gint, gint, gint32) = (void *) _func;

  func (arg[1].ptr_val, arg[2].int_val, arg[3].int_val, arg[4].int_val, arg[5].int_val, arg[6].int_val);
}

void wrap_void_ptr_int_int_int_int_ptr_int_int (const generic_func _func, cval_t *arg)
{
  void (*func) (void *, gint, gint, gint, gint, void *, gint, gint) = (void *) _func;

  func (arg[1].ptr_val, arg[2].int_val, arg[3].int_val, arg[4].int_val, arg[5].int_val, arg[6].ptr_val, arg[7].int_val, arg[8].int_val);
}

void wrap_void_ptr_int_int_int_int32 (const generic_func _func, cval_t *arg)
{
  void (*func) (void *, gint, gint, gint, gint32) = (void *) _func;

  func (arg[1].ptr_val, arg[2].int_val, arg[3].int_val, arg[4].int_val, arg[5].int_val);
}

void wrap_void_ptr_int_int_int_ptr (const generic_func _func, cval_t *arg)
{
  void (*func) (void *, gint, gint, gint, void *) = (void *) _func;

  func (arg[1].ptr_val, arg[2].int_val, arg[3].int_val, arg[4].int_val, arg[5].ptr_val);
}

void wrap_void_ptr_int_int_int32 (const generic_func _func, cval_t *arg)
{
  void (*func) (void *, gint, gint, gint32) = (void *) _func;

  func (arg[1].ptr_val, arg[2].int_val, arg[3].int_val, arg[4].int_val);
}

void wrap_void_ptr_int_ptr (const generic_func _func, cval_t *arg)
{
  void (*func) (void *, gint, void *) = (void *) _func;

  func (arg[1].ptr_val, arg[2].int_val, arg[3].ptr_val);
}

void wrap_void_ptr_int_ptr_ptr (const generic_func _func, cval_t *arg)
{
  void (*func) (void *, gint, void *, void *) = (void *) _func;

  func (arg[1].ptr_val, arg[2].int_val, arg[3].ptr_val, arg[4].ptr_val);
}

void wrap_void_ptr_int_ptr_ptr_ptr (const generic_func _func, cval_t *arg)
{
  void (*func) (void *, gint, void *, void *, void *) = (void *) _func;

  func (arg[1].ptr_val, arg[2].int_val, arg[3].ptr_val, arg[4].ptr_val, arg[5].ptr_val);
}

void wrap_void_ptr_int16 (const generic_func _func, cval_t *arg)
{
  void (*func) (void *, gint16) = (void *) _func;

  func (arg[1].ptr_val, arg[2].int_val);
}

void wrap_void_ptr_int32 (const generic_func _func, cval_t *arg)
{
  void (*func) (void *, gint32) = (void *) _func;

  func (arg[1].ptr_val, arg[2].int_val);
}

void wrap_void_ptr_long (const generic_func _func, cval_t *arg)
{
  void (*func) (void *, long) = (void *) _func;

  func (arg[1].ptr_val, arg[2].long_val);
}

void wrap_void_ptr_long_long (const generic_func _func, cval_t *arg)
{
  void (*func) (void *, long, long) = (void *) _func;

  func (arg[1].ptr_val, arg[2].long_val, arg[3].long_val);
}

void wrap_void_ptr_long_ptr_ptr (const generic_func _func, cval_t *arg)
{
  void (*func) (void *, long, void *, void *) = (void *) _func;

  func (arg[1].ptr_val, arg[2].long_val, arg[3].ptr_val, arg[4].ptr_val);
}

void wrap_void_ptr_ptr (const generic_func _func, cval_t *arg)
{
  void (*func) (void *, void *) = (void *) _func;

  func (arg[1].ptr_val, arg[2].ptr_val);
}

void wrap_void_ptr_ptr_double_int (const generic_func _func, cval_t *arg)
{
  void (*func) (void *, void *, double, gint) = (void *) _func;

  func (arg[1].ptr_val, arg[2].ptr_val, arg[3].double_val, arg[4].int_val);
}

void wrap_void_ptr_ptr_double_int_double_double (const generic_func _func, cval_t *arg)
{
  void (*func) (void *, void *, double, gint, double, double) = (void *) _func;

  func (arg[1].ptr_val, arg[2].ptr_val, arg[3].double_val, arg[4].int_val, arg[5].double_val, arg[6].double_val);
}

void wrap_void_ptr_ptr_double_ptr (const generic_func _func, cval_t *arg)
{
  void (*func) (void *, void *, double, void *) = (void *) _func;

  func (arg[1].ptr_val, arg[2].ptr_val, arg[3].double_val, arg[4].ptr_val);
}

void wrap_void_ptr_ptr_float_int (const generic_func _func, cval_t *arg)
{
  void (*func) (void *, void *, float, gint) = (void *) _func;

  func (arg[1].ptr_val, arg[2].ptr_val, arg[3].float_val, arg[4].int_val);
}

void wrap_void_ptr_ptr_int (const generic_func _func, cval_t *arg)
{
  void (*func) (void *, void *, gint) = (void *) _func;

  func (arg[1].ptr_val, arg[2].ptr_val, arg[3].int_val);
}

void wrap_void_ptr_ptr_int_int (const generic_func _func, cval_t *arg)
{
  void (*func) (void *, void *, gint, gint) = (void *) _func;

  func (arg[1].ptr_val, arg[2].ptr_val, arg[3].int_val, arg[4].int_val);
}

void wrap_void_ptr_ptr_int_int_int (const generic_func _func, cval_t *arg)
{
  void (*func) (void *, void *, gint, gint, gint) = (void *) _func;

  func (arg[1].ptr_val, arg[2].ptr_val, arg[3].int_val, arg[4].int_val, arg[5].int_val);
}

void wrap_void_ptr_ptr_int_int_int_int (const generic_func _func, cval_t *arg)
{
  void (*func) (void *, void *, gint, gint, gint, gint) = (void *) _func;

  func (arg[1].ptr_val, arg[2].ptr_val, arg[3].int_val, arg[4].int_val, arg[5].int_val, arg[6].int_val);
}

void wrap_void_ptr_ptr_int_int_int_int_double_double_double_double_int (const generic_func _func, cval_t *arg)
{
  void (*func) (void *, void *, gint, gint, gint, gint, double, double, double, double, gint) = (void *) _func;

  func (arg[1].ptr_val, arg[2].ptr_val, arg[3].int_val, arg[4].int_val, arg[5].int_val, arg[6].int_val, arg[7].double_val, arg[8].double_val, arg[9].double_val, arg[10].double_val, arg[11].int_val);
}

void wrap_void_ptr_ptr_int_int_int_int_double_double_double_double_int_int (const generic_func _func, cval_t *arg)
{
  void (*func) (void *, void *, gint, gint, gint, gint, double, double, double, double, gint, gint) = (void *) _func;

  func (arg[1].ptr_val, arg[2].ptr_val, arg[3].int_val, arg[4].int_val, arg[5].int_val, arg[6].int_val, arg[7].double_val, arg[8].double_val, arg[9].double_val, arg[10].double_val, arg[11].int_val, arg[12].int_val);
}

void wrap_void_ptr_ptr_int_int_int_int_double_double_double_double_int_int_int_int_int_int32_int32 (const generic_func _func, cval_t *arg)
{
  void (*func) (void *, void *, gint, gint, gint, gint, double, double, double, double, gint, gint, gint, gint, gint, gint32, gint32) = (void *) _func;

  func (arg[1].ptr_val, arg[2].ptr_val, arg[3].int_val, arg[4].int_val, arg[5].int_val, arg[6].int_val, arg[7].double_val, arg[8].double_val, arg[9].double_val, arg[10].double_val, arg[11].int_val, arg[12].int_val, arg[13].int_val, arg[14].int_val, arg[15].int_val, arg[16].int_val, arg[17].int_val);
}

void wrap_void_ptr_ptr_int_int_int_int_int_int_int_int (const generic_func _func, cval_t *arg)
{
  void (*func) (void *, void *, gint, gint, gint, gint, gint, gint, gint, gint) = (void *) _func;

  func (arg[1].ptr_val, arg[2].ptr_val, arg[3].int_val, arg[4].int_val, arg[5].int_val, arg[6].int_val, arg[7].int_val, arg[8].int_val, arg[9].int_val, arg[10].int_val);
}

void wrap_void_ptr_ptr_int_int_int16_int16_int16_int16 (const generic_func _func, cval_t *arg)
{
  void (*func) (void *, void *, gint, gint, gint16, gint16, gint16, gint16) = (void *) _func;

  func (arg[1].ptr_val, arg[2].ptr_val, arg[3].int_val, arg[4].int_val, arg[5].int_val, arg[6].int_val, arg[7].int_val, arg[8].int_val);
}

void wrap_void_ptr_ptr_int_ptr (const generic_func _func, cval_t *arg)
{
  void (*func) (void *, void *, gint, void *) = (void *) _func;

  func (arg[1].ptr_val, arg[2].ptr_val, arg[3].int_val, arg[4].ptr_val);
}

void wrap_void_ptr_ptr_long (const generic_func _func, cval_t *arg)
{
  void (*func) (void *, void *, long) = (void *) _func;

  func (arg[1].ptr_val, arg[2].ptr_val, arg[3].long_val);
}

void wrap_void_ptr_ptr_long_ptr (const generic_func _func, cval_t *arg)
{
  void (*func) (void *, void *, long, void *) = (void *) _func;

  func (arg[1].ptr_val, arg[2].ptr_val, arg[3].long_val, arg[4].ptr_val);
}

void wrap_void_ptr_ptr_ptr (const generic_func _func, cval_t *arg)
{
  void (*func) (void *, void *, void *) = (void *) _func;

  func (arg[1].ptr_val, arg[2].ptr_val, arg[3].ptr_val);
}

void wrap_void_ptr_ptr_ptr_int (const generic_func _func, cval_t *arg)
{
  void (*func) (void *, void *, void *, gint) = (void *) _func;

  func (arg[1].ptr_val, arg[2].ptr_val, arg[3].ptr_val, arg[4].int_val);
}

void wrap_void_ptr_ptr_ptr_int_float_float (const generic_func _func, cval_t *arg)
{
  void (*func) (void *, void *, void *, gint, float, float) = (void *) _func;

  func (arg[1].ptr_val, arg[2].ptr_val, arg[3].ptr_val, arg[4].int_val, arg[5].float_val, arg[6].float_val);
}

void wrap_void_ptr_ptr_ptr_int_int (const generic_func _func, cval_t *arg)
{
  void (*func) (void *, void *, void *, gint, gint) = (void *) _func;

  func (arg[1].ptr_val, arg[2].ptr_val, arg[3].ptr_val, arg[4].int_val, arg[5].int_val);
}

void wrap_void_ptr_ptr_ptr_int_int_int (const generic_func _func, cval_t *arg)
{
  void (*func) (void *, void *, void *, gint, gint, gint) = (void *) _func;

  func (arg[1].ptr_val, arg[2].ptr_val, arg[3].ptr_val, arg[4].int_val, arg[5].int_val, arg[6].int_val);
}

void wrap_void_ptr_ptr_ptr_ptr (const generic_func _func, cval_t *arg)
{
  void (*func) (void *, void *, void *, void *) = (void *) _func;

  func (arg[1].ptr_val, arg[2].ptr_val, arg[3].ptr_val, arg[4].ptr_val);
}

void wrap_void_ptr_ptr_ptr_ptr_int (const generic_func _func, cval_t *arg)
{
  void (*func) (void *, void *, void *, void *, gint) = (void *) _func;

  func (arg[1].ptr_val, arg[2].ptr_val, arg[3].ptr_val, arg[4].ptr_val, arg[5].int_val);
}

void wrap_void_ptr_ptr_ptr_ptr_int_int (const generic_func _func, cval_t *arg)
{
  void (*func) (void *, void *, void *, void *, gint, gint) = (void *) _func;

  func (arg[1].ptr_val, arg[2].ptr_val, arg[3].ptr_val, arg[4].ptr_val, arg[5].int_val, arg[6].int_val);
}

void wrap_void_ptr_ptr_ptr_ptr_long (const generic_func _func, cval_t *arg)
{
  void (*func) (void *, void *, void *, void *, long) = (void *) _func;

  func (arg[1].ptr_val, arg[2].ptr_val, arg[3].ptr_val, arg[4].ptr_val, arg[5].long_val);
}

void wrap_void_ptr_ptr_ptr_ptr_ptr_ptr_int (const generic_func _func, cval_t *arg)
{
  void (*func) (void *, void *, void *, void *, void *, void *, gint) = (void *) _func;

  func (arg[1].ptr_val, arg[2].ptr_val, arg[3].ptr_val, arg[4].ptr_val, arg[5].ptr_val, arg[6].ptr_val, arg[7].int_val);
}

void wrap_void_ptr_short_short_short_short (const generic_func _func, cval_t *arg)
{
  void (*func) (void *, short, short, short, short) = (void *) _func;

  func (arg[1].ptr_val, arg[2].short_val, arg[3].short_val, arg[4].short_val, arg[5].short_val);
}

void wrap_void_void (const generic_func _func, cval_t *arg)
{
  void (*func) (void) = (void *) _func;

  func ();
}

