#include <tcl-gobject.h>
#include <gtk/gtk.h>
#include <gdk/gdkkeysyms.h>
#include <string.h>

#include "pkg.c"
#include "stub.c"



/**!
 * gtk.intro:
 *
 * This packages wraps the Gtk library. See 
 * http://developer.gnome.org/doc/API/2.0/gtk for more 
 * information.
 **/

/* FIXME: I don't think this is right */

static void tclgtk_event_setup (ClientData clientData, int flags)
{
  static Tcl_Time block_time = {0, 0};  

  if (!(flags & TCL_WINDOW_EVENTS)) {
    return;
  }

  if (g_main_context_pending (0)) {
    block_time.sec = 0;
    block_time.usec = 0;
  } else {
    block_time.sec = 0;
    block_time.usec = 10000;
  }

  Tcl_SetMaxBlockTime (&block_time);
}

static int tclgtk_event_do (Tcl_Event *event, int flags)
{
  if (!(flags & TCL_WINDOW_EVENTS)) {
    return 0;     
  }

  while (g_main_context_pending (0)) {
    g_main_context_iteration (0, FALSE);
  }

  return 1;
}

static void tclgtk_event_check (ClientData clientData, int flags)
{
  Tcl_Event *event;

  if (!(flags & TCL_WINDOW_EVENTS)) {
    return;                   
  }

  if (gtk_events_pending ()) {
    event = (Tcl_Event *) Tcl_Alloc (sizeof (Tcl_Event));
    event->proc = tclgtk_event_do;
    Tcl_QueueEvent (event, TCL_QUEUE_TAIL);
  }
}

int Gtk_Init (Tcl_Interp *interp)
{
  int i, argc;
  char **argv;
  Tcl_Obj *obj, **objv;

  if (interp == 0) {
    return TCL_ERROR;
  }

  if (!Tcl_InitStubs (interp, "8.2.0", 0)) {
    return TCL_ERROR;
  }

  if (Tcl_PkgProvide (interp, "Gtk", VERSION) != TCL_OK) {
    return TCL_ERROR;
  }

  Tcl_CreateEventSource (tclgtk_event_setup, tclgtk_event_check, 0);
  Tcl_SetServiceMode (TCL_SERVICE_ALL);

  /* initialize gtk using the global var argv */

  obj = Tcl_GetVar2Ex (interp, "argv", 0, TCL_GLOBAL_ONLY);

  if (obj) {
    if (Tcl_ListObjGetElements (interp, obj, &argc, &objv) != TCL_OK) {
      return TCL_ERROR;
    }
  } else {
    argc = 0;
  }

  argc++;
  argv = g_new (char *, argc);

  /* gtk_init expects a C like argv */

  argv[0] = (char *) Tcl_GetNameOfExecutable ();
    
  g_assert (argv[0] != 0);
  
  for (i = 1; i < argc; i++) {
    argv[i] = Tcl_GetString (objv[i - 1]);
  }

  i = gtk_init_check (&argc, &argv);
  g_free (argv);
  
  if (!i) {
    appendResult (interp, "gtk_init failed");
    return TCL_ERROR;
  }
   
  /* FIXME: reset argv? */

  #include "pkg.init"

  return TCL_OK;
}
