/**!
 * vte.stub.func.vte::terminal fork_command:
 * vte::terminal fork_command
 * vte_terminal_fork_command
 *
 *> Usage
 *   @name          %VteTerminal*
 *   @name          %char*
 *   @name          %char**
 *   @name          %char**
 *   @name          %char*
 *   @name          %gboolean
 *   @name          %gboolean
 *   @name          %gboolean
 *   Return value   %pid_t
 *
 * Wraps %vte_terminal_fork_command.
 **/

static int cmd_vte_terminal_fork_command (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* VTE_TYPE_TERMINAL G_TYPE_STRING G_TYPE_STRING G_TYPE_BOOLEAN G_TYPE_BOOLEAN G_TYPE_BOOLEAN */
  arg = cval_gather (interp, objc, objv, 10, sig, 0XC, "char**", "char**");

  if (!arg) {
    return TCL_ERROR;
  }

  /* pid_t VteTerminal* {const char*} char** char** {const char*} gboolean gboolean gboolean */
  arg[0].int_val = vte_terminal_fork_command (arg[1].ptr_val, arg[2].ptr_val, 0, 0, arg[3].ptr_val, arg[4].int_val, arg[5].int_val, arg[6].int_val);

  /* G_TYPE_UINT */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * vte.stub.func.vte::terminal get_cursor_position:
 * vte::terminal get_cursor_position
 * vte_terminal_get_cursor_position
 *
 *> Usage
 *   @name          %VteTerminal*
 *   @name          %glong*
 *   @name          %glong*
 *   Return value   %void
 *
 * Wraps %vte_terminal_get_cursor_position.
 **/

static int cmd_vte_terminal_get_cursor_position (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* VTE_TYPE_TERMINAL */
  arg = cval_gather (interp, objc, objv, 5, sig, 0X6, "glong*", "glong*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void VteTerminal* glong* glong* */
  vte_terminal_get_cursor_position (arg[1].ptr_val, 0, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * vte.stub.func.vte::terminal match_check:
 * vte::terminal match_check
 * vte_terminal_match_check
 *
 *> Usage
 *   @name          %VteTerminal*
 *   @name          %glong
 *   @name          %glong
 *   @name          %int*
 *   Return value   %char*
 *
 * Wraps %vte_terminal_match_check.
 **/

static int cmd_vte_terminal_match_check (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* VTE_TYPE_TERMINAL G_TYPE_LONG G_TYPE_LONG */
  arg = cval_gather (interp, objc, objv, 6, sig, 0X8, "int*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* char* VteTerminal* glong glong int* */
  arg[0].ptr_val = vte_terminal_match_check (arg[1].ptr_val, arg[2].long_val, arg[3].long_val, 0);

  /* G_TYPE_STRING_DYNAMIC */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * vte.stub.func.vte::terminal get_padding:
 * vte::terminal get_padding
 * vte_terminal_get_padding
 *
 *> Usage
 *   @name          %VteTerminal*
 *   @name          %int*
 *   @name          %int*
 *   Return value   %void
 *
 * Wraps %vte_terminal_get_padding.
 **/

static int cmd_vte_terminal_get_padding (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* VTE_TYPE_TERMINAL */
  arg = cval_gather (interp, objc, objv, 5, sig, 0X6, "int*", "int*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void VteTerminal* int* int* */
  vte_terminal_get_padding (arg[1].ptr_val, 0, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * vte.stub.func.vte::terminal get_text:
 * vte::terminal get_text
 * vte_terminal_get_text
 *
 *> Usage
 *   @name          %VteTerminal*
 *   @name          %__FUNC__
 *   @name          %__DATA__
 *   @name          %__ARRAY__
 *   Return value   %char*
 *
 * Wraps %vte_terminal_get_text.
 **/

static int cmd_vte_terminal_get_text (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* VTE_TYPE_TERMINAL */
  arg = cval_gather (interp, objc, objv, 6, sig, 0XE, "__FUNC__", "__DATA__", "__ARRAY__");

  if (!arg) {
    return TCL_ERROR;
  }

  /* char* VteTerminal* __FUNC__ __DATA__ __ARRAY__ */
  arg[0].ptr_val = vte_terminal_get_text (arg[1].ptr_val, 0, 0, 0);

  /* G_TYPE_STRING_DYNAMIC */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * vte.stub.func.vte::terminal get_text_range:
 * vte::terminal get_text_range
 * vte_terminal_get_text_range
 *
 *> Usage
 *   @name          %VteTerminal*
 *   @name          %glong
 *   @name          %glong
 *   @name          %glong
 *   @name          %glong
 *   @name          %__FUNC__
 *   @name          %__DATA__
 *   @name          %__ARRAY__
 *   Return value   %char*
 *
 * Wraps %vte_terminal_get_text_range.
 **/

static int cmd_vte_terminal_get_text_range (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* VTE_TYPE_TERMINAL G_TYPE_LONG G_TYPE_LONG G_TYPE_LONG G_TYPE_LONG */
  arg = cval_gather (interp, objc, objv, 10, sig, 0XE0, "__FUNC__", "__DATA__", "__ARRAY__");

  if (!arg) {
    return TCL_ERROR;
  }

  /* char* VteTerminal* glong glong glong glong __FUNC__ __DATA__ __ARRAY__ */
  arg[0].ptr_val = vte_terminal_get_text_range (arg[1].ptr_val, arg[2].long_val, arg[3].long_val, arg[4].long_val, arg[5].long_val, 0, 0, 0);

  /* G_TYPE_STRING_DYNAMIC */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}


/**!
 * vte.status:
 * 
 * Automatically handled functions:
 *{
 * %vte_reaper_get_type
 * %vte_reaper_get
 * %vte_terminal_erase_binding_get_type
 * %vte_terminal_get_type
 * %vte_terminal_new
 * %vte_terminal_feed
 * %vte_terminal_feed_child
 * %vte_terminal_copy_clipboard
 * %vte_terminal_paste_clipboard
 * %vte_terminal_copy_primary
 * %vte_terminal_paste_primary
 * %vte_terminal_set_size
 * %vte_terminal_set_audible_bell
 * %vte_terminal_get_audible_bell
 * %vte_terminal_set_visible_bell
 * %vte_terminal_get_visible_bell
 * %vte_terminal_set_scroll_background
 * %vte_terminal_set_scroll_on_output
 * %vte_terminal_set_scroll_on_keystroke
 * %vte_terminal_set_color_dim
 * %vte_terminal_set_color_bold
 * %vte_terminal_set_color_foreground
 * %vte_terminal_set_color_background
 * %vte_terminal_set_default_colors
 * %vte_terminal_set_background_image
 * %vte_terminal_set_background_image_file
 * %vte_terminal_set_background_tint_color
 * %vte_terminal_set_background_saturation
 * %vte_terminal_set_background_transparent
 * %vte_terminal_set_cursor_blinks
 * %vte_terminal_set_scrollback_lines
 * %vte_terminal_im_append_menuitems
 * %vte_terminal_set_font
 * %vte_terminal_set_font_from_string
 * %vte_terminal_get_font
 * %vte_terminal_get_using_xft
 * %vte_terminal_set_allow_bold
 * %vte_terminal_get_allow_bold
 * %vte_terminal_get_has_selection
 * %vte_terminal_set_word_chars
 * %vte_terminal_is_word_char
 * %vte_terminal_set_backspace_binding
 * %vte_terminal_set_delete_binding
 * %vte_terminal_set_mouse_autohide
 * %vte_terminal_get_mouse_autohide
 * %vte_terminal_reset
 * %vte_terminal_match_clear_all
 * %vte_terminal_match_add
 * %vte_terminal_match_set_cursor
 * %vte_terminal_match_set_cursor_type
 * %vte_terminal_match_remove
 * %vte_terminal_set_emulation
 * %vte_terminal_get_emulation
 * %vte_terminal_set_encoding
 * %vte_terminal_get_encoding
 * %vte_terminal_get_status_line
 * %vte_terminal_get_adjustment
 * %vte_terminal_get_char_width
 * %vte_terminal_get_char_height
 * %vte_terminal_get_char_descent
 * %vte_terminal_get_char_ascent
 * %vte_terminal_get_row_count
 * %vte_terminal_get_column_count
 * %vte_terminal_get_window_title
 * %vte_terminal_get_icon_title
 * %vte_terminal_accessible_factory_get_type
 * %vte_terminal_accessible_factory_new
 * %vte_terminal_accessible_get_type
 * %vte_terminal_accessible_new
 *}
 *
 * Manually handled functions:
 *{
 * &{vte::terminal set_colors} (%vte_terminal_set_colors)
 *}
 * 
 * Unimplmented stubs:
 *{
 * vte::terminal fork_command (%vte_terminal_fork_command)
 * vte::terminal get_cursor_position (%vte_terminal_get_cursor_position)
 * vte::terminal match_check (%vte_terminal_match_check)
 * vte::terminal get_padding (%vte_terminal_get_padding)
 * vte::terminal get_text (%vte_terminal_get_text)
 * vte::terminal get_text_range (%vte_terminal_get_text_range)
 *}
 **/
