#include <tcl-gobject.h>
#include <vte/vte.h>
#include <vte/vteaccess.h>
#include <vte/reaper.h>

#include "pkg.c"
#include "stub.c"

/**!
 * vte.intro:
 *
 * This packages wraps the Vte library which provides a terminal emulator
 * widget. See http://developer.gnome.org/doc/API/2.0/vte for more 
 * information. This replaces Zvt.
 **/

int Vte_Init (Tcl_Interp *interp)
{
  if (interp == 0) {
    return TCL_ERROR;
  }

  if (!Tcl_InitStubs (interp, "8.2.0", 0)) {
    return TCL_ERROR;
  }

  if (!Tcl_PkgRequire (interp, "Gtk", VERSION, 0)) {
    return TCL_ERROR;
  }

  if (Tcl_PkgProvide (interp, "Vte", VERSION) != TCL_OK) {
    return TCL_ERROR;
  }

#include "pkg.init"

  return TCL_OK;
}



