/**!
 * gtk.stub.func.gtk::accel_group find:
 * gtk::accel_group find
 * gtk_accel_group_find
 *
 *> Usage
 *   @name          %GtkAccelGroup*
 *   @name          %GtkAccelGroupFindFunc
 *   @name          %gpointer
 *   Return value   %GtkAccelKey*
 *
 * Wraps %gtk_accel_group_find.
 **/

static int cmd_gtk_accel_group_find (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_ACCEL_GROUP */
  arg = cval_gather (interp, objc, objv, 5, sig, 0X6, "GtkAccelGroupFindFunc", "gpointer");

  if (!arg) {
    return TCL_ERROR;
  }

  /* GtkAccelKey* GtkAccelGroup* GtkAccelGroupFindFunc gpointer */
  /* arg[0].???_val = */ gtk_accel_group_find (arg[1].ptr_val, 0, 0);

  /* ??? */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::accel_group query:
 * gtk::accel_group query
 * gtk_accel_group_query
 *
 *> Usage
 *   @name          %GtkAccelGroup*
 *   @name          %guint
 *   @name          %GdkModifierType
 *   @name          %guint*
 *   Return value   %GtkAccelGroupEntry*
 *
 * Wraps %gtk_accel_group_query.
 **/

static int cmd_gtk_accel_group_query (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_ACCEL_GROUP G_TYPE_UINT GDK_TYPE_MODIFIER_TYPE */
  arg = cval_gather (interp, objc, objv, 6, sig, 0X8, "guint*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* GtkAccelGroupEntry* GtkAccelGroup* guint GdkModifierType guint* */
  /* arg[0].???_val = */ gtk_accel_group_query (arg[1].ptr_val, arg[2].int_val, arg[3].int_val, 0);

  /* ??? */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::accelerator parse:
 * gtk::accelerator parse
 * gtk_accelerator_parse
 *
 *> Usage
 *   @name          %gchar*
 *   @name          %guint*
 *   @name          %GdkModifierType*
 *   Return value   %void
 *
 * Wraps %gtk_accelerator_parse.
 **/

static int cmd_gtk_accelerator_parse (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* G_TYPE_STRING GDK_TYPE_MODIFIER_TYPE */
  arg = cval_gather (interp, objc, objv, 5, sig, 0X2, "guint*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void {const gchar*} guint* GdkModifierType* */
  gtk_accelerator_parse (arg[1].ptr_val, 0, arg[2].ptr_val);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::accel_map lookup_entry:
 * gtk::accel_map lookup_entry
 * gtk_accel_map_lookup_entry
 *
 *> Usage
 *   @name          %gchar*
 *   @name          %GtkAccelKey*
 *   Return value   %gboolean
 *
 * Wraps %gtk_accel_map_lookup_entry.
 **/

static int cmd_gtk_accel_map_lookup_entry (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* G_TYPE_STRING */
  arg = cval_gather (interp, objc, objv, 4, sig, 0X2, "GtkAccelKey*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* gboolean {const gchar*} GtkAccelKey* */
  arg[0].int_val = gtk_accel_map_lookup_entry (arg[1].ptr_val, 0);

  /* G_TYPE_BOOLEAN */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::accel_map foreach:
 * gtk::accel_map foreach
 * gtk_accel_map_foreach
 *
 *> Usage
 *   @name          %gpointer
 *   @name          %GtkAccelMapForeach
 *   Return value   %void
 *
 * Wraps %gtk_accel_map_foreach.
 **/

static int cmd_gtk_accel_map_foreach (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /*  */
  arg = cval_gather (interp, objc, objv, 4, sig, 0X3, "gpointer", "GtkAccelMapForeach");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void gpointer GtkAccelMapForeach */
  gtk_accel_map_foreach (0, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::accel_map load_scanner:
 * gtk::accel_map load_scanner
 * gtk_accel_map_load_scanner
 *
 *> Usage
 *   @name          %GScanner*
 *   Return value   %void
 *
 * Wraps %gtk_accel_map_load_scanner.
 **/

static int cmd_gtk_accel_map_load_scanner (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /*  */
  arg = cval_gather (interp, objc, objv, 3, sig, 0X1, "GScanner*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GScanner* */
  gtk_accel_map_load_scanner (0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::accel_map foreach_unfiltered:
 * gtk::accel_map foreach_unfiltered
 * gtk_accel_map_foreach_unfiltered
 *
 *> Usage
 *   @name          %gpointer
 *   @name          %GtkAccelMapForeach
 *   Return value   %void
 *
 * Wraps %gtk_accel_map_foreach_unfiltered.
 **/

static int cmd_gtk_accel_map_foreach_unfiltered (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /*  */
  arg = cval_gather (interp, objc, objv, 4, sig, 0X3, "gpointer", "GtkAccelMapForeach");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void gpointer GtkAccelMapForeach */
  gtk_accel_map_foreach_unfiltered (0, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::box query_child_packing:
 * gtk::box query_child_packing
 * gtk_box_query_child_packing
 *
 *> Usage
 *   @name          %GtkBox*
 *   @name          %GtkWidget*
 *   @name          %gboolean*
 *   @name          %gboolean*
 *   @name          %guint*
 *   @name          %GtkPackType*
 *   Return value   %void
 *
 * Wraps %gtk_box_query_child_packing.
 **/

static int cmd_gtk_box_query_child_packing (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_BOX GTK_TYPE_WIDGET GTK_TYPE_PACK_TYPE */
  arg = cval_gather (interp, objc, objv, 8, sig, 0X1C, "gboolean*", "gboolean*", "guint*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkBox* GtkWidget* gboolean* gboolean* guint* GtkPackType* */
  gtk_box_query_child_packing (arg[1].ptr_val, arg[2].ptr_val, 0, 0, 0, arg[3].ptr_val);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::calendar get_date:
 * gtk::calendar get_date
 * gtk_calendar_get_date
 *
 *> Usage
 *   @name          %GtkCalendar*
 *   @name          %guint*
 *   @name          %guint*
 *   @name          %guint*
 *   Return value   %void
 *
 * Wraps %gtk_calendar_get_date.
 **/

static int cmd_gtk_calendar_get_date (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_CALENDAR */
  arg = cval_gather (interp, objc, objv, 6, sig, 0XE, "guint*", "guint*", "guint*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkCalendar* guint* guint* guint* */
  gtk_calendar_get_date (arg[1].ptr_val, 0, 0, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::cell_renderer get_size:
 * gtk::cell_renderer get_size
 * gtk_cell_renderer_get_size
 *
 *> Usage
 *   @name          %GtkCellRenderer*
 *   @name          %GtkWidget*
 *   @name          %GdkRectangle*
 *   @name          %gint*
 *   @name          %gint*
 *   @name          %gint*
 *   @name          %gint*
 *   Return value   %void
 *
 * Wraps %gtk_cell_renderer_get_size.
 **/

static int cmd_gtk_cell_renderer_get_size (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_CELL_RENDERER GTK_TYPE_WIDGET GDK_TYPE_RECTANGLE */
  arg = cval_gather (interp, objc, objv, 9, sig, 0X78, "gint*", "gint*", "gint*", "gint*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkCellRenderer* GtkWidget* GdkRectangle* gint* gint* gint* gint* */
  gtk_cell_renderer_get_size (arg[1].ptr_val, arg[2].ptr_val, arg[3].ptr_val, 0, 0, 0, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::cell_renderer get_fixed_size:
 * gtk::cell_renderer get_fixed_size
 * gtk_cell_renderer_get_fixed_size
 *
 *> Usage
 *   @name          %GtkCellRenderer*
 *   @name          %gint*
 *   @name          %gint*
 *   Return value   %void
 *
 * Wraps %gtk_cell_renderer_get_fixed_size.
 **/

static int cmd_gtk_cell_renderer_get_fixed_size (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_CELL_RENDERER */
  arg = cval_gather (interp, objc, objv, 5, sig, 0X6, "gint*", "gint*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkCellRenderer* gint* gint* */
  gtk_cell_renderer_get_fixed_size (arg[1].ptr_val, 0, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::clipboard get_for_display:
 * gtk::clipboard get_for_display
 * gtk_clipboard_get_for_display
 *
 *> Usage
 *   @name          %GdkDisplay*
 *   @name          %GdkAtom
 *   Return value   %GtkClipboard*
 *
 * Wraps %gtk_clipboard_get_for_display.
 **/

static int cmd_gtk_clipboard_get_for_display (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GDK_TYPE_DISPLAY */
  arg = cval_gather (interp, objc, objv, 4, sig, 0X2, "GdkAtom");

  if (!arg) {
    return TCL_ERROR;
  }

  /* GtkClipboard* GdkDisplay* GdkAtom */
  arg[0].ptr_val = gtk_clipboard_get_for_display (arg[1].ptr_val, 0);

  /* GTK_TYPE_CLIPBOARD */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::clipboard get:
 * gtk::clipboard get
 * gtk_clipboard_get
 *
 *> Usage
 *   @name          %GdkAtom
 *   Return value   %GtkClipboard*
 *
 * Wraps %gtk_clipboard_get.
 **/

static int cmd_gtk_clipboard_get (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /*  */
  arg = cval_gather (interp, objc, objv, 3, sig, 0X1, "GdkAtom");

  if (!arg) {
    return TCL_ERROR;
  }

  /* GtkClipboard* GdkAtom */
  arg[0].ptr_val = gtk_clipboard_get (0);

  /* GTK_TYPE_CLIPBOARD */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::clipboard set_with_data:
 * gtk::clipboard set_with_data
 * gtk_clipboard_set_with_data
 *
 *> Usage
 *   @name          %GtkClipboard*
 *   @name          %GtkTargetEntry*
 *   @name          %guint
 *   @name          %GtkClipboardGetFunc
 *   @name          %GtkClipboardClearFunc
 *   @name          %gpointer
 *   Return value   %gboolean
 *
 * Wraps %gtk_clipboard_set_with_data.
 **/

static int cmd_gtk_clipboard_set_with_data (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_CLIPBOARD G_TYPE_UINT */
  arg = cval_gather (interp, objc, objv, 8, sig, 0X3A, "const GtkTargetEntry*", "GtkClipboardGetFunc", "GtkClipboardClearFunc", "gpointer");

  if (!arg) {
    return TCL_ERROR;
  }

  /* gboolean GtkClipboard* {const GtkTargetEntry*} guint GtkClipboardGetFunc GtkClipboardClearFunc gpointer */
  arg[0].int_val = gtk_clipboard_set_with_data (arg[1].ptr_val, 0, arg[2].int_val, 0, 0, 0);

  /* G_TYPE_BOOLEAN */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::clipboard set_with_owner:
 * gtk::clipboard set_with_owner
 * gtk_clipboard_set_with_owner
 *
 *> Usage
 *   @name          %GtkClipboard*
 *   @name          %GtkTargetEntry*
 *   @name          %guint
 *   @name          %GtkClipboardGetFunc
 *   @name          %GtkClipboardClearFunc
 *   @name          %GObject*
 *   Return value   %gboolean
 *
 * Wraps %gtk_clipboard_set_with_owner.
 **/

static int cmd_gtk_clipboard_set_with_owner (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_CLIPBOARD G_TYPE_UINT G_TYPE_OBJECT */
  arg = cval_gather (interp, objc, objv, 8, sig, 0X1A, "const GtkTargetEntry*", "GtkClipboardGetFunc", "GtkClipboardClearFunc");

  if (!arg) {
    return TCL_ERROR;
  }

  /* gboolean GtkClipboard* {const GtkTargetEntry*} guint GtkClipboardGetFunc GtkClipboardClearFunc GObject* */
  arg[0].int_val = gtk_clipboard_set_with_owner (arg[1].ptr_val, 0, arg[2].int_val, 0, 0, arg[3].ptr_val);

  /* G_TYPE_BOOLEAN */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::clipboard request_contents:
 * gtk::clipboard request_contents
 * gtk_clipboard_request_contents
 *
 *> Usage
 *   @name          %GtkClipboard*
 *   @name          %GdkAtom
 *   @name          %GtkClipboardReceivedFunc
 *   @name          %gpointer
 *   Return value   %void
 *
 * Wraps %gtk_clipboard_request_contents.
 **/

static int cmd_gtk_clipboard_request_contents (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_CLIPBOARD */
  arg = cval_gather (interp, objc, objv, 6, sig, 0XE, "GdkAtom", "GtkClipboardReceivedFunc", "gpointer");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkClipboard* GdkAtom GtkClipboardReceivedFunc gpointer */
  gtk_clipboard_request_contents (arg[1].ptr_val, 0, 0, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::clipboard request_text:
 * gtk::clipboard request_text
 * gtk_clipboard_request_text
 *
 *> Usage
 *   @name          %GtkClipboard*
 *   @name          %GtkClipboardTextReceivedFunc
 *   @name          %gpointer
 *   Return value   %void
 *
 * Wraps %gtk_clipboard_request_text.
 **/

static int cmd_gtk_clipboard_request_text (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_CLIPBOARD */
  arg = cval_gather (interp, objc, objv, 5, sig, 0X6, "GtkClipboardTextReceivedFunc", "gpointer");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkClipboard* GtkClipboardTextReceivedFunc gpointer */
  gtk_clipboard_request_text (arg[1].ptr_val, 0, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::clipboard wait_for_contents:
 * gtk::clipboard wait_for_contents
 * gtk_clipboard_wait_for_contents
 *
 *> Usage
 *   @name          %GtkClipboard*
 *   @name          %GdkAtom
 *   Return value   %GtkSelectionData*
 *
 * Wraps %gtk_clipboard_wait_for_contents.
 **/

static int cmd_gtk_clipboard_wait_for_contents (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_CLIPBOARD */
  arg = cval_gather (interp, objc, objv, 4, sig, 0X2, "GdkAtom");

  if (!arg) {
    return TCL_ERROR;
  }

  /* GtkSelectionData* GtkClipboard* GdkAtom */
  arg[0].ptr_val = gtk_clipboard_wait_for_contents (arg[1].ptr_val, 0);

  /* GTK_TYPE_SELECTION_DATA */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::color_selection palette_from_string:
 * gtk::color_selection palette_from_string
 * gtk_color_selection_palette_from_string
 *
 *> Usage
 *   @name          %gchar*
 *   @name          %GdkColor**
 *   @name          %gint*
 *   Return value   %gboolean
 *
 * Wraps %gtk_color_selection_palette_from_string.
 **/

static int cmd_gtk_color_selection_palette_from_string (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* G_TYPE_STRING */
  arg = cval_gather (interp, objc, objv, 5, sig, 0X6, "GdkColor**", "gint*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* gboolean {const gchar*} GdkColor** gint* */
  arg[0].int_val = gtk_color_selection_palette_from_string (arg[1].ptr_val, 0, 0);

  /* G_TYPE_BOOLEAN */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::color_selection set_change_palette_hook:
 * gtk::color_selection set_change_palette_hook
 * gtk_color_selection_set_change_palette_hook
 *
 *> Usage
 *   @name          %GtkColorSelectionChangePaletteFunc
 *   Return value   %GtkColorSelectionChangePaletteFunc
 *
 * Wraps %gtk_color_selection_set_change_palette_hook.
 **/

static int cmd_gtk_color_selection_set_change_palette_hook (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /*  */
  arg = cval_gather (interp, objc, objv, 3, sig, 0X1, "GtkColorSelectionChangePaletteFunc");

  if (!arg) {
    return TCL_ERROR;
  }

  /* GtkColorSelectionChangePaletteFunc GtkColorSelectionChangePaletteFunc */
  /* arg[0].???_val = */ gtk_color_selection_set_change_palette_hook (0);

  /* ??? */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::color_selection set_change_palette_with_screen_hook:
 * gtk::color_selection set_change_palette_with_screen_hook
 * gtk_color_selection_set_change_palette_with_screen_hook
 *
 *> Usage
 *   @name          %GtkColorSelectionChangePaletteWithScreenFunc
 *   Return value   %GtkColorSelectionChangePaletteWithScreenFunc
 *
 * Wraps %gtk_color_selection_set_change_palette_with_screen_hook.
 **/

static int cmd_gtk_color_selection_set_change_palette_with_screen_hook (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /*  */
  arg = cval_gather (interp, objc, objv, 3, sig, 0X1, "GtkColorSelectionChangePaletteWithScreenFunc");

  if (!arg) {
    return TCL_ERROR;
  }

  /* GtkColorSelectionChangePaletteWithScreenFunc GtkColorSelectionChangePaletteWithScreenFunc */
  /* arg[0].???_val = */ gtk_color_selection_set_change_palette_with_screen_hook (0);

  /* ??? */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::combo set_popdown_strings:
 * gtk::combo set_popdown_strings
 * gtk_combo_set_popdown_strings
 *
 *> Usage
 *   @name          %GtkCombo*
 *   @name          %GList*
 *   Return value   %void
 *
 * Wraps %gtk_combo_set_popdown_strings.
 **/

static int cmd_gtk_combo_set_popdown_strings (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_COMBO */
  arg = cval_gather (interp, objc, objv, 4, sig, 0X2, "GList*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkCombo* GList* */
  gtk_combo_set_popdown_strings (arg[1].ptr_val, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::container foreach:
 * gtk::container foreach
 * gtk_container_foreach
 *
 *> Usage
 *   @name          %GtkContainer*
 *   @name          %GtkCallback
 *   @name          %gpointer
 *   Return value   %void
 *
 * Wraps %gtk_container_foreach.
 **/

static int cmd_gtk_container_foreach (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_CONTAINER */
  arg = cval_gather (interp, objc, objv, 5, sig, 0X6, "GtkCallback", "gpointer");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkContainer* GtkCallback gpointer */
  gtk_container_foreach (arg[1].ptr_val, 0, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::container get_children:
 * gtk::container get_children
 * gtk_container_get_children
 *
 *> Usage
 *   @name          %GtkContainer*
 *   Return value   %GList*
 *
 * Wraps %gtk_container_get_children.
 **/

static int cmd_gtk_container_get_children (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_CONTAINER */
  arg = cval_gather (interp, objc, objv, 3, sig, 0);

  if (!arg) {
    return TCL_ERROR;
  }

  /* GList* GtkContainer* */
  /* arg[0].???_val = */ gtk_container_get_children (arg[1].ptr_val);

  /* ??? */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::container propagate_expose:
 * gtk::container propagate_expose
 * gtk_container_propagate_expose
 *
 *> Usage
 *   @name          %GtkContainer*
 *   @name          %GtkWidget*
 *   @name          %GdkEventExpose*
 *   Return value   %void
 *
 * Wraps %gtk_container_propagate_expose.
 **/

static int cmd_gtk_container_propagate_expose (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_CONTAINER GTK_TYPE_WIDGET */
  arg = cval_gather (interp, objc, objv, 5, sig, 0X4, "GdkEventExpose*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkContainer* GtkWidget* GdkEventExpose* */
  gtk_container_propagate_expose (arg[1].ptr_val, arg[2].ptr_val, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::container set_focus_chain:
 * gtk::container set_focus_chain
 * gtk_container_set_focus_chain
 *
 *> Usage
 *   @name          %GtkContainer*
 *   @name          %GList*
 *   Return value   %void
 *
 * Wraps %gtk_container_set_focus_chain.
 **/

static int cmd_gtk_container_set_focus_chain (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_CONTAINER */
  arg = cval_gather (interp, objc, objv, 4, sig, 0X2, "GList*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkContainer* GList* */
  gtk_container_set_focus_chain (arg[1].ptr_val, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::container get_focus_chain:
 * gtk::container get_focus_chain
 * gtk_container_get_focus_chain
 *
 *> Usage
 *   @name          %GtkContainer*
 *   @name          %GList**
 *   Return value   %gboolean
 *
 * Wraps %gtk_container_get_focus_chain.
 **/

static int cmd_gtk_container_get_focus_chain (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_CONTAINER */
  arg = cval_gather (interp, objc, objv, 4, sig, 0X2, "GList**");

  if (!arg) {
    return TCL_ERROR;
  }

  /* gboolean GtkContainer* GList** */
  arg[0].int_val = gtk_container_get_focus_chain (arg[1].ptr_val, 0);

  /* G_TYPE_BOOLEAN */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::container class_install_child_property:
 * gtk::container class_install_child_property
 * gtk_container_class_install_child_property
 *
 *> Usage
 *   @name          %GtkContainerClass*
 *   @name          %guint
 *   @name          %GParamSpec*
 *   Return value   %void
 *
 * Wraps %gtk_container_class_install_child_property.
 **/

static int cmd_gtk_container_class_install_child_property (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* G_TYPE_UINT G_TYPE_PARAM */
  arg = cval_gather (interp, objc, objv, 5, sig, 0X1, "GtkContainerClass*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkContainerClass* guint GParamSpec* */
  gtk_container_class_install_child_property (0, arg[1].int_val, arg[2].ptr_val);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::container class_find_child_property:
 * gtk::container class_find_child_property
 * gtk_container_class_find_child_property
 *
 *> Usage
 *   @name          %GObjectClass*
 *   @name          %gchar*
 *   Return value   %GParamSpec*
 *
 * Wraps %gtk_container_class_find_child_property.
 **/

static int cmd_gtk_container_class_find_child_property (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* G_TYPE_STRING */
  arg = cval_gather (interp, objc, objv, 4, sig, 0X1, "GObjectClass*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* GParamSpec* GObjectClass* {const gchar*} */
  arg[0].ptr_val = gtk_container_class_find_child_property (0, arg[1].ptr_val);

  /* G_TYPE_PARAM */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::container class_list_child_properties:
 * gtk::container class_list_child_properties
 * gtk_container_class_list_child_properties
 *
 *> Usage
 *   @name          %GObjectClass*
 *   @name          %guint*
 *   Return value   %GParamSpec**
 *
 * Wraps %gtk_container_class_list_child_properties.
 **/

static int cmd_gtk_container_class_list_child_properties (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /*  */
  arg = cval_gather (interp, objc, objv, 4, sig, 0X3, "GObjectClass*", "guint*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* GParamSpec** GObjectClass* guint* */
  /* arg[0].???_val = */ gtk_container_class_list_child_properties (0, 0);

  /* ??? */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::container add_with_properties:
 * gtk::container add_with_properties
 * gtk_container_add_with_properties
 *
 *> Usage
 *   @name          %GtkContainer*
 *   @name          %GtkWidget*
 *   @name          %gchar*
 *   @name          %...
 *   Return value   %void
 *
 * Wraps %gtk_container_add_with_properties.
 **/

static int cmd_gtk_container_add_with_properties (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_CONTAINER GTK_TYPE_WIDGET G_TYPE_STRING */
  arg = cval_gather (interp, objc, objv, 6, sig, 0X8, "...");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkContainer* GtkWidget* {const gchar*} ... */
  gtk_container_add_with_properties (arg[1].ptr_val, arg[2].ptr_val, arg[3].ptr_val, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::container child_set:
 * gtk::container child_set
 * gtk_container_child_set
 *
 *> Usage
 *   @name          %GtkContainer*
 *   @name          %GtkWidget*
 *   @name          %gchar*
 *   @name          %...
 *   Return value   %void
 *
 * Wraps %gtk_container_child_set.
 **/

static int cmd_gtk_container_child_set (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_CONTAINER GTK_TYPE_WIDGET G_TYPE_STRING */
  arg = cval_gather (interp, objc, objv, 6, sig, 0X8, "...");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkContainer* GtkWidget* {const gchar*} ... */
  gtk_container_child_set (arg[1].ptr_val, arg[2].ptr_val, arg[3].ptr_val, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::container child_get:
 * gtk::container child_get
 * gtk_container_child_get
 *
 *> Usage
 *   @name          %GtkContainer*
 *   @name          %GtkWidget*
 *   @name          %gchar*
 *   @name          %...
 *   Return value   %void
 *
 * Wraps %gtk_container_child_get.
 **/

static int cmd_gtk_container_child_get (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_CONTAINER GTK_TYPE_WIDGET G_TYPE_STRING */
  arg = cval_gather (interp, objc, objv, 6, sig, 0X8, "...");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkContainer* GtkWidget* {const gchar*} ... */
  gtk_container_child_get (arg[1].ptr_val, arg[2].ptr_val, arg[3].ptr_val, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::container child_set_valist:
 * gtk::container child_set_valist
 * gtk_container_child_set_valist
 *
 *> Usage
 *   @name          %GtkContainer*
 *   @name          %GtkWidget*
 *   @name          %gchar*
 *   @name          %va_list
 *   Return value   %void
 *
 * Wraps %gtk_container_child_set_valist.
 **/

static int cmd_gtk_container_child_set_valist (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_CONTAINER GTK_TYPE_WIDGET G_TYPE_STRING */
  arg = cval_gather (interp, objc, objv, 6, sig, 0X8, "va_list");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkContainer* GtkWidget* {const gchar*} va_list */
  gtk_container_child_set_valist (arg[1].ptr_val, arg[2].ptr_val, arg[3].ptr_val, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::container child_get_valist:
 * gtk::container child_get_valist
 * gtk_container_child_get_valist
 *
 *> Usage
 *   @name          %GtkContainer*
 *   @name          %GtkWidget*
 *   @name          %gchar*
 *   @name          %va_list
 *   Return value   %void
 *
 * Wraps %gtk_container_child_get_valist.
 **/

static int cmd_gtk_container_child_get_valist (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_CONTAINER GTK_TYPE_WIDGET G_TYPE_STRING */
  arg = cval_gather (interp, objc, objv, 6, sig, 0X8, "va_list");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkContainer* GtkWidget* {const gchar*} va_list */
  gtk_container_child_get_valist (arg[1].ptr_val, arg[2].ptr_val, arg[3].ptr_val, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::container forall:
 * gtk::container forall
 * gtk_container_forall
 *
 *> Usage
 *   @name          %GtkContainer*
 *   @name          %GtkCallback
 *   @name          %gpointer
 *   Return value   %void
 *
 * Wraps %gtk_container_forall.
 **/

static int cmd_gtk_container_forall (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_CONTAINER */
  arg = cval_gather (interp, objc, objv, 5, sig, 0X6, "GtkCallback", "gpointer");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkContainer* GtkCallback gpointer */
  gtk_container_forall (arg[1].ptr_val, 0, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::dialog new_with_buttons:
 * gtk::dialog new_with_buttons
 * gtk_dialog_new_with_buttons
 *
 *> Usage
 *   @name          %gchar*
 *   @name          %GtkWindow*
 *   @name          %GtkDialogFlags
 *   @name          %gchar*
 *   @name          %...
 *   Return value   %GtkWidget*
 *
 * Wraps %gtk_dialog_new_with_buttons.
 **/

static int cmd_gtk_dialog_new_with_buttons (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* G_TYPE_STRING GTK_TYPE_WINDOW GTK_TYPE_DIALOG_FLAGS G_TYPE_STRING */
  arg = cval_gather (interp, objc, objv, 7, sig, 0X10, "...");

  if (!arg) {
    return TCL_ERROR;
  }

  /* GtkWidget* {const gchar*} GtkWindow* GtkDialogFlags {const gchar*} ... */
  arg[0].ptr_val = gtk_dialog_new_with_buttons (arg[1].ptr_val, arg[2].ptr_val, arg[3].int_val, arg[4].ptr_val, 0);

  /* GTK_TYPE_WIDGET */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::dialog add_buttons:
 * gtk::dialog add_buttons
 * gtk_dialog_add_buttons
 *
 *> Usage
 *   @name          %GtkDialog*
 *   @name          %gchar*
 *   @name          %...
 *   Return value   %void
 *
 * Wraps %gtk_dialog_add_buttons.
 **/

static int cmd_gtk_dialog_add_buttons (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_DIALOG G_TYPE_STRING */
  arg = cval_gather (interp, objc, objv, 5, sig, 0X4, "...");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkDialog* {const gchar*} ... */
  gtk_dialog_add_buttons (arg[1].ptr_val, arg[2].ptr_val, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::drag get_data:
 * gtk::drag get_data
 * gtk_drag_get_data
 *
 *> Usage
 *   @name          %GtkWidget*
 *   @name          %GdkDragContext*
 *   @name          %GdkAtom
 *   @name          %guint32
 *   Return value   %void
 *
 * Wraps %gtk_drag_get_data.
 **/

static int cmd_gtk_drag_get_data (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_WIDGET GDK_TYPE_DRAG_CONTEXT G_TYPE_UINT */
  arg = cval_gather (interp, objc, objv, 6, sig, 0X4, "GdkAtom");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkWidget* GdkDragContext* GdkAtom guint32 */
  gtk_drag_get_data (arg[1].ptr_val, arg[2].ptr_val, 0, arg[3].int_val);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::drag dest_set:
 * gtk::drag dest_set
 * gtk_drag_dest_set
 *
 *> Usage
 *   @name          %GtkWidget*
 *   @name          %GtkDestDefaults
 *   @name          %GtkTargetEntry*
 *   @name          %gint
 *   @name          %GdkDragAction
 *   Return value   %void
 *
 * Wraps %gtk_drag_dest_set.
 **/

static int cmd_gtk_drag_dest_set (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_WIDGET GTK_TYPE_DEST_DEFAULTS G_TYPE_INT GDK_TYPE_DRAG_ACTION */
  arg = cval_gather (interp, objc, objv, 7, sig, 0X4, "const GtkTargetEntry*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkWidget* GtkDestDefaults {const GtkTargetEntry*} gint GdkDragAction */
  gtk_drag_dest_set (arg[1].ptr_val, arg[2].int_val, 0, arg[3].int_val, arg[4].int_val);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::drag dest_find_target:
 * gtk::drag dest_find_target
 * gtk_drag_dest_find_target
 *
 *> Usage
 *   @name          %GtkWidget*
 *   @name          %GdkDragContext*
 *   @name          %GtkTargetList*
 *   Return value   %GdkAtom
 *
 * Wraps %gtk_drag_dest_find_target.
 **/

static int cmd_gtk_drag_dest_find_target (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_WIDGET GDK_TYPE_DRAG_CONTEXT */
  arg = cval_gather (interp, objc, objv, 5, sig, 0X4, "GtkTargetList*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* GdkAtom GtkWidget* GdkDragContext* GtkTargetList* */
  /* arg[0].???_val = */ gtk_drag_dest_find_target (arg[1].ptr_val, arg[2].ptr_val, 0);

  /* ??? */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::drag dest_get_target_list:
 * gtk::drag dest_get_target_list
 * gtk_drag_dest_get_target_list
 *
 *> Usage
 *   @name          %GtkWidget*
 *   Return value   %GtkTargetList*
 *
 * Wraps %gtk_drag_dest_get_target_list.
 **/

static int cmd_gtk_drag_dest_get_target_list (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_WIDGET */
  arg = cval_gather (interp, objc, objv, 3, sig, 0);

  if (!arg) {
    return TCL_ERROR;
  }

  /* GtkTargetList* GtkWidget* */
  /* arg[0].???_val = */ gtk_drag_dest_get_target_list (arg[1].ptr_val);

  /* ??? */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::drag dest_set_target_list:
 * gtk::drag dest_set_target_list
 * gtk_drag_dest_set_target_list
 *
 *> Usage
 *   @name          %GtkWidget*
 *   @name          %GtkTargetList*
 *   Return value   %void
 *
 * Wraps %gtk_drag_dest_set_target_list.
 **/

static int cmd_gtk_drag_dest_set_target_list (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_WIDGET */
  arg = cval_gather (interp, objc, objv, 4, sig, 0X2, "GtkTargetList*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkWidget* GtkTargetList* */
  gtk_drag_dest_set_target_list (arg[1].ptr_val, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::drag source_set:
 * gtk::drag source_set
 * gtk_drag_source_set
 *
 *> Usage
 *   @name          %GtkWidget*
 *   @name          %GdkModifierType
 *   @name          %GtkTargetEntry*
 *   @name          %gint
 *   @name          %GdkDragAction
 *   Return value   %void
 *
 * Wraps %gtk_drag_source_set.
 **/

static int cmd_gtk_drag_source_set (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_WIDGET GDK_TYPE_MODIFIER_TYPE G_TYPE_INT GDK_TYPE_DRAG_ACTION */
  arg = cval_gather (interp, objc, objv, 7, sig, 0X4, "const GtkTargetEntry*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkWidget* GdkModifierType {const GtkTargetEntry*} gint GdkDragAction */
  gtk_drag_source_set (arg[1].ptr_val, arg[2].int_val, 0, arg[3].int_val, arg[4].int_val);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::drag begin:
 * gtk::drag begin
 * gtk_drag_begin
 *
 *> Usage
 *   @name          %GtkWidget*
 *   @name          %GtkTargetList*
 *   @name          %GdkDragAction
 *   @name          %gint
 *   @name          %GdkEvent*
 *   Return value   %GdkDragContext*
 *
 * Wraps %gtk_drag_begin.
 **/

static int cmd_gtk_drag_begin (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_WIDGET GDK_TYPE_DRAG_ACTION G_TYPE_INT GDK_TYPE_EVENT */
  arg = cval_gather (interp, objc, objv, 7, sig, 0X2, "GtkTargetList*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* GdkDragContext* GtkWidget* GtkTargetList* GdkDragAction gint GdkEvent* */
  arg[0].ptr_val = gtk_drag_begin (arg[1].ptr_val, 0, arg[2].int_val, arg[3].int_val, arg[4].ptr_val);

  /* GDK_TYPE_DRAG_CONTEXT */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::editable get_selection_bounds:
 * gtk::editable get_selection_bounds
 * gtk_editable_get_selection_bounds
 *
 *> Usage
 *   @name          %GtkEditable*
 *   @name          %gint*
 *   @name          %gint*
 *   Return value   %gboolean
 *
 * Wraps %gtk_editable_get_selection_bounds.
 **/

static int cmd_gtk_editable_get_selection_bounds (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_EDITABLE */
  arg = cval_gather (interp, objc, objv, 5, sig, 0X6, "gint*", "gint*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* gboolean GtkEditable* gint* gint* */
  arg[0].int_val = gtk_editable_get_selection_bounds (arg[1].ptr_val, 0, 0);

  /* G_TYPE_BOOLEAN */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::entry get_layout_offsets:
 * gtk::entry get_layout_offsets
 * gtk_entry_get_layout_offsets
 *
 *> Usage
 *   @name          %GtkEntry*
 *   @name          %gint*
 *   @name          %gint*
 *   Return value   %void
 *
 * Wraps %gtk_entry_get_layout_offsets.
 **/

static int cmd_gtk_entry_get_layout_offsets (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_ENTRY */
  arg = cval_gather (interp, objc, objv, 5, sig, 0X6, "gint*", "gint*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkEntry* gint* gint* */
  gtk_entry_get_layout_offsets (arg[1].ptr_val, 0, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::file_selection get_selections:
 * gtk::file_selection get_selections
 * gtk_file_selection_get_selections
 *
 *> Usage
 *   @name          %GtkFileSelection*
 *   Return value   %gchar**
 *
 * Wraps %gtk_file_selection_get_selections.
 **/

static int cmd_gtk_file_selection_get_selections (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_FILE_SELECTION */
  arg = cval_gather (interp, objc, objv, 3, sig, 0);

  if (!arg) {
    return TCL_ERROR;
  }

  /* gchar** GtkFileSelection* */
  /* arg[0].???_val = */ gtk_file_selection_get_selections (arg[1].ptr_val);

  /* ??? */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::frame get_label_align:
 * gtk::frame get_label_align
 * gtk_frame_get_label_align
 *
 *> Usage
 *   @name          %GtkFrame*
 *   @name          %gfloat*
 *   @name          %gfloat*
 *   Return value   %void
 *
 * Wraps %gtk_frame_get_label_align.
 **/

static int cmd_gtk_frame_get_label_align (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_FRAME */
  arg = cval_gather (interp, objc, objv, 5, sig, 0X6, "gfloat*", "gfloat*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkFrame* gfloat* gfloat* */
  gtk_frame_get_label_align (arg[1].ptr_val, 0, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::gc get:
 * gtk::gc get
 * gtk_gc_get
 *
 *> Usage
 *   @name          %gint
 *   @name          %GdkColormap*
 *   @name          %GdkGCValues*
 *   @name          %GdkGCValuesMask
 *   Return value   %GdkGC*
 *
 * Wraps %gtk_gc_get.
 **/

static int cmd_gtk_gc_get (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* G_TYPE_INT GDK_TYPE_COLORMAP */
  arg = cval_gather (interp, objc, objv, 6, sig, 0XC, "GdkGCValues*", "GdkGCValuesMask");

  if (!arg) {
    return TCL_ERROR;
  }

  /* GdkGC* gint GdkColormap* GdkGCValues* GdkGCValuesMask */
  arg[0].ptr_val = gtk_gc_get (arg[1].int_val, arg[2].ptr_val, 0, 0);

  /* GDK_TYPE_GC */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::icon_set get_sizes:
 * gtk::icon_set get_sizes
 * gtk_icon_set_get_sizes
 *
 *> Usage
 *   @name          %GtkIconSet*
 *   @name          %GtkIconSize**
 *   @name          %gint*
 *   Return value   %void
 *
 * Wraps %gtk_icon_set_get_sizes.
 **/

static int cmd_gtk_icon_set_get_sizes (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_ICON_SET */
  arg = cval_gather (interp, objc, objv, 5, sig, 0X6, "GtkIconSize**", "gint*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkIconSet* GtkIconSize** gint* */
  gtk_icon_set_get_sizes (arg[1].ptr_val, 0, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::image get_pixmap:
 * gtk::image get_pixmap
 * gtk_image_get_pixmap
 *
 *> Usage
 *   @name          %GtkImage*
 *   @name          %GdkPixmap**
 *   @name          %GdkBitmap**
 *   Return value   %void
 *
 * Wraps %gtk_image_get_pixmap.
 **/

static int cmd_gtk_image_get_pixmap (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_IMAGE */
  arg = cval_gather (interp, objc, objv, 5, sig, 0X6, "GdkPixmap**", "GdkBitmap**");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkImage* GdkPixmap** GdkBitmap** */
  gtk_image_get_pixmap (arg[1].ptr_val, 0, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::image get_image:
 * gtk::image get_image
 * gtk_image_get_image
 *
 *> Usage
 *   @name          %GtkImage*
 *   @name          %GdkImage**
 *   @name          %GdkBitmap**
 *   Return value   %void
 *
 * Wraps %gtk_image_get_image.
 **/

static int cmd_gtk_image_get_image (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_IMAGE */
  arg = cval_gather (interp, objc, objv, 5, sig, 0X6, "GdkImage**", "GdkBitmap**");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkImage* GdkImage** GdkBitmap** */
  gtk_image_get_image (arg[1].ptr_val, 0, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::image get_stock:
 * gtk::image get_stock
 * gtk_image_get_stock
 *
 *> Usage
 *   @name          %GtkImage*
 *   @name          %gchar**
 *   @name          %GtkIconSize*
 *   Return value   %void
 *
 * Wraps %gtk_image_get_stock.
 **/

static int cmd_gtk_image_get_stock (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_IMAGE GTK_TYPE_ICON_SIZE */
  arg = cval_gather (interp, objc, objv, 5, sig, 0X2, "gchar**");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkImage* gchar** GtkIconSize* */
  gtk_image_get_stock (arg[1].ptr_val, 0, arg[2].ptr_val);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::image get_icon_set:
 * gtk::image get_icon_set
 * gtk_image_get_icon_set
 *
 *> Usage
 *   @name          %GtkImage*
 *   @name          %GtkIconSet**
 *   @name          %GtkIconSize*
 *   Return value   %void
 *
 * Wraps %gtk_image_get_icon_set.
 **/

static int cmd_gtk_image_get_icon_set (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_IMAGE GTK_TYPE_ICON_SIZE */
  arg = cval_gather (interp, objc, objv, 5, sig, 0X2, "GtkIconSet**");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkImage* GtkIconSet** GtkIconSize* */
  gtk_image_get_icon_set (arg[1].ptr_val, 0, arg[2].ptr_val);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::item_factory create_item:
 * gtk::item_factory create_item
 * gtk_item_factory_create_item
 *
 *> Usage
 *   @name          %GtkItemFactory*
 *   @name          %GtkItemFactoryEntry*
 *   @name          %gpointer
 *   @name          %guint
 *   Return value   %void
 *
 * Wraps %gtk_item_factory_create_item.
 **/

static int cmd_gtk_item_factory_create_item (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_ITEM_FACTORY G_TYPE_UINT */
  arg = cval_gather (interp, objc, objv, 6, sig, 0X6, "GtkItemFactoryEntry*", "gpointer");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkItemFactory* GtkItemFactoryEntry* gpointer guint */
  gtk_item_factory_create_item (arg[1].ptr_val, 0, 0, arg[2].int_val);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::item_factory create_items:
 * gtk::item_factory create_items
 * gtk_item_factory_create_items
 *
 *> Usage
 *   @name          %GtkItemFactory*
 *   @name          %guint
 *   @name          %GtkItemFactoryEntry*
 *   @name          %gpointer
 *   Return value   %void
 *
 * Wraps %gtk_item_factory_create_items.
 **/

static int cmd_gtk_item_factory_create_items (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_ITEM_FACTORY G_TYPE_UINT */
  arg = cval_gather (interp, objc, objv, 6, sig, 0XC, "GtkItemFactoryEntry*", "gpointer");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkItemFactory* guint GtkItemFactoryEntry* gpointer */
  gtk_item_factory_create_items (arg[1].ptr_val, arg[2].int_val, 0, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::item_factory delete_entry:
 * gtk::item_factory delete_entry
 * gtk_item_factory_delete_entry
 *
 *> Usage
 *   @name          %GtkItemFactory*
 *   @name          %GtkItemFactoryEntry*
 *   Return value   %void
 *
 * Wraps %gtk_item_factory_delete_entry.
 **/

static int cmd_gtk_item_factory_delete_entry (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_ITEM_FACTORY */
  arg = cval_gather (interp, objc, objv, 4, sig, 0X2, "GtkItemFactoryEntry*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkItemFactory* GtkItemFactoryEntry* */
  gtk_item_factory_delete_entry (arg[1].ptr_val, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::item_factory delete_entries:
 * gtk::item_factory delete_entries
 * gtk_item_factory_delete_entries
 *
 *> Usage
 *   @name          %GtkItemFactory*
 *   @name          %guint
 *   @name          %GtkItemFactoryEntry*
 *   Return value   %void
 *
 * Wraps %gtk_item_factory_delete_entries.
 **/

static int cmd_gtk_item_factory_delete_entries (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_ITEM_FACTORY G_TYPE_UINT */
  arg = cval_gather (interp, objc, objv, 5, sig, 0X4, "GtkItemFactoryEntry*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkItemFactory* guint GtkItemFactoryEntry* */
  gtk_item_factory_delete_entries (arg[1].ptr_val, arg[2].int_val, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::item_factory popup_with_data:
 * gtk::item_factory popup_with_data
 * gtk_item_factory_popup_with_data
 *
 *> Usage
 *   @name          %GtkItemFactory*
 *   @name          %gpointer
 *   @name          %GtkDestroyNotify
 *   @name          %guint
 *   @name          %guint
 *   @name          %guint
 *   @name          %guint32
 *   Return value   %void
 *
 * Wraps %gtk_item_factory_popup_with_data.
 **/

static int cmd_gtk_item_factory_popup_with_data (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_ITEM_FACTORY G_TYPE_UINT G_TYPE_UINT G_TYPE_UINT G_TYPE_UINT */
  arg = cval_gather (interp, objc, objv, 9, sig, 0X6, "gpointer", "GtkDestroyNotify");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkItemFactory* gpointer GtkDestroyNotify guint guint guint guint32 */
  gtk_item_factory_popup_with_data (arg[1].ptr_val, 0, 0, arg[2].int_val, arg[3].int_val, arg[4].int_val, arg[5].int_val);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::item_factory popup_data:
 * gtk::item_factory popup_data
 * gtk_item_factory_popup_data
 *
 *> Usage
 *   @name          %GtkItemFactory*
 *   Return value   %gpointer
 *
 * Wraps %gtk_item_factory_popup_data.
 **/

static int cmd_gtk_item_factory_popup_data (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_ITEM_FACTORY */
  arg = cval_gather (interp, objc, objv, 3, sig, 0);

  if (!arg) {
    return TCL_ERROR;
  }

  /* gpointer GtkItemFactory* */
  /* arg[0].???_val = */ gtk_item_factory_popup_data (arg[1].ptr_val);

  /* ??? */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::item_factory popup_data_from_widget:
 * gtk::item_factory popup_data_from_widget
 * gtk_item_factory_popup_data_from_widget
 *
 *> Usage
 *   @name          %GtkWidget*
 *   Return value   %gpointer
 *
 * Wraps %gtk_item_factory_popup_data_from_widget.
 **/

static int cmd_gtk_item_factory_popup_data_from_widget (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_WIDGET */
  arg = cval_gather (interp, objc, objv, 3, sig, 0);

  if (!arg) {
    return TCL_ERROR;
  }

  /* gpointer GtkWidget* */
  /* arg[0].???_val = */ gtk_item_factory_popup_data_from_widget (arg[1].ptr_val);

  /* ??? */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::item_factory set_translate_func:
 * gtk::item_factory set_translate_func
 * gtk_item_factory_set_translate_func
 *
 *> Usage
 *   @name          %GtkItemFactory*
 *   @name          %GtkTranslateFunc
 *   @name          %gpointer
 *   @name          %GtkDestroyNotify
 *   Return value   %void
 *
 * Wraps %gtk_item_factory_set_translate_func.
 **/

static int cmd_gtk_item_factory_set_translate_func (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_ITEM_FACTORY */
  arg = cval_gather (interp, objc, objv, 6, sig, 0XE, "GtkTranslateFunc", "gpointer", "GtkDestroyNotify");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkItemFactory* GtkTranslateFunc gpointer GtkDestroyNotify */
  gtk_item_factory_set_translate_func (arg[1].ptr_val, 0, 0, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::item_factory create_items_ac:
 * gtk::item_factory create_items_ac
 * gtk_item_factory_create_items_ac
 *
 *> Usage
 *   @name          %GtkItemFactory*
 *   @name          %guint
 *   @name          %GtkItemFactoryEntry*
 *   @name          %gpointer
 *   @name          %guint
 *   Return value   %void
 *
 * Wraps %gtk_item_factory_create_items_ac.
 **/

static int cmd_gtk_item_factory_create_items_ac (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_ITEM_FACTORY G_TYPE_UINT G_TYPE_UINT */
  arg = cval_gather (interp, objc, objv, 7, sig, 0XC, "GtkItemFactoryEntry*", "gpointer");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkItemFactory* guint GtkItemFactoryEntry* gpointer guint */
  gtk_item_factory_create_items_ac (arg[1].ptr_val, arg[2].int_val, 0, 0, arg[3].int_val);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::label get_selection_bounds:
 * gtk::label get_selection_bounds
 * gtk_label_get_selection_bounds
 *
 *> Usage
 *   @name          %GtkLabel*
 *   @name          %gint*
 *   @name          %gint*
 *   Return value   %gboolean
 *
 * Wraps %gtk_label_get_selection_bounds.
 **/

static int cmd_gtk_label_get_selection_bounds (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_LABEL */
  arg = cval_gather (interp, objc, objv, 5, sig, 0X6, "gint*", "gint*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* gboolean GtkLabel* gint* gint* */
  arg[0].int_val = gtk_label_get_selection_bounds (arg[1].ptr_val, 0, 0);

  /* G_TYPE_BOOLEAN */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::label get_layout_offsets:
 * gtk::label get_layout_offsets
 * gtk_label_get_layout_offsets
 *
 *> Usage
 *   @name          %GtkLabel*
 *   @name          %gint*
 *   @name          %gint*
 *   Return value   %void
 *
 * Wraps %gtk_label_get_layout_offsets.
 **/

static int cmd_gtk_label_get_layout_offsets (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_LABEL */
  arg = cval_gather (interp, objc, objv, 5, sig, 0X6, "gint*", "gint*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkLabel* gint* gint* */
  gtk_label_get_layout_offsets (arg[1].ptr_val, 0, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::layout get_size:
 * gtk::layout get_size
 * gtk_layout_get_size
 *
 *> Usage
 *   @name          %GtkLayout*
 *   @name          %guint*
 *   @name          %guint*
 *   Return value   %void
 *
 * Wraps %gtk_layout_get_size.
 **/

static int cmd_gtk_layout_get_size (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_LAYOUT */
  arg = cval_gather (interp, objc, objv, 5, sig, 0X6, "guint*", "guint*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkLayout* guint* guint* */
  gtk_layout_get_size (arg[1].ptr_val, 0, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::list_store set_column_types:
 * gtk::list_store set_column_types
 * gtk_list_store_set_column_types
 *
 *> Usage
 *   @name          %GtkListStore*
 *   @name          %gint
 *   @name          %GType*
 *   Return value   %void
 *
 * Wraps %gtk_list_store_set_column_types.
 **/

static int cmd_gtk_list_store_set_column_types (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_LIST_STORE G_TYPE_INT */
  arg = cval_gather (interp, objc, objv, 5, sig, 0X4, "GType*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkListStore* gint GType* */
  gtk_list_store_set_column_types (arg[1].ptr_val, arg[2].int_val, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::list_store set_valist:
 * gtk::list_store set_valist
 * gtk_list_store_set_valist
 *
 *> Usage
 *   @name          %GtkListStore*
 *   @name          %GtkTreeIter*
 *   @name          %va_list
 *   Return value   %void
 *
 * Wraps %gtk_list_store_set_valist.
 **/

static int cmd_gtk_list_store_set_valist (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_LIST_STORE GTK_TYPE_TREE_ITER */
  arg = cval_gather (interp, objc, objv, 5, sig, 0X4, "va_list");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkListStore* GtkTreeIter* va_list */
  gtk_list_store_set_valist (arg[1].ptr_val, arg[2].ptr_val, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::list_store reorder:
 * gtk::list_store reorder
 * gtk_list_store_reorder
 *
 *> Usage
 *   @name          %GtkListStore*
 *   @name          %gint*
 *   Return value   %void
 *
 * Wraps %gtk_list_store_reorder.
 **/

static int cmd_gtk_list_store_reorder (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_LIST_STORE */
  arg = cval_gather (interp, objc, objv, 4, sig, 0X2, "gint*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkListStore* gint* */
  gtk_list_store_reorder (arg[1].ptr_val, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::menu attach_to_widget:
 * gtk::menu attach_to_widget
 * gtk_menu_attach_to_widget
 *
 *> Usage
 *   @name          %GtkMenu*
 *   @name          %GtkWidget*
 *   @name          %GtkMenuDetachFunc
 *   Return value   %void
 *
 * Wraps %gtk_menu_attach_to_widget.
 **/

static int cmd_gtk_menu_attach_to_widget (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_MENU GTK_TYPE_WIDGET */
  arg = cval_gather (interp, objc, objv, 5, sig, 0X4, "GtkMenuDetachFunc");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkMenu* GtkWidget* GtkMenuDetachFunc */
  gtk_menu_attach_to_widget (arg[1].ptr_val, arg[2].ptr_val, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::menu_item toggle_size_request:
 * gtk::menu_item toggle_size_request
 * gtk_menu_item_toggle_size_request
 *
 *> Usage
 *   @name          %GtkMenuItem*
 *   @name          %gint*
 *   Return value   %void
 *
 * Wraps %gtk_menu_item_toggle_size_request.
 **/

static int cmd_gtk_menu_item_toggle_size_request (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_MENU_ITEM */
  arg = cval_gather (interp, objc, objv, 4, sig, 0X2, "gint*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkMenuItem* gint* */
  gtk_menu_item_toggle_size_request (arg[1].ptr_val, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::misc get_alignment:
 * gtk::misc get_alignment
 * gtk_misc_get_alignment
 *
 *> Usage
 *   @name          %GtkMisc*
 *   @name          %gfloat*
 *   @name          %gfloat*
 *   Return value   %void
 *
 * Wraps %gtk_misc_get_alignment.
 **/

static int cmd_gtk_misc_get_alignment (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_MISC */
  arg = cval_gather (interp, objc, objv, 5, sig, 0X6, "gfloat*", "gfloat*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkMisc* gfloat* gfloat* */
  gtk_misc_get_alignment (arg[1].ptr_val, 0, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::misc get_padding:
 * gtk::misc get_padding
 * gtk_misc_get_padding
 *
 *> Usage
 *   @name          %GtkMisc*
 *   @name          %gint*
 *   @name          %gint*
 *   Return value   %void
 *
 * Wraps %gtk_misc_get_padding.
 **/

static int cmd_gtk_misc_get_padding (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_MISC */
  arg = cval_gather (interp, objc, objv, 5, sig, 0X6, "gint*", "gint*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkMisc* gint* gint* */
  gtk_misc_get_padding (arg[1].ptr_val, 0, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::notebook query_tab_label_packing:
 * gtk::notebook query_tab_label_packing
 * gtk_notebook_query_tab_label_packing
 *
 *> Usage
 *   @name          %GtkNotebook*
 *   @name          %GtkWidget*
 *   @name          %gboolean*
 *   @name          %gboolean*
 *   @name          %GtkPackType*
 *   Return value   %void
 *
 * Wraps %gtk_notebook_query_tab_label_packing.
 **/

static int cmd_gtk_notebook_query_tab_label_packing (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_NOTEBOOK GTK_TYPE_WIDGET GTK_TYPE_PACK_TYPE */
  arg = cval_gather (interp, objc, objv, 7, sig, 0XC, "gboolean*", "gboolean*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkNotebook* GtkWidget* gboolean* gboolean* GtkPackType* */
  gtk_notebook_query_tab_label_packing (arg[1].ptr_val, arg[2].ptr_val, 0, 0, arg[3].ptr_val);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::radio_button new:
 * gtk::radio_button new
 * gtk_radio_button_new
 *
 *> Usage
 *   @name          %GSList*
 *   Return value   %GtkWidget*
 *
 * Wraps %gtk_radio_button_new.
 **/

static int cmd_gtk_radio_button_new (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /*  */
  arg = cval_gather (interp, objc, objv, 3, sig, 0X1, "GSList*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* GtkWidget* GSList* */
  arg[0].ptr_val = gtk_radio_button_new (0);

  /* GTK_TYPE_WIDGET */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::radio_button new_with_label:
 * gtk::radio_button new_with_label
 * gtk_radio_button_new_with_label
 *
 *> Usage
 *   @name          %GSList*
 *   @name          %gchar*
 *   Return value   %GtkWidget*
 *
 * Wraps %gtk_radio_button_new_with_label.
 **/

static int cmd_gtk_radio_button_new_with_label (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* G_TYPE_STRING */
  arg = cval_gather (interp, objc, objv, 4, sig, 0X1, "GSList*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* GtkWidget* GSList* {const gchar*} */
  arg[0].ptr_val = gtk_radio_button_new_with_label (0, arg[1].ptr_val);

  /* GTK_TYPE_WIDGET */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::radio_button new_with_mnemonic:
 * gtk::radio_button new_with_mnemonic
 * gtk_radio_button_new_with_mnemonic
 *
 *> Usage
 *   @name          %GSList*
 *   @name          %gchar*
 *   Return value   %GtkWidget*
 *
 * Wraps %gtk_radio_button_new_with_mnemonic.
 **/

static int cmd_gtk_radio_button_new_with_mnemonic (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* G_TYPE_STRING */
  arg = cval_gather (interp, objc, objv, 4, sig, 0X1, "GSList*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* GtkWidget* GSList* {const gchar*} */
  arg[0].ptr_val = gtk_radio_button_new_with_mnemonic (0, arg[1].ptr_val);

  /* GTK_TYPE_WIDGET */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::radio_button get_group:
 * gtk::radio_button get_group
 * gtk_radio_button_get_group
 *
 *> Usage
 *   @name          %GtkRadioButton*
 *   Return value   %GSList*
 *
 * Wraps %gtk_radio_button_get_group.
 **/

static int cmd_gtk_radio_button_get_group (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_RADIO_BUTTON */
  arg = cval_gather (interp, objc, objv, 3, sig, 0);

  if (!arg) {
    return TCL_ERROR;
  }

  /* GSList* GtkRadioButton* */
  /* arg[0].???_val = */ gtk_radio_button_get_group (arg[1].ptr_val);

  /* ??? */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::radio_button set_group:
 * gtk::radio_button set_group
 * gtk_radio_button_set_group
 *
 *> Usage
 *   @name          %GtkRadioButton*
 *   @name          %GSList*
 *   Return value   %void
 *
 * Wraps %gtk_radio_button_set_group.
 **/

static int cmd_gtk_radio_button_set_group (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_RADIO_BUTTON */
  arg = cval_gather (interp, objc, objv, 4, sig, 0X2, "GSList*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkRadioButton* GSList* */
  gtk_radio_button_set_group (arg[1].ptr_val, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::radio_menu_item new:
 * gtk::radio_menu_item new
 * gtk_radio_menu_item_new
 *
 *> Usage
 *   @name          %GSList*
 *   Return value   %GtkWidget*
 *
 * Wraps %gtk_radio_menu_item_new.
 **/

static int cmd_gtk_radio_menu_item_new (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /*  */
  arg = cval_gather (interp, objc, objv, 3, sig, 0X1, "GSList*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* GtkWidget* GSList* */
  arg[0].ptr_val = gtk_radio_menu_item_new (0);

  /* GTK_TYPE_WIDGET */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::radio_menu_item new_with_label:
 * gtk::radio_menu_item new_with_label
 * gtk_radio_menu_item_new_with_label
 *
 *> Usage
 *   @name          %GSList*
 *   @name          %gchar*
 *   Return value   %GtkWidget*
 *
 * Wraps %gtk_radio_menu_item_new_with_label.
 **/

static int cmd_gtk_radio_menu_item_new_with_label (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* G_TYPE_STRING */
  arg = cval_gather (interp, objc, objv, 4, sig, 0X1, "GSList*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* GtkWidget* GSList* {const gchar*} */
  arg[0].ptr_val = gtk_radio_menu_item_new_with_label (0, arg[1].ptr_val);

  /* GTK_TYPE_WIDGET */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::radio_menu_item new_with_mnemonic:
 * gtk::radio_menu_item new_with_mnemonic
 * gtk_radio_menu_item_new_with_mnemonic
 *
 *> Usage
 *   @name          %GSList*
 *   @name          %gchar*
 *   Return value   %GtkWidget*
 *
 * Wraps %gtk_radio_menu_item_new_with_mnemonic.
 **/

static int cmd_gtk_radio_menu_item_new_with_mnemonic (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* G_TYPE_STRING */
  arg = cval_gather (interp, objc, objv, 4, sig, 0X1, "GSList*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* GtkWidget* GSList* {const gchar*} */
  arg[0].ptr_val = gtk_radio_menu_item_new_with_mnemonic (0, arg[1].ptr_val);

  /* GTK_TYPE_WIDGET */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::radio_menu_item get_group:
 * gtk::radio_menu_item get_group
 * gtk_radio_menu_item_get_group
 *
 *> Usage
 *   @name          %GtkRadioMenuItem*
 *   Return value   %GSList*
 *
 * Wraps %gtk_radio_menu_item_get_group.
 **/

static int cmd_gtk_radio_menu_item_get_group (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_RADIO_MENU_ITEM */
  arg = cval_gather (interp, objc, objv, 3, sig, 0);

  if (!arg) {
    return TCL_ERROR;
  }

  /* GSList* GtkRadioMenuItem* */
  /* arg[0].???_val = */ gtk_radio_menu_item_get_group (arg[1].ptr_val);

  /* ??? */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::radio_menu_item set_group:
 * gtk::radio_menu_item set_group
 * gtk_radio_menu_item_set_group
 *
 *> Usage
 *   @name          %GtkRadioMenuItem*
 *   @name          %GSList*
 *   Return value   %void
 *
 * Wraps %gtk_radio_menu_item_set_group.
 **/

static int cmd_gtk_radio_menu_item_set_group (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_RADIO_MENU_ITEM */
  arg = cval_gather (interp, objc, objv, 4, sig, 0X2, "GSList*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkRadioMenuItem* GSList* */
  gtk_radio_menu_item_set_group (arg[1].ptr_val, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::settings install_property_parser:
 * gtk::settings install_property_parser
 * gtk_settings_install_property_parser
 *
 *> Usage
 *   @name          %GParamSpec*
 *   @name          %GtkRcPropertyParser
 *   Return value   %void
 *
 * Wraps %gtk_settings_install_property_parser.
 **/

static int cmd_gtk_settings_install_property_parser (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* G_TYPE_PARAM */
  arg = cval_gather (interp, objc, objv, 4, sig, 0X2, "GtkRcPropertyParser");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GParamSpec* GtkRcPropertyParser */
  gtk_settings_install_property_parser (arg[1].ptr_val, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::settings set_property_value:
 * gtk::settings set_property_value
 * gtk_settings_set_property_value
 *
 *> Usage
 *   @name          %GtkSettings*
 *   @name          %gchar*
 *   @name          %GtkSettingsValue*
 *   Return value   %void
 *
 * Wraps %gtk_settings_set_property_value.
 **/

static int cmd_gtk_settings_set_property_value (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_SETTINGS G_TYPE_STRING */
  arg = cval_gather (interp, objc, objv, 5, sig, 0X4, "const GtkSettingsValue*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkSettings* {const gchar*} {const GtkSettingsValue*} */
  gtk_settings_set_property_value (arg[1].ptr_val, arg[2].ptr_val, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::spin_button get_increments:
 * gtk::spin_button get_increments
 * gtk_spin_button_get_increments
 *
 *> Usage
 *   @name          %GtkSpinButton*
 *   @name          %gdouble*
 *   @name          %gdouble*
 *   Return value   %void
 *
 * Wraps %gtk_spin_button_get_increments.
 **/

static int cmd_gtk_spin_button_get_increments (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_SPIN_BUTTON */
  arg = cval_gather (interp, objc, objv, 5, sig, 0X6, "gdouble*", "gdouble*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkSpinButton* gdouble* gdouble* */
  gtk_spin_button_get_increments (arg[1].ptr_val, 0, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::spin_button get_range:
 * gtk::spin_button get_range
 * gtk_spin_button_get_range
 *
 *> Usage
 *   @name          %GtkSpinButton*
 *   @name          %gdouble*
 *   @name          %gdouble*
 *   Return value   %void
 *
 * Wraps %gtk_spin_button_get_range.
 **/

static int cmd_gtk_spin_button_get_range (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_SPIN_BUTTON */
  arg = cval_gather (interp, objc, objv, 5, sig, 0X6, "gdouble*", "gdouble*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkSpinButton* gdouble* gdouble* */
  gtk_spin_button_get_range (arg[1].ptr_val, 0, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::text_buffer insert_with_tags:
 * gtk::text_buffer insert_with_tags
 * gtk_text_buffer_insert_with_tags
 *
 *> Usage
 *   @name          %GtkTextBuffer*
 *   @name          %GtkTextIter*
 *   @name          %gchar*
 *   @name          %gint
 *   @name          %GtkTextTag*
 *   @name          %...
 *   Return value   %void
 *
 * Wraps %gtk_text_buffer_insert_with_tags.
 **/

static int cmd_gtk_text_buffer_insert_with_tags (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_TEXT_BUFFER GTK_TYPE_TEXT_ITER G_TYPE_STRING G_TYPE_INT GTK_TYPE_TEXT_TAG */
  arg = cval_gather (interp, objc, objv, 8, sig, 0X20, "...");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkTextBuffer* GtkTextIter* {const gchar*} gint GtkTextTag* ... */
  gtk_text_buffer_insert_with_tags (arg[1].ptr_val, arg[2].ptr_val, arg[3].ptr_val, arg[4].int_val, arg[5].ptr_val, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::text_buffer insert_with_tags_by_name:
 * gtk::text_buffer insert_with_tags_by_name
 * gtk_text_buffer_insert_with_tags_by_name
 *
 *> Usage
 *   @name          %GtkTextBuffer*
 *   @name          %GtkTextIter*
 *   @name          %gchar*
 *   @name          %gint
 *   @name          %gchar*
 *   @name          %...
 *   Return value   %void
 *
 * Wraps %gtk_text_buffer_insert_with_tags_by_name.
 **/

static int cmd_gtk_text_buffer_insert_with_tags_by_name (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_TEXT_BUFFER GTK_TYPE_TEXT_ITER G_TYPE_STRING G_TYPE_INT G_TYPE_STRING */
  arg = cval_gather (interp, objc, objv, 8, sig, 0X20, "...");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkTextBuffer* GtkTextIter* {const gchar*} gint {const gchar*} ... */
  gtk_text_buffer_insert_with_tags_by_name (arg[1].ptr_val, arg[2].ptr_val, arg[3].ptr_val, arg[4].int_val, arg[5].ptr_val, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::text_buffer create_tag:
 * gtk::text_buffer create_tag
 * gtk_text_buffer_create_tag
 *
 *> Usage
 *   @name          %GtkTextBuffer*
 *   @name          %gchar*
 *   @name          %gchar*
 *   @name          %...
 *   Return value   %GtkTextTag*
 *
 * Wraps %gtk_text_buffer_create_tag.
 **/

static int cmd_gtk_text_buffer_create_tag (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_TEXT_BUFFER G_TYPE_STRING G_TYPE_STRING */
  arg = cval_gather (interp, objc, objv, 6, sig, 0X8, "...");

  if (!arg) {
    return TCL_ERROR;
  }

  /* GtkTextTag* GtkTextBuffer* {const gchar*} {const gchar*} ... */
  arg[0].ptr_val = gtk_text_buffer_create_tag (arg[1].ptr_val, arg[2].ptr_val, arg[3].ptr_val, 0);

  /* GTK_TYPE_TEXT_TAG */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::text_child_anchor get_widgets:
 * gtk::text_child_anchor get_widgets
 * gtk_text_child_anchor_get_widgets
 *
 *> Usage
 *   @name          %GtkTextChildAnchor*
 *   Return value   %GList*
 *
 * Wraps %gtk_text_child_anchor_get_widgets.
 **/

static int cmd_gtk_text_child_anchor_get_widgets (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_TEXT_CHILD_ANCHOR */
  arg = cval_gather (interp, objc, objv, 3, sig, 0);

  if (!arg) {
    return TCL_ERROR;
  }

  /* GList* GtkTextChildAnchor* */
  /* arg[0].???_val = */ gtk_text_child_anchor_get_widgets (arg[1].ptr_val);

  /* ??? */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::text_iter get_marks:
 * gtk::text_iter get_marks
 * gtk_text_iter_get_marks
 *
 *> Usage
 *   @name          %GtkTextIter*
 *   Return value   %GSList*
 *
 * Wraps %gtk_text_iter_get_marks.
 **/

static int cmd_gtk_text_iter_get_marks (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_TEXT_ITER */
  arg = cval_gather (interp, objc, objv, 3, sig, 0);

  if (!arg) {
    return TCL_ERROR;
  }

  /* GSList* {const GtkTextIter*} */
  /* arg[0].???_val = */ gtk_text_iter_get_marks (arg[1].ptr_val);

  /* ??? */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::text_iter get_toggled_tags:
 * gtk::text_iter get_toggled_tags
 * gtk_text_iter_get_toggled_tags
 *
 *> Usage
 *   @name          %GtkTextIter*
 *   @name          %gboolean
 *   Return value   %GSList*
 *
 * Wraps %gtk_text_iter_get_toggled_tags.
 **/

static int cmd_gtk_text_iter_get_toggled_tags (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_TEXT_ITER G_TYPE_BOOLEAN */
  arg = cval_gather (interp, objc, objv, 4, sig, 0);

  if (!arg) {
    return TCL_ERROR;
  }

  /* GSList* {const GtkTextIter*} gboolean */
  /* arg[0].???_val = */ gtk_text_iter_get_toggled_tags (arg[1].ptr_val, arg[2].int_val);

  /* ??? */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::text_iter get_tags:
 * gtk::text_iter get_tags
 * gtk_text_iter_get_tags
 *
 *> Usage
 *   @name          %GtkTextIter*
 *   Return value   %GSList*
 *
 * Wraps %gtk_text_iter_get_tags.
 **/

static int cmd_gtk_text_iter_get_tags (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_TEXT_ITER */
  arg = cval_gather (interp, objc, objv, 3, sig, 0);

  if (!arg) {
    return TCL_ERROR;
  }

  /* GSList* {const GtkTextIter*} */
  /* arg[0].???_val = */ gtk_text_iter_get_tags (arg[1].ptr_val);

  /* ??? */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::text_iter forward_find_char:
 * gtk::text_iter forward_find_char
 * gtk_text_iter_forward_find_char
 *
 *> Usage
 *   @name          %GtkTextIter*
 *   @name          %GtkTextCharPredicate
 *   @name          %gpointer
 *   @name          %GtkTextIter*
 *   Return value   %gboolean
 *
 * Wraps %gtk_text_iter_forward_find_char.
 **/

static int cmd_gtk_text_iter_forward_find_char (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_TEXT_ITER GTK_TYPE_TEXT_ITER */
  arg = cval_gather (interp, objc, objv, 6, sig, 0X6, "GtkTextCharPredicate", "gpointer");

  if (!arg) {
    return TCL_ERROR;
  }

  /* gboolean GtkTextIter* GtkTextCharPredicate gpointer {const GtkTextIter*} */
  arg[0].int_val = gtk_text_iter_forward_find_char (arg[1].ptr_val, 0, 0, arg[2].ptr_val);

  /* G_TYPE_BOOLEAN */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::text_iter backward_find_char:
 * gtk::text_iter backward_find_char
 * gtk_text_iter_backward_find_char
 *
 *> Usage
 *   @name          %GtkTextIter*
 *   @name          %GtkTextCharPredicate
 *   @name          %gpointer
 *   @name          %GtkTextIter*
 *   Return value   %gboolean
 *
 * Wraps %gtk_text_iter_backward_find_char.
 **/

static int cmd_gtk_text_iter_backward_find_char (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_TEXT_ITER GTK_TYPE_TEXT_ITER */
  arg = cval_gather (interp, objc, objv, 6, sig, 0X6, "GtkTextCharPredicate", "gpointer");

  if (!arg) {
    return TCL_ERROR;
  }

  /* gboolean GtkTextIter* GtkTextCharPredicate gpointer {const GtkTextIter*} */
  arg[0].int_val = gtk_text_iter_backward_find_char (arg[1].ptr_val, 0, 0, arg[2].ptr_val);

  /* G_TYPE_BOOLEAN */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::text_tag_table foreach:
 * gtk::text_tag_table foreach
 * gtk_text_tag_table_foreach
 *
 *> Usage
 *   @name          %GtkTextTagTable*
 *   @name          %GtkTextTagTableForeach
 *   @name          %gpointer
 *   Return value   %void
 *
 * Wraps %gtk_text_tag_table_foreach.
 **/

static int cmd_gtk_text_tag_table_foreach (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_TEXT_TAG_TABLE */
  arg = cval_gather (interp, objc, objv, 5, sig, 0X6, "GtkTextTagTableForeach", "gpointer");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkTextTagTable* GtkTextTagTableForeach gpointer */
  gtk_text_tag_table_foreach (arg[1].ptr_val, 0, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::text_view get_line_yrange:
 * gtk::text_view get_line_yrange
 * gtk_text_view_get_line_yrange
 *
 *> Usage
 *   @name          %GtkTextView*
 *   @name          %GtkTextIter*
 *   @name          %gint*
 *   @name          %gint*
 *   Return value   %void
 *
 * Wraps %gtk_text_view_get_line_yrange.
 **/

static int cmd_gtk_text_view_get_line_yrange (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_TEXT_VIEW GTK_TYPE_TEXT_ITER */
  arg = cval_gather (interp, objc, objv, 6, sig, 0XC, "gint*", "gint*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkTextView* {const GtkTextIter*} gint* gint* */
  gtk_text_view_get_line_yrange (arg[1].ptr_val, arg[2].ptr_val, 0, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::text_view get_line_at_y:
 * gtk::text_view get_line_at_y
 * gtk_text_view_get_line_at_y
 *
 *> Usage
 *   @name          %GtkTextView*
 *   @name          %GtkTextIter*
 *   @name          %gint
 *   @name          %gint*
 *   Return value   %void
 *
 * Wraps %gtk_text_view_get_line_at_y.
 **/

static int cmd_gtk_text_view_get_line_at_y (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_TEXT_VIEW GTK_TYPE_TEXT_ITER G_TYPE_INT */
  arg = cval_gather (interp, objc, objv, 6, sig, 0X8, "gint*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkTextView* GtkTextIter* gint gint* */
  gtk_text_view_get_line_at_y (arg[1].ptr_val, arg[2].ptr_val, arg[3].int_val, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::text_view buffer_to_window_coords:
 * gtk::text_view buffer_to_window_coords
 * gtk_text_view_buffer_to_window_coords
 *
 *> Usage
 *   @name          %GtkTextView*
 *   @name          %GtkTextWindowType
 *   @name          %gint
 *   @name          %gint
 *   @name          %gint*
 *   @name          %gint*
 *   Return value   %void
 *
 * Wraps %gtk_text_view_buffer_to_window_coords.
 **/

static int cmd_gtk_text_view_buffer_to_window_coords (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_TEXT_VIEW GTK_TYPE_TEXT_WINDOW_TYPE G_TYPE_INT G_TYPE_INT */
  arg = cval_gather (interp, objc, objv, 8, sig, 0X30, "gint*", "gint*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkTextView* GtkTextWindowType gint gint gint* gint* */
  gtk_text_view_buffer_to_window_coords (arg[1].ptr_val, arg[2].int_val, arg[3].int_val, arg[4].int_val, 0, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::text_view window_to_buffer_coords:
 * gtk::text_view window_to_buffer_coords
 * gtk_text_view_window_to_buffer_coords
 *
 *> Usage
 *   @name          %GtkTextView*
 *   @name          %GtkTextWindowType
 *   @name          %gint
 *   @name          %gint
 *   @name          %gint*
 *   @name          %gint*
 *   Return value   %void
 *
 * Wraps %gtk_text_view_window_to_buffer_coords.
 **/

static int cmd_gtk_text_view_window_to_buffer_coords (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_TEXT_VIEW GTK_TYPE_TEXT_WINDOW_TYPE G_TYPE_INT G_TYPE_INT */
  arg = cval_gather (interp, objc, objv, 8, sig, 0X30, "gint*", "gint*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkTextView* GtkTextWindowType gint gint gint* gint* */
  gtk_text_view_window_to_buffer_coords (arg[1].ptr_val, arg[2].int_val, arg[3].int_val, arg[4].int_val, 0, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::toolbar append_item:
 * gtk::toolbar append_item
 * gtk_toolbar_append_item
 *
 *> Usage
 *   @name          %GtkToolbar*
 *   @name          %char*
 *   @name          %char*
 *   @name          %char*
 *   @name          %GtkWidget*
 *   @name          %GtkSignalFunc
 *   @name          %gpointer
 *   Return value   %GtkWidget*
 *
 * Wraps %gtk_toolbar_append_item.
 **/

static int cmd_gtk_toolbar_append_item (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_TOOLBAR G_TYPE_STRING G_TYPE_STRING G_TYPE_STRING GTK_TYPE_WIDGET */
  arg = cval_gather (interp, objc, objv, 9, sig, 0X60, "GtkSignalFunc", "gpointer");

  if (!arg) {
    return TCL_ERROR;
  }

  /* GtkWidget* GtkToolbar* {const char*} {const char*} {const char*} GtkWidget* GtkSignalFunc gpointer */
  arg[0].ptr_val = gtk_toolbar_append_item (arg[1].ptr_val, arg[2].ptr_val, arg[3].ptr_val, arg[4].ptr_val, arg[5].ptr_val, 0, 0);

  /* GTK_TYPE_WIDGET */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::toolbar prepend_item:
 * gtk::toolbar prepend_item
 * gtk_toolbar_prepend_item
 *
 *> Usage
 *   @name          %GtkToolbar*
 *   @name          %char*
 *   @name          %char*
 *   @name          %char*
 *   @name          %GtkWidget*
 *   @name          %GtkSignalFunc
 *   @name          %gpointer
 *   Return value   %GtkWidget*
 *
 * Wraps %gtk_toolbar_prepend_item.
 **/

static int cmd_gtk_toolbar_prepend_item (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_TOOLBAR G_TYPE_STRING G_TYPE_STRING G_TYPE_STRING GTK_TYPE_WIDGET */
  arg = cval_gather (interp, objc, objv, 9, sig, 0X60, "GtkSignalFunc", "gpointer");

  if (!arg) {
    return TCL_ERROR;
  }

  /* GtkWidget* GtkToolbar* {const char*} {const char*} {const char*} GtkWidget* GtkSignalFunc gpointer */
  arg[0].ptr_val = gtk_toolbar_prepend_item (arg[1].ptr_val, arg[2].ptr_val, arg[3].ptr_val, arg[4].ptr_val, arg[5].ptr_val, 0, 0);

  /* GTK_TYPE_WIDGET */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::toolbar insert_item:
 * gtk::toolbar insert_item
 * gtk_toolbar_insert_item
 *
 *> Usage
 *   @name          %GtkToolbar*
 *   @name          %char*
 *   @name          %char*
 *   @name          %char*
 *   @name          %GtkWidget*
 *   @name          %GtkSignalFunc
 *   @name          %gpointer
 *   @name          %gint
 *   Return value   %GtkWidget*
 *
 * Wraps %gtk_toolbar_insert_item.
 **/

static int cmd_gtk_toolbar_insert_item (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_TOOLBAR G_TYPE_STRING G_TYPE_STRING G_TYPE_STRING GTK_TYPE_WIDGET G_TYPE_INT */
  arg = cval_gather (interp, objc, objv, 10, sig, 0X60, "GtkSignalFunc", "gpointer");

  if (!arg) {
    return TCL_ERROR;
  }

  /* GtkWidget* GtkToolbar* {const char*} {const char*} {const char*} GtkWidget* GtkSignalFunc gpointer gint */
  arg[0].ptr_val = gtk_toolbar_insert_item (arg[1].ptr_val, arg[2].ptr_val, arg[3].ptr_val, arg[4].ptr_val, arg[5].ptr_val, 0, 0, arg[6].int_val);

  /* GTK_TYPE_WIDGET */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::toolbar append_element:
 * gtk::toolbar append_element
 * gtk_toolbar_append_element
 *
 *> Usage
 *   @name          %GtkToolbar*
 *   @name          %GtkToolbarChildType
 *   @name          %GtkWidget*
 *   @name          %char*
 *   @name          %char*
 *   @name          %char*
 *   @name          %GtkWidget*
 *   @name          %GtkSignalFunc
 *   @name          %gpointer
 *   Return value   %GtkWidget*
 *
 * Wraps %gtk_toolbar_append_element.
 **/

static int cmd_gtk_toolbar_append_element (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_TOOLBAR GTK_TYPE_TOOLBAR_CHILD_TYPE GTK_TYPE_WIDGET G_TYPE_STRING G_TYPE_STRING G_TYPE_STRING GTK_TYPE_WIDGET */
  arg = cval_gather (interp, objc, objv, 11, sig, 0X180, "GtkSignalFunc", "gpointer");

  if (!arg) {
    return TCL_ERROR;
  }

  /* GtkWidget* GtkToolbar* GtkToolbarChildType GtkWidget* {const char*} {const char*} {const char*} GtkWidget* GtkSignalFunc gpointer */
  arg[0].ptr_val = gtk_toolbar_append_element (arg[1].ptr_val, arg[2].int_val, arg[3].ptr_val, arg[4].ptr_val, arg[5].ptr_val, arg[6].ptr_val, arg[7].ptr_val, 0, 0);

  /* GTK_TYPE_WIDGET */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::toolbar prepend_element:
 * gtk::toolbar prepend_element
 * gtk_toolbar_prepend_element
 *
 *> Usage
 *   @name          %GtkToolbar*
 *   @name          %GtkToolbarChildType
 *   @name          %GtkWidget*
 *   @name          %char*
 *   @name          %char*
 *   @name          %char*
 *   @name          %GtkWidget*
 *   @name          %GtkSignalFunc
 *   @name          %gpointer
 *   Return value   %GtkWidget*
 *
 * Wraps %gtk_toolbar_prepend_element.
 **/

static int cmd_gtk_toolbar_prepend_element (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_TOOLBAR GTK_TYPE_TOOLBAR_CHILD_TYPE GTK_TYPE_WIDGET G_TYPE_STRING G_TYPE_STRING G_TYPE_STRING GTK_TYPE_WIDGET */
  arg = cval_gather (interp, objc, objv, 11, sig, 0X180, "GtkSignalFunc", "gpointer");

  if (!arg) {
    return TCL_ERROR;
  }

  /* GtkWidget* GtkToolbar* GtkToolbarChildType GtkWidget* {const char*} {const char*} {const char*} GtkWidget* GtkSignalFunc gpointer */
  arg[0].ptr_val = gtk_toolbar_prepend_element (arg[1].ptr_val, arg[2].int_val, arg[3].ptr_val, arg[4].ptr_val, arg[5].ptr_val, arg[6].ptr_val, arg[7].ptr_val, 0, 0);

  /* GTK_TYPE_WIDGET */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::toolbar insert_element:
 * gtk::toolbar insert_element
 * gtk_toolbar_insert_element
 *
 *> Usage
 *   @name          %GtkToolbar*
 *   @name          %GtkToolbarChildType
 *   @name          %GtkWidget*
 *   @name          %char*
 *   @name          %char*
 *   @name          %char*
 *   @name          %GtkWidget*
 *   @name          %GtkSignalFunc
 *   @name          %gpointer
 *   @name          %gint
 *   Return value   %GtkWidget*
 *
 * Wraps %gtk_toolbar_insert_element.
 **/

static int cmd_gtk_toolbar_insert_element (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_TOOLBAR GTK_TYPE_TOOLBAR_CHILD_TYPE GTK_TYPE_WIDGET G_TYPE_STRING G_TYPE_STRING G_TYPE_STRING GTK_TYPE_WIDGET G_TYPE_INT */
  arg = cval_gather (interp, objc, objv, 12, sig, 0X180, "GtkSignalFunc", "gpointer");

  if (!arg) {
    return TCL_ERROR;
  }

  /* GtkWidget* GtkToolbar* GtkToolbarChildType GtkWidget* {const char*} {const char*} {const char*} GtkWidget* GtkSignalFunc gpointer gint */
  arg[0].ptr_val = gtk_toolbar_insert_element (arg[1].ptr_val, arg[2].int_val, arg[3].ptr_val, arg[4].ptr_val, arg[5].ptr_val, arg[6].ptr_val, arg[7].ptr_val, 0, 0, arg[8].int_val);

  /* GTK_TYPE_WIDGET */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::tooltips data_get:
 * gtk::tooltips data_get
 * gtk_tooltips_data_get
 *
 *> Usage
 *   @name          %GtkWidget*
 *   Return value   %GtkTooltipsData*
 *
 * Wraps %gtk_tooltips_data_get.
 **/

static int cmd_gtk_tooltips_data_get (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_WIDGET */
  arg = cval_gather (interp, objc, objv, 3, sig, 0);

  if (!arg) {
    return TCL_ERROR;
  }

  /* GtkTooltipsData* GtkWidget* */
  /* arg[0].???_val = */ gtk_tooltips_data_get (arg[1].ptr_val);

  /* ??? */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::tree_row_reference reordered:
 * gtk::tree_row_reference reordered
 * gtk_tree_row_reference_reordered
 *
 *> Usage
 *   @name          %GObject*
 *   @name          %GtkTreePath*
 *   @name          %GtkTreeIter*
 *   @name          %gint*
 *   Return value   %void
 *
 * Wraps %gtk_tree_row_reference_reordered.
 **/

static int cmd_gtk_tree_row_reference_reordered (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* G_TYPE_OBJECT GTK_TYPE_TREE_PATH GTK_TYPE_TREE_ITER */
  arg = cval_gather (interp, objc, objv, 6, sig, 0X8, "gint*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GObject* GtkTreePath* GtkTreeIter* gint* */
  gtk_tree_row_reference_reordered (arg[1].ptr_val, arg[2].ptr_val, arg[3].ptr_val, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::tree_model get_valist:
 * gtk::tree_model get_valist
 * gtk_tree_model_get_valist
 *
 *> Usage
 *   @name          %GtkTreeModel*
 *   @name          %GtkTreeIter*
 *   @name          %va_list
 *   Return value   %void
 *
 * Wraps %gtk_tree_model_get_valist.
 **/

static int cmd_gtk_tree_model_get_valist (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_TREE_MODEL GTK_TYPE_TREE_ITER */
  arg = cval_gather (interp, objc, objv, 5, sig, 0X4, "va_list");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkTreeModel* GtkTreeIter* va_list */
  gtk_tree_model_get_valist (arg[1].ptr_val, arg[2].ptr_val, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::tree_model foreach:
 * gtk::tree_model foreach
 * gtk_tree_model_foreach
 *
 *> Usage
 *   @name          %GtkTreeModel*
 *   @name          %GtkTreeModelForeachFunc
 *   @name          %gpointer
 *   Return value   %void
 *
 * Wraps %gtk_tree_model_foreach.
 **/

static int cmd_gtk_tree_model_foreach (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_TREE_MODEL */
  arg = cval_gather (interp, objc, objv, 5, sig, 0X6, "GtkTreeModelForeachFunc", "gpointer");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkTreeModel* GtkTreeModelForeachFunc gpointer */
  gtk_tree_model_foreach (arg[1].ptr_val, 0, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::tree_model rows_reordered:
 * gtk::tree_model rows_reordered
 * gtk_tree_model_rows_reordered
 *
 *> Usage
 *   @name          %GtkTreeModel*
 *   @name          %GtkTreePath*
 *   @name          %GtkTreeIter*
 *   @name          %gint*
 *   Return value   %void
 *
 * Wraps %gtk_tree_model_rows_reordered.
 **/

static int cmd_gtk_tree_model_rows_reordered (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_TREE_MODEL GTK_TYPE_TREE_PATH GTK_TYPE_TREE_ITER */
  arg = cval_gather (interp, objc, objv, 6, sig, 0X8, "gint*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkTreeModel* GtkTreePath* GtkTreeIter* gint* */
  gtk_tree_model_rows_reordered (arg[1].ptr_val, arg[2].ptr_val, arg[3].ptr_val, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::tree_path new_from_indices:
 * gtk::tree_path new_from_indices
 * gtk_tree_path_new_from_indices
 *
 *> Usage
 *   @name          %gint
 *   @name          %...
 *   Return value   %GtkTreePath*
 *
 * Wraps %gtk_tree_path_new_from_indices.
 **/

static int cmd_gtk_tree_path_new_from_indices (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* G_TYPE_INT */
  arg = cval_gather (interp, objc, objv, 4, sig, 0X2, "...");

  if (!arg) {
    return TCL_ERROR;
  }

  /* GtkTreePath* gint ... */
  arg[0].ptr_val = gtk_tree_path_new_from_indices (arg[1].int_val, 0);

  /* GTK_TYPE_TREE_PATH */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::tree_path get_indices:
 * gtk::tree_path get_indices
 * gtk_tree_path_get_indices
 *
 *> Usage
 *   @name          %GtkTreePath*
 *   Return value   %gint*
 *
 * Wraps %gtk_tree_path_get_indices.
 **/

static int cmd_gtk_tree_path_get_indices (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_TREE_PATH */
  arg = cval_gather (interp, objc, objv, 3, sig, 0);

  if (!arg) {
    return TCL_ERROR;
  }

  /* gint* GtkTreePath* */
  /* arg[0].???_val = */ gtk_tree_path_get_indices (arg[1].ptr_val);

  /* ??? */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::tree_selection set_select_function:
 * gtk::tree_selection set_select_function
 * gtk_tree_selection_set_select_function
 *
 *> Usage
 *   @name          %GtkTreeSelection*
 *   @name          %GtkTreeSelectionFunc
 *   @name          %gpointer
 *   @name          %GtkDestroyNotify
 *   Return value   %void
 *
 * Wraps %gtk_tree_selection_set_select_function.
 **/

static int cmd_gtk_tree_selection_set_select_function (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_TREE_SELECTION */
  arg = cval_gather (interp, objc, objv, 6, sig, 0XE, "GtkTreeSelectionFunc", "gpointer", "GtkDestroyNotify");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkTreeSelection* GtkTreeSelectionFunc gpointer GtkDestroyNotify */
  gtk_tree_selection_set_select_function (arg[1].ptr_val, 0, 0, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::tree_selection get_user_data:
 * gtk::tree_selection get_user_data
 * gtk_tree_selection_get_user_data
 *
 *> Usage
 *   @name          %GtkTreeSelection*
 *   Return value   %gpointer
 *
 * Wraps %gtk_tree_selection_get_user_data.
 **/

static int cmd_gtk_tree_selection_get_user_data (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_TREE_SELECTION */
  arg = cval_gather (interp, objc, objv, 3, sig, 0);

  if (!arg) {
    return TCL_ERROR;
  }

  /* gpointer GtkTreeSelection* */
  /* arg[0].???_val = */ gtk_tree_selection_get_user_data (arg[1].ptr_val);

  /* ??? */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::tree_selection get_selected_rows:
 * gtk::tree_selection get_selected_rows
 * gtk_tree_selection_get_selected_rows
 *
 *> Usage
 *   @name          %GtkTreeSelection*
 *   @name          %GtkTreeModel**
 *   Return value   %GList*
 *
 * Wraps %gtk_tree_selection_get_selected_rows.
 **/

static int cmd_gtk_tree_selection_get_selected_rows (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_TREE_SELECTION */
  arg = cval_gather (interp, objc, objv, 4, sig, 0X2, "GtkTreeModel**");

  if (!arg) {
    return TCL_ERROR;
  }

  /* GList* GtkTreeSelection* GtkTreeModel** */
  /* arg[0].???_val = */ gtk_tree_selection_get_selected_rows (arg[1].ptr_val, 0);

  /* ??? */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::tree_selection selected_foreach:
 * gtk::tree_selection selected_foreach
 * gtk_tree_selection_selected_foreach
 *
 *> Usage
 *   @name          %GtkTreeSelection*
 *   @name          %GtkTreeSelectionForeachFunc
 *   @name          %gpointer
 *   Return value   %void
 *
 * Wraps %gtk_tree_selection_selected_foreach.
 **/

static int cmd_gtk_tree_selection_selected_foreach (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_TREE_SELECTION */
  arg = cval_gather (interp, objc, objv, 5, sig, 0X6, "GtkTreeSelectionForeachFunc", "gpointer");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkTreeSelection* GtkTreeSelectionForeachFunc gpointer */
  gtk_tree_selection_selected_foreach (arg[1].ptr_val, 0, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::tree_sortable get_sort_column_id:
 * gtk::tree_sortable get_sort_column_id
 * gtk_tree_sortable_get_sort_column_id
 *
 *> Usage
 *   @name          %GtkTreeSortable*
 *   @name          %gint*
 *   @name          %GtkSortType*
 *   Return value   %gboolean
 *
 * Wraps %gtk_tree_sortable_get_sort_column_id.
 **/

static int cmd_gtk_tree_sortable_get_sort_column_id (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_TREE_SORTABLE GTK_TYPE_SORT_TYPE */
  arg = cval_gather (interp, objc, objv, 5, sig, 0X2, "gint*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* gboolean GtkTreeSortable* gint* GtkSortType* */
  arg[0].int_val = gtk_tree_sortable_get_sort_column_id (arg[1].ptr_val, 0, arg[2].ptr_val);

  /* G_TYPE_BOOLEAN */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::tree_sortable set_sort_func:
 * gtk::tree_sortable set_sort_func
 * gtk_tree_sortable_set_sort_func
 *
 *> Usage
 *   @name          %GtkTreeSortable*
 *   @name          %gint
 *   @name          %GtkTreeIterCompareFunc
 *   @name          %gpointer
 *   @name          %GtkDestroyNotify
 *   Return value   %void
 *
 * Wraps %gtk_tree_sortable_set_sort_func.
 **/

static int cmd_gtk_tree_sortable_set_sort_func (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_TREE_SORTABLE G_TYPE_INT */
  arg = cval_gather (interp, objc, objv, 7, sig, 0X1C, "GtkTreeIterCompareFunc", "gpointer", "GtkDestroyNotify");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkTreeSortable* gint GtkTreeIterCompareFunc gpointer GtkDestroyNotify */
  gtk_tree_sortable_set_sort_func (arg[1].ptr_val, arg[2].int_val, 0, 0, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::tree_sortable set_default_sort_func:
 * gtk::tree_sortable set_default_sort_func
 * gtk_tree_sortable_set_default_sort_func
 *
 *> Usage
 *   @name          %GtkTreeSortable*
 *   @name          %GtkTreeIterCompareFunc
 *   @name          %gpointer
 *   @name          %GtkDestroyNotify
 *   Return value   %void
 *
 * Wraps %gtk_tree_sortable_set_default_sort_func.
 **/

static int cmd_gtk_tree_sortable_set_default_sort_func (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_TREE_SORTABLE */
  arg = cval_gather (interp, objc, objv, 6, sig, 0XE, "GtkTreeIterCompareFunc", "gpointer", "GtkDestroyNotify");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkTreeSortable* GtkTreeIterCompareFunc gpointer GtkDestroyNotify */
  gtk_tree_sortable_set_default_sort_func (arg[1].ptr_val, 0, 0, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::tree_store set_column_types:
 * gtk::tree_store set_column_types
 * gtk_tree_store_set_column_types
 *
 *> Usage
 *   @name          %GtkTreeStore*
 *   @name          %gint
 *   @name          %GType*
 *   Return value   %void
 *
 * Wraps %gtk_tree_store_set_column_types.
 **/

static int cmd_gtk_tree_store_set_column_types (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_TREE_STORE G_TYPE_INT */
  arg = cval_gather (interp, objc, objv, 5, sig, 0X4, "GType*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkTreeStore* gint GType* */
  gtk_tree_store_set_column_types (arg[1].ptr_val, arg[2].int_val, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::tree_store set_valist:
 * gtk::tree_store set_valist
 * gtk_tree_store_set_valist
 *
 *> Usage
 *   @name          %GtkTreeStore*
 *   @name          %GtkTreeIter*
 *   @name          %va_list
 *   Return value   %void
 *
 * Wraps %gtk_tree_store_set_valist.
 **/

static int cmd_gtk_tree_store_set_valist (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_TREE_STORE GTK_TYPE_TREE_ITER */
  arg = cval_gather (interp, objc, objv, 5, sig, 0X4, "va_list");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkTreeStore* GtkTreeIter* va_list */
  gtk_tree_store_set_valist (arg[1].ptr_val, arg[2].ptr_val, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::tree_store reorder:
 * gtk::tree_store reorder
 * gtk_tree_store_reorder
 *
 *> Usage
 *   @name          %GtkTreeStore*
 *   @name          %GtkTreeIter*
 *   @name          %gint*
 *   Return value   %void
 *
 * Wraps %gtk_tree_store_reorder.
 **/

static int cmd_gtk_tree_store_reorder (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_TREE_STORE GTK_TYPE_TREE_ITER */
  arg = cval_gather (interp, objc, objv, 5, sig, 0X4, "gint*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkTreeStore* GtkTreeIter* gint* */
  gtk_tree_store_reorder (arg[1].ptr_val, arg[2].ptr_val, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::tree_view insert_column_with_attributes:
 * gtk::tree_view insert_column_with_attributes
 * gtk_tree_view_insert_column_with_attributes
 *
 *> Usage
 *   @name          %GtkTreeView*
 *   @name          %gint
 *   @name          %gchar*
 *   @name          %GtkCellRenderer*
 *   @name          %...
 *   Return value   %gint
 *
 * Wraps %gtk_tree_view_insert_column_with_attributes.
 **/

static int cmd_gtk_tree_view_insert_column_with_attributes (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_TREE_VIEW G_TYPE_INT G_TYPE_STRING GTK_TYPE_CELL_RENDERER */
  arg = cval_gather (interp, objc, objv, 7, sig, 0X10, "...");

  if (!arg) {
    return TCL_ERROR;
  }

  /* gint GtkTreeView* gint {const gchar*} GtkCellRenderer* ... */
  arg[0].int_val = gtk_tree_view_insert_column_with_attributes (arg[1].ptr_val, arg[2].int_val, arg[3].ptr_val, arg[4].ptr_val, 0);

  /* G_TYPE_INT */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::tree_view insert_column_with_data_func:
 * gtk::tree_view insert_column_with_data_func
 * gtk_tree_view_insert_column_with_data_func
 *
 *> Usage
 *   @name          %GtkTreeView*
 *   @name          %gint
 *   @name          %gchar*
 *   @name          %GtkCellRenderer*
 *   @name          %GtkTreeCellDataFunc
 *   @name          %gpointer
 *   @name          %GDestroyNotify
 *   Return value   %gint
 *
 * Wraps %gtk_tree_view_insert_column_with_data_func.
 **/

static int cmd_gtk_tree_view_insert_column_with_data_func (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_TREE_VIEW G_TYPE_INT G_TYPE_STRING GTK_TYPE_CELL_RENDERER */
  arg = cval_gather (interp, objc, objv, 9, sig, 0X70, "GtkTreeCellDataFunc", "gpointer", "GDestroyNotify");

  if (!arg) {
    return TCL_ERROR;
  }

  /* gint GtkTreeView* gint {const gchar*} GtkCellRenderer* GtkTreeCellDataFunc gpointer GDestroyNotify */
  arg[0].int_val = gtk_tree_view_insert_column_with_data_func (arg[1].ptr_val, arg[2].int_val, arg[3].ptr_val, arg[4].ptr_val, 0, 0, 0);

  /* G_TYPE_INT */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::tree_view get_columns:
 * gtk::tree_view get_columns
 * gtk_tree_view_get_columns
 *
 *> Usage
 *   @name          %GtkTreeView*
 *   Return value   %GList*
 *
 * Wraps %gtk_tree_view_get_columns.
 **/

static int cmd_gtk_tree_view_get_columns (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_TREE_VIEW */
  arg = cval_gather (interp, objc, objv, 3, sig, 0);

  if (!arg) {
    return TCL_ERROR;
  }

  /* GList* GtkTreeView* */
  /* arg[0].???_val = */ gtk_tree_view_get_columns (arg[1].ptr_val);

  /* ??? */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::tree_view set_column_drag_function:
 * gtk::tree_view set_column_drag_function
 * gtk_tree_view_set_column_drag_function
 *
 *> Usage
 *   @name          %GtkTreeView*
 *   @name          %GtkTreeViewColumnDropFunc
 *   @name          %gpointer
 *   @name          %GtkDestroyNotify
 *   Return value   %void
 *
 * Wraps %gtk_tree_view_set_column_drag_function.
 **/

static int cmd_gtk_tree_view_set_column_drag_function (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_TREE_VIEW */
  arg = cval_gather (interp, objc, objv, 6, sig, 0XE, "GtkTreeViewColumnDropFunc", "gpointer", "GtkDestroyNotify");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkTreeView* GtkTreeViewColumnDropFunc gpointer GtkDestroyNotify */
  gtk_tree_view_set_column_drag_function (arg[1].ptr_val, 0, 0, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::tree_view map_expanded_rows:
 * gtk::tree_view map_expanded_rows
 * gtk_tree_view_map_expanded_rows
 *
 *> Usage
 *   @name          %GtkTreeView*
 *   @name          %GtkTreeViewMappingFunc
 *   @name          %gpointer
 *   Return value   %void
 *
 * Wraps %gtk_tree_view_map_expanded_rows.
 **/

static int cmd_gtk_tree_view_map_expanded_rows (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_TREE_VIEW */
  arg = cval_gather (interp, objc, objv, 5, sig, 0X6, "GtkTreeViewMappingFunc", "gpointer");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkTreeView* GtkTreeViewMappingFunc gpointer */
  gtk_tree_view_map_expanded_rows (arg[1].ptr_val, 0, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::tree_view get_cursor:
 * gtk::tree_view get_cursor
 * gtk_tree_view_get_cursor
 *
 *> Usage
 *   @name          %GtkTreeView*
 *   @name          %GtkTreePath**
 *   @name          %GtkTreeViewColumn**
 *   Return value   %void
 *
 * Wraps %gtk_tree_view_get_cursor.
 **/

static int cmd_gtk_tree_view_get_cursor (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_TREE_VIEW */
  arg = cval_gather (interp, objc, objv, 5, sig, 0X6, "GtkTreePath**", "GtkTreeViewColumn**");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkTreeView* GtkTreePath** GtkTreeViewColumn** */
  gtk_tree_view_get_cursor (arg[1].ptr_val, 0, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::tree_view get_path_at_pos:
 * gtk::tree_view get_path_at_pos
 * gtk_tree_view_get_path_at_pos
 *
 *> Usage
 *   @name          %GtkTreeView*
 *   @name          %gint
 *   @name          %gint
 *   @name          %GtkTreePath**
 *   @name          %GtkTreeViewColumn**
 *   @name          %gint*
 *   @name          %gint*
 *   Return value   %gboolean
 *
 * Wraps %gtk_tree_view_get_path_at_pos.
 **/

static int cmd_gtk_tree_view_get_path_at_pos (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_TREE_VIEW G_TYPE_INT G_TYPE_INT */
  arg = cval_gather (interp, objc, objv, 9, sig, 0X78, "GtkTreePath**", "GtkTreeViewColumn**", "gint*", "gint*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* gboolean GtkTreeView* gint gint GtkTreePath** GtkTreeViewColumn** gint* gint* */
  arg[0].int_val = gtk_tree_view_get_path_at_pos (arg[1].ptr_val, arg[2].int_val, arg[3].int_val, 0, 0, 0, 0);

  /* G_TYPE_BOOLEAN */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::tree_view widget_to_tree_coords:
 * gtk::tree_view widget_to_tree_coords
 * gtk_tree_view_widget_to_tree_coords
 *
 *> Usage
 *   @name          %GtkTreeView*
 *   @name          %gint
 *   @name          %gint
 *   @name          %gint*
 *   @name          %gint*
 *   Return value   %void
 *
 * Wraps %gtk_tree_view_widget_to_tree_coords.
 **/

static int cmd_gtk_tree_view_widget_to_tree_coords (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_TREE_VIEW G_TYPE_INT G_TYPE_INT */
  arg = cval_gather (interp, objc, objv, 7, sig, 0X18, "gint*", "gint*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkTreeView* gint gint gint* gint* */
  gtk_tree_view_widget_to_tree_coords (arg[1].ptr_val, arg[2].int_val, arg[3].int_val, 0, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::tree_view tree_to_widget_coords:
 * gtk::tree_view tree_to_widget_coords
 * gtk_tree_view_tree_to_widget_coords
 *
 *> Usage
 *   @name          %GtkTreeView*
 *   @name          %gint
 *   @name          %gint
 *   @name          %gint*
 *   @name          %gint*
 *   Return value   %void
 *
 * Wraps %gtk_tree_view_tree_to_widget_coords.
 **/

static int cmd_gtk_tree_view_tree_to_widget_coords (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_TREE_VIEW G_TYPE_INT G_TYPE_INT */
  arg = cval_gather (interp, objc, objv, 7, sig, 0X18, "gint*", "gint*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkTreeView* gint gint gint* gint* */
  gtk_tree_view_tree_to_widget_coords (arg[1].ptr_val, arg[2].int_val, arg[3].int_val, 0, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::tree_view enable_model_drag_source:
 * gtk::tree_view enable_model_drag_source
 * gtk_tree_view_enable_model_drag_source
 *
 *> Usage
 *   @name          %GtkTreeView*
 *   @name          %GdkModifierType
 *   @name          %GtkTargetEntry*
 *   @name          %gint
 *   @name          %GdkDragAction
 *   Return value   %void
 *
 * Wraps %gtk_tree_view_enable_model_drag_source.
 **/

static int cmd_gtk_tree_view_enable_model_drag_source (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_TREE_VIEW GDK_TYPE_MODIFIER_TYPE G_TYPE_INT GDK_TYPE_DRAG_ACTION */
  arg = cval_gather (interp, objc, objv, 7, sig, 0X4, "const GtkTargetEntry*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkTreeView* GdkModifierType {const GtkTargetEntry*} gint GdkDragAction */
  gtk_tree_view_enable_model_drag_source (arg[1].ptr_val, arg[2].int_val, 0, arg[3].int_val, arg[4].int_val);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::tree_view enable_model_drag_dest:
 * gtk::tree_view enable_model_drag_dest
 * gtk_tree_view_enable_model_drag_dest
 *
 *> Usage
 *   @name          %GtkTreeView*
 *   @name          %GtkTargetEntry*
 *   @name          %gint
 *   @name          %GdkDragAction
 *   Return value   %void
 *
 * Wraps %gtk_tree_view_enable_model_drag_dest.
 **/

static int cmd_gtk_tree_view_enable_model_drag_dest (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_TREE_VIEW G_TYPE_INT GDK_TYPE_DRAG_ACTION */
  arg = cval_gather (interp, objc, objv, 6, sig, 0X2, "const GtkTargetEntry*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkTreeView* {const GtkTargetEntry*} gint GdkDragAction */
  gtk_tree_view_enable_model_drag_dest (arg[1].ptr_val, 0, arg[2].int_val, arg[3].int_val);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::tree_view get_drag_dest_row:
 * gtk::tree_view get_drag_dest_row
 * gtk_tree_view_get_drag_dest_row
 *
 *> Usage
 *   @name          %GtkTreeView*
 *   @name          %GtkTreePath**
 *   @name          %GtkTreeViewDropPosition*
 *   Return value   %void
 *
 * Wraps %gtk_tree_view_get_drag_dest_row.
 **/

static int cmd_gtk_tree_view_get_drag_dest_row (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_TREE_VIEW GTK_TYPE_TREE_VIEW_DROP_POSITION */
  arg = cval_gather (interp, objc, objv, 5, sig, 0X2, "GtkTreePath**");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkTreeView* GtkTreePath** GtkTreeViewDropPosition* */
  gtk_tree_view_get_drag_dest_row (arg[1].ptr_val, 0, arg[2].ptr_val);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::tree_view get_dest_row_at_pos:
 * gtk::tree_view get_dest_row_at_pos
 * gtk_tree_view_get_dest_row_at_pos
 *
 *> Usage
 *   @name          %GtkTreeView*
 *   @name          %gint
 *   @name          %gint
 *   @name          %GtkTreePath**
 *   @name          %GtkTreeViewDropPosition*
 *   Return value   %gboolean
 *
 * Wraps %gtk_tree_view_get_dest_row_at_pos.
 **/

static int cmd_gtk_tree_view_get_dest_row_at_pos (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_TREE_VIEW G_TYPE_INT G_TYPE_INT GTK_TYPE_TREE_VIEW_DROP_POSITION */
  arg = cval_gather (interp, objc, objv, 7, sig, 0X8, "GtkTreePath**");

  if (!arg) {
    return TCL_ERROR;
  }

  /* gboolean GtkTreeView* gint gint GtkTreePath** GtkTreeViewDropPosition* */
  arg[0].int_val = gtk_tree_view_get_dest_row_at_pos (arg[1].ptr_val, arg[2].int_val, arg[3].int_val, 0, arg[4].ptr_val);

  /* G_TYPE_BOOLEAN */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::tree_view get_search_equal_func:
 * gtk::tree_view get_search_equal_func
 * gtk_tree_view_get_search_equal_func
 *
 *> Usage
 *   @name          %GtkTreeView*
 *   Return value   %GtkTreeViewSearchEqualFunc
 *
 * Wraps %gtk_tree_view_get_search_equal_func.
 **/

static int cmd_gtk_tree_view_get_search_equal_func (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_TREE_VIEW */
  arg = cval_gather (interp, objc, objv, 3, sig, 0);

  if (!arg) {
    return TCL_ERROR;
  }

  /* GtkTreeViewSearchEqualFunc GtkTreeView* */
  /* arg[0].???_val = */ gtk_tree_view_get_search_equal_func (arg[1].ptr_val);

  /* ??? */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::tree_view set_search_equal_func:
 * gtk::tree_view set_search_equal_func
 * gtk_tree_view_set_search_equal_func
 *
 *> Usage
 *   @name          %GtkTreeView*
 *   @name          %GtkTreeViewSearchEqualFunc
 *   @name          %gpointer
 *   @name          %GtkDestroyNotify
 *   Return value   %void
 *
 * Wraps %gtk_tree_view_set_search_equal_func.
 **/

static int cmd_gtk_tree_view_set_search_equal_func (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_TREE_VIEW */
  arg = cval_gather (interp, objc, objv, 6, sig, 0XE, "GtkTreeViewSearchEqualFunc", "gpointer", "GtkDestroyNotify");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkTreeView* GtkTreeViewSearchEqualFunc gpointer GtkDestroyNotify */
  gtk_tree_view_set_search_equal_func (arg[1].ptr_val, 0, 0, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::tree_view set_destroy_count_func:
 * gtk::tree_view set_destroy_count_func
 * gtk_tree_view_set_destroy_count_func
 *
 *> Usage
 *   @name          %GtkTreeView*
 *   @name          %GtkTreeDestroyCountFunc
 *   @name          %gpointer
 *   @name          %GtkDestroyNotify
 *   Return value   %void
 *
 * Wraps %gtk_tree_view_set_destroy_count_func.
 **/

static int cmd_gtk_tree_view_set_destroy_count_func (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_TREE_VIEW */
  arg = cval_gather (interp, objc, objv, 6, sig, 0XE, "GtkTreeDestroyCountFunc", "gpointer", "GtkDestroyNotify");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkTreeView* GtkTreeDestroyCountFunc gpointer GtkDestroyNotify */
  gtk_tree_view_set_destroy_count_func (arg[1].ptr_val, 0, 0, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::tree_view_column new_with_attributes:
 * gtk::tree_view_column new_with_attributes
 * gtk_tree_view_column_new_with_attributes
 *
 *> Usage
 *   @name          %gchar*
 *   @name          %GtkCellRenderer*
 *   @name          %...
 *   Return value   %GtkTreeViewColumn*
 *
 * Wraps %gtk_tree_view_column_new_with_attributes.
 **/

static int cmd_gtk_tree_view_column_new_with_attributes (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* G_TYPE_STRING GTK_TYPE_CELL_RENDERER */
  arg = cval_gather (interp, objc, objv, 5, sig, 0X4, "...");

  if (!arg) {
    return TCL_ERROR;
  }

  /* GtkTreeViewColumn* {const gchar*} GtkCellRenderer* ... */
  arg[0].ptr_val = gtk_tree_view_column_new_with_attributes (arg[1].ptr_val, arg[2].ptr_val, 0);

  /* GTK_TYPE_TREE_VIEW_COLUMN */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::tree_view_column get_cell_renderers:
 * gtk::tree_view_column get_cell_renderers
 * gtk_tree_view_column_get_cell_renderers
 *
 *> Usage
 *   @name          %GtkTreeViewColumn*
 *   Return value   %GList*
 *
 * Wraps %gtk_tree_view_column_get_cell_renderers.
 **/

static int cmd_gtk_tree_view_column_get_cell_renderers (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_TREE_VIEW_COLUMN */
  arg = cval_gather (interp, objc, objv, 3, sig, 0);

  if (!arg) {
    return TCL_ERROR;
  }

  /* GList* GtkTreeViewColumn* */
  /* arg[0].???_val = */ gtk_tree_view_column_get_cell_renderers (arg[1].ptr_val);

  /* ??? */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::tree_view_column set_attributes:
 * gtk::tree_view_column set_attributes
 * gtk_tree_view_column_set_attributes
 *
 *> Usage
 *   @name          %GtkTreeViewColumn*
 *   @name          %GtkCellRenderer*
 *   @name          %...
 *   Return value   %void
 *
 * Wraps %gtk_tree_view_column_set_attributes.
 **/

static int cmd_gtk_tree_view_column_set_attributes (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_TREE_VIEW_COLUMN GTK_TYPE_CELL_RENDERER */
  arg = cval_gather (interp, objc, objv, 5, sig, 0X4, "...");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkTreeViewColumn* GtkCellRenderer* ... */
  gtk_tree_view_column_set_attributes (arg[1].ptr_val, arg[2].ptr_val, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::tree_view_column set_cell_data_func:
 * gtk::tree_view_column set_cell_data_func
 * gtk_tree_view_column_set_cell_data_func
 *
 *> Usage
 *   @name          %GtkTreeViewColumn*
 *   @name          %GtkCellRenderer*
 *   @name          %GtkTreeCellDataFunc
 *   @name          %gpointer
 *   @name          %GtkDestroyNotify
 *   Return value   %void
 *
 * Wraps %gtk_tree_view_column_set_cell_data_func.
 **/

static int cmd_gtk_tree_view_column_set_cell_data_func (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_TREE_VIEW_COLUMN GTK_TYPE_CELL_RENDERER */
  arg = cval_gather (interp, objc, objv, 7, sig, 0X1C, "GtkTreeCellDataFunc", "gpointer", "GtkDestroyNotify");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkTreeViewColumn* GtkCellRenderer* GtkTreeCellDataFunc gpointer GtkDestroyNotify */
  gtk_tree_view_column_set_cell_data_func (arg[1].ptr_val, arg[2].ptr_val, 0, 0, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::tree_view_column cell_get_size:
 * gtk::tree_view_column cell_get_size
 * gtk_tree_view_column_cell_get_size
 *
 *> Usage
 *   @name          %GtkTreeViewColumn*
 *   @name          %GdkRectangle*
 *   @name          %gint*
 *   @name          %gint*
 *   @name          %gint*
 *   @name          %gint*
 *   Return value   %void
 *
 * Wraps %gtk_tree_view_column_cell_get_size.
 **/

static int cmd_gtk_tree_view_column_cell_get_size (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_TREE_VIEW_COLUMN GDK_TYPE_RECTANGLE */
  arg = cval_gather (interp, objc, objv, 8, sig, 0X3C, "gint*", "gint*", "gint*", "gint*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkTreeViewColumn* GdkRectangle* gint* gint* gint* gint* */
  gtk_tree_view_column_cell_get_size (arg[1].ptr_val, arg[2].ptr_val, 0, 0, 0, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::tree_view_column cell_get_position:
 * gtk::tree_view_column cell_get_position
 * gtk_tree_view_column_cell_get_position
 *
 *> Usage
 *   @name          %GtkTreeViewColumn*
 *   @name          %GtkCellRenderer*
 *   @name          %gint*
 *   @name          %gint*
 *   Return value   %gboolean
 *
 * Wraps %gtk_tree_view_column_cell_get_position.
 **/

static int cmd_gtk_tree_view_column_cell_get_position (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_TREE_VIEW_COLUMN GTK_TYPE_CELL_RENDERER */
  arg = cval_gather (interp, objc, objv, 6, sig, 0XC, "gint*", "gint*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* gboolean GtkTreeViewColumn* GtkCellRenderer* gint* gint* */
  arg[0].int_val = gtk_tree_view_column_cell_get_position (arg[1].ptr_val, arg[2].ptr_val, 0, 0);

  /* G_TYPE_BOOLEAN */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::widget new:
 * gtk::widget new
 * gtk_widget_new
 *
 *> Usage
 *   @name          %GType
 *   @name          %gchar*
 *   @name          %...
 *   Return value   %GtkWidget*
 *
 * Wraps %gtk_widget_new.
 **/

static int cmd_gtk_widget_new (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* G_TYPE_ULONG G_TYPE_STRING */
  arg = cval_gather (interp, objc, objv, 5, sig, 0X4, "...");

  if (!arg) {
    return TCL_ERROR;
  }

  /* GtkWidget* GType {const gchar*} ... */
  arg[0].ptr_val = gtk_widget_new (arg[1].long_val, arg[2].ptr_val, 0);

  /* GTK_TYPE_WIDGET */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::widget destroyed:
 * gtk::widget destroyed
 * gtk_widget_destroyed
 *
 *> Usage
 *   @name          %GtkWidget*
 *   @name          %GtkWidget**
 *   Return value   %void
 *
 * Wraps %gtk_widget_destroyed.
 **/

static int cmd_gtk_widget_destroyed (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_WIDGET */
  arg = cval_gather (interp, objc, objv, 4, sig, 0X2, "GtkWidget**");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkWidget* GtkWidget** */
  gtk_widget_destroyed (arg[1].ptr_val, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::widget size_allocate:
 * gtk::widget size_allocate
 * gtk_widget_size_allocate
 *
 *> Usage
 *   @name          %GtkWidget*
 *   @name          %GtkAllocation*
 *   Return value   %void
 *
 * Wraps %gtk_widget_size_allocate.
 **/

static int cmd_gtk_widget_size_allocate (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_WIDGET */
  arg = cval_gather (interp, objc, objv, 4, sig, 0X2, "GtkAllocation*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkWidget* GtkAllocation* */
  gtk_widget_size_allocate (arg[1].ptr_val, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::widget list_accel_closures:
 * gtk::widget list_accel_closures
 * gtk_widget_list_accel_closures
 *
 *> Usage
 *   @name          %GtkWidget*
 *   Return value   %GList*
 *
 * Wraps %gtk_widget_list_accel_closures.
 **/

static int cmd_gtk_widget_list_accel_closures (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_WIDGET */
  arg = cval_gather (interp, objc, objv, 3, sig, 0);

  if (!arg) {
    return TCL_ERROR;
  }

  /* GList* GtkWidget* */
  /* arg[0].???_val = */ gtk_widget_list_accel_closures (arg[1].ptr_val);

  /* ??? */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::widget region_intersect:
 * gtk::widget region_intersect
 * gtk_widget_region_intersect
 *
 *> Usage
 *   @name          %GtkWidget*
 *   @name          %GdkRegion*
 *   Return value   %GdkRegion*
 *
 * Wraps %gtk_widget_region_intersect.
 **/

static int cmd_gtk_widget_region_intersect (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_WIDGET */
  arg = cval_gather (interp, objc, objv, 4, sig, 0X2, "GdkRegion*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* GdkRegion* GtkWidget* GdkRegion* */
  /* arg[0].???_val = */ gtk_widget_region_intersect (arg[1].ptr_val, 0);

  /* ??? */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::widget get_size_request:
 * gtk::widget get_size_request
 * gtk_widget_get_size_request
 *
 *> Usage
 *   @name          %GtkWidget*
 *   @name          %gint*
 *   @name          %gint*
 *   Return value   %void
 *
 * Wraps %gtk_widget_get_size_request.
 **/

static int cmd_gtk_widget_get_size_request (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_WIDGET */
  arg = cval_gather (interp, objc, objv, 5, sig, 0X6, "gint*", "gint*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkWidget* gint* gint* */
  gtk_widget_get_size_request (arg[1].ptr_val, 0, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::widget get_clipboard:
 * gtk::widget get_clipboard
 * gtk_widget_get_clipboard
 *
 *> Usage
 *   @name          %GtkWidget*
 *   @name          %GdkAtom
 *   Return value   %GtkClipboard*
 *
 * Wraps %gtk_widget_get_clipboard.
 **/

static int cmd_gtk_widget_get_clipboard (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_WIDGET */
  arg = cval_gather (interp, objc, objv, 4, sig, 0X2, "GdkAtom");

  if (!arg) {
    return TCL_ERROR;
  }

  /* GtkClipboard* GtkWidget* GdkAtom */
  arg[0].ptr_val = gtk_widget_get_clipboard (arg[1].ptr_val, 0);

  /* GTK_TYPE_CLIPBOARD */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::widget get_pointer:
 * gtk::widget get_pointer
 * gtk_widget_get_pointer
 *
 *> Usage
 *   @name          %GtkWidget*
 *   @name          %gint*
 *   @name          %gint*
 *   Return value   %void
 *
 * Wraps %gtk_widget_get_pointer.
 **/

static int cmd_gtk_widget_get_pointer (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_WIDGET */
  arg = cval_gather (interp, objc, objv, 5, sig, 0X6, "gint*", "gint*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkWidget* gint* gint* */
  gtk_widget_get_pointer (arg[1].ptr_val, 0, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::widget translate_coordinates:
 * gtk::widget translate_coordinates
 * gtk_widget_translate_coordinates
 *
 *> Usage
 *   @name          %GtkWidget*
 *   @name          %GtkWidget*
 *   @name          %gint
 *   @name          %gint
 *   @name          %gint*
 *   @name          %gint*
 *   Return value   %gboolean
 *
 * Wraps %gtk_widget_translate_coordinates.
 **/

static int cmd_gtk_widget_translate_coordinates (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_WIDGET GTK_TYPE_WIDGET G_TYPE_INT G_TYPE_INT */
  arg = cval_gather (interp, objc, objv, 8, sig, 0X30, "gint*", "gint*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* gboolean GtkWidget* GtkWidget* gint gint gint* gint* */
  arg[0].int_val = gtk_widget_translate_coordinates (arg[1].ptr_val, arg[2].ptr_val, arg[3].int_val, arg[4].int_val, 0, 0);

  /* G_TYPE_BOOLEAN */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::widget class_install_style_property:
 * gtk::widget class_install_style_property
 * gtk_widget_class_install_style_property
 *
 *> Usage
 *   @name          %GtkWidgetClass*
 *   @name          %GParamSpec*
 *   Return value   %void
 *
 * Wraps %gtk_widget_class_install_style_property.
 **/

static int cmd_gtk_widget_class_install_style_property (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* G_TYPE_PARAM */
  arg = cval_gather (interp, objc, objv, 4, sig, 0X1, "GtkWidgetClass*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkWidgetClass* GParamSpec* */
  gtk_widget_class_install_style_property (0, arg[1].ptr_val);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::widget class_install_style_property_parser:
 * gtk::widget class_install_style_property_parser
 * gtk_widget_class_install_style_property_parser
 *
 *> Usage
 *   @name          %GtkWidgetClass*
 *   @name          %GParamSpec*
 *   @name          %GtkRcPropertyParser
 *   Return value   %void
 *
 * Wraps %gtk_widget_class_install_style_property_parser.
 **/

static int cmd_gtk_widget_class_install_style_property_parser (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* G_TYPE_PARAM */
  arg = cval_gather (interp, objc, objv, 5, sig, 0X5, "GtkWidgetClass*", "GtkRcPropertyParser");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkWidgetClass* GParamSpec* GtkRcPropertyParser */
  gtk_widget_class_install_style_property_parser (0, arg[1].ptr_val, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::widget class_find_style_property:
 * gtk::widget class_find_style_property
 * gtk_widget_class_find_style_property
 *
 *> Usage
 *   @name          %GtkWidgetClass*
 *   @name          %gchar*
 *   Return value   %GParamSpec*
 *
 * Wraps %gtk_widget_class_find_style_property.
 **/

static int cmd_gtk_widget_class_find_style_property (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* G_TYPE_STRING */
  arg = cval_gather (interp, objc, objv, 4, sig, 0X1, "GtkWidgetClass*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* GParamSpec* GtkWidgetClass* {const gchar*} */
  arg[0].ptr_val = gtk_widget_class_find_style_property (0, arg[1].ptr_val);

  /* G_TYPE_PARAM */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::widget class_list_style_properties:
 * gtk::widget class_list_style_properties
 * gtk_widget_class_list_style_properties
 *
 *> Usage
 *   @name          %GtkWidgetClass*
 *   @name          %guint*
 *   Return value   %GParamSpec**
 *
 * Wraps %gtk_widget_class_list_style_properties.
 **/

static int cmd_gtk_widget_class_list_style_properties (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /*  */
  arg = cval_gather (interp, objc, objv, 4, sig, 0X3, "GtkWidgetClass*", "guint*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* GParamSpec** GtkWidgetClass* guint* */
  /* arg[0].???_val = */ gtk_widget_class_list_style_properties (0, 0);

  /* ??? */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::widget style_get_valist:
 * gtk::widget style_get_valist
 * gtk_widget_style_get_valist
 *
 *> Usage
 *   @name          %GtkWidget*
 *   @name          %gchar*
 *   @name          %va_list
 *   Return value   %void
 *
 * Wraps %gtk_widget_style_get_valist.
 **/

static int cmd_gtk_widget_style_get_valist (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_WIDGET G_TYPE_STRING */
  arg = cval_gather (interp, objc, objv, 5, sig, 0X4, "va_list");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkWidget* {const gchar*} va_list */
  gtk_widget_style_get_valist (arg[1].ptr_val, arg[2].ptr_val, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::widget style_get:
 * gtk::widget style_get
 * gtk_widget_style_get
 *
 *> Usage
 *   @name          %GtkWidget*
 *   @name          %gchar*
 *   @name          %...
 *   Return value   %void
 *
 * Wraps %gtk_widget_style_get.
 **/

static int cmd_gtk_widget_style_get (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_WIDGET G_TYPE_STRING */
  arg = cval_gather (interp, objc, objv, 5, sig, 0X4, "...");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkWidget* {const gchar*} ... */
  gtk_widget_style_get (arg[1].ptr_val, arg[2].ptr_val, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::widget path:
 * gtk::widget path
 * gtk_widget_path
 *
 *> Usage
 *   @name          %GtkWidget*
 *   @name          %guint*
 *   @name          %gchar**
 *   @name          %gchar**
 *   Return value   %void
 *
 * Wraps %gtk_widget_path.
 **/

static int cmd_gtk_widget_path (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_WIDGET */
  arg = cval_gather (interp, objc, objv, 6, sig, 0XE, "guint*", "gchar**", "gchar**");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkWidget* guint* gchar** gchar** */
  gtk_widget_path (arg[1].ptr_val, 0, 0, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::widget class_path:
 * gtk::widget class_path
 * gtk_widget_class_path
 *
 *> Usage
 *   @name          %GtkWidget*
 *   @name          %guint*
 *   @name          %gchar**
 *   @name          %gchar**
 *   Return value   %void
 *
 * Wraps %gtk_widget_class_path.
 **/

static int cmd_gtk_widget_class_path (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_WIDGET */
  arg = cval_gather (interp, objc, objv, 6, sig, 0XE, "guint*", "gchar**", "gchar**");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkWidget* guint* gchar** gchar** */
  gtk_widget_class_path (arg[1].ptr_val, 0, 0, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::window set_geometry_hints:
 * gtk::window set_geometry_hints
 * gtk_window_set_geometry_hints
 *
 *> Usage
 *   @name          %GtkWindow*
 *   @name          %GtkWidget*
 *   @name          %GdkGeometry*
 *   @name          %GdkWindowHints
 *   Return value   %void
 *
 * Wraps %gtk_window_set_geometry_hints.
 **/

static int cmd_gtk_window_set_geometry_hints (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_WINDOW GTK_TYPE_WIDGET GDK_TYPE_WINDOW_HINTS */
  arg = cval_gather (interp, objc, objv, 6, sig, 0X4, "GdkGeometry*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkWindow* GtkWidget* GdkGeometry* GdkWindowHints */
  gtk_window_set_geometry_hints (arg[1].ptr_val, arg[2].ptr_val, 0, arg[3].int_val);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::window get_frame_dimensions:
 * gtk::window get_frame_dimensions
 * gtk_window_get_frame_dimensions
 *
 *> Usage
 *   @name          %GtkWindow*
 *   @name          %gint*
 *   @name          %gint*
 *   @name          %gint*
 *   @name          %gint*
 *   Return value   %void
 *
 * Wraps %gtk_window_get_frame_dimensions.
 **/

static int cmd_gtk_window_get_frame_dimensions (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_WINDOW */
  arg = cval_gather (interp, objc, objv, 7, sig, 0X1E, "gint*", "gint*", "gint*", "gint*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkWindow* gint* gint* gint* gint* */
  gtk_window_get_frame_dimensions (arg[1].ptr_val, 0, 0, 0, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::window set_icon_list:
 * gtk::window set_icon_list
 * gtk_window_set_icon_list
 *
 *> Usage
 *   @name          %GtkWindow*
 *   @name          %GList*
 *   Return value   %void
 *
 * Wraps %gtk_window_set_icon_list.
 **/

static int cmd_gtk_window_set_icon_list (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_WINDOW */
  arg = cval_gather (interp, objc, objv, 4, sig, 0X2, "GList*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkWindow* GList* */
  gtk_window_set_icon_list (arg[1].ptr_val, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::window get_icon_list:
 * gtk::window get_icon_list
 * gtk_window_get_icon_list
 *
 *> Usage
 *   @name          %GtkWindow*
 *   Return value   %GList*
 *
 * Wraps %gtk_window_get_icon_list.
 **/

static int cmd_gtk_window_get_icon_list (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_WINDOW */
  arg = cval_gather (interp, objc, objv, 3, sig, 0);

  if (!arg) {
    return TCL_ERROR;
  }

  /* GList* GtkWindow* */
  /* arg[0].???_val = */ gtk_window_get_icon_list (arg[1].ptr_val);

  /* ??? */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::window set_icon_from_file:
 * gtk::window set_icon_from_file
 * gtk_window_set_icon_from_file
 *
 *> Usage
 *   @name          %GtkWindow*
 *   @name          %gchar*
 *   @name          %GError**
 *   Return value   %gboolean
 *
 * Wraps %gtk_window_set_icon_from_file.
 **/

static int cmd_gtk_window_set_icon_from_file (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_WINDOW G_TYPE_STRING */
  arg = cval_gather (interp, objc, objv, 5, sig, 0X4, "GError**");

  if (!arg) {
    return TCL_ERROR;
  }

  /* gboolean GtkWindow* {const gchar*} GError** */
  arg[0].int_val = gtk_window_set_icon_from_file (arg[1].ptr_val, arg[2].ptr_val, 0);

  /* G_TYPE_BOOLEAN */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::window set_default_icon_list:
 * gtk::window set_default_icon_list
 * gtk_window_set_default_icon_list
 *
 *> Usage
 *   @name          %GList*
 *   Return value   %void
 *
 * Wraps %gtk_window_set_default_icon_list.
 **/

static int cmd_gtk_window_set_default_icon_list (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /*  */
  arg = cval_gather (interp, objc, objv, 3, sig, 0X1, "GList*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GList* */
  gtk_window_set_default_icon_list (0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::window get_default_icon_list:
 * gtk::window get_default_icon_list
 * gtk_window_get_default_icon_list
 *
 *> Usage
 *   @name          %void
 *   Return value   %GList*
 *
 * Wraps %gtk_window_get_default_icon_list.
 **/

static int cmd_gtk_window_get_default_icon_list (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /*  */
  arg = cval_gather (interp, objc, objv, 3, sig, 0);

  if (!arg) {
    return TCL_ERROR;
  }

  /* GList* void */
  /* arg[0].???_val = */ gtk_window_get_default_icon_list ();

  /* ??? */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::window set_default_icon_from_file:
 * gtk::window set_default_icon_from_file
 * gtk_window_set_default_icon_from_file
 *
 *> Usage
 *   @name          %gchar*
 *   @name          %GError**
 *   Return value   %gboolean
 *
 * Wraps %gtk_window_set_default_icon_from_file.
 **/

static int cmd_gtk_window_set_default_icon_from_file (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* G_TYPE_STRING */
  arg = cval_gather (interp, objc, objv, 4, sig, 0X2, "GError**");

  if (!arg) {
    return TCL_ERROR;
  }

  /* gboolean {const gchar*} GError** */
  arg[0].int_val = gtk_window_set_default_icon_from_file (arg[1].ptr_val, 0);

  /* G_TYPE_BOOLEAN */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::window list_toplevels:
 * gtk::window list_toplevels
 * gtk_window_list_toplevels
 *
 *> Usage
 *   @name          %void
 *   Return value   %GList*
 *
 * Wraps %gtk_window_list_toplevels.
 **/

static int cmd_gtk_window_list_toplevels (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /*  */
  arg = cval_gather (interp, objc, objv, 3, sig, 0);

  if (!arg) {
    return TCL_ERROR;
  }

  /* GList* void */
  /* arg[0].???_val = */ gtk_window_list_toplevels ();

  /* ??? */
  Tcl_SetObjResult (interp, newType (sig->type[0], &arg[0]));

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::window get_default_size:
 * gtk::window get_default_size
 * gtk_window_get_default_size
 *
 *> Usage
 *   @name          %GtkWindow*
 *   @name          %gint*
 *   @name          %gint*
 *   Return value   %void
 *
 * Wraps %gtk_window_get_default_size.
 **/

static int cmd_gtk_window_get_default_size (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_WINDOW */
  arg = cval_gather (interp, objc, objv, 5, sig, 0X6, "gint*", "gint*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkWindow* gint* gint* */
  gtk_window_get_default_size (arg[1].ptr_val, 0, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::window get_size:
 * gtk::window get_size
 * gtk_window_get_size
 *
 *> Usage
 *   @name          %GtkWindow*
 *   @name          %gint*
 *   @name          %gint*
 *   Return value   %void
 *
 * Wraps %gtk_window_get_size.
 **/

static int cmd_gtk_window_get_size (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_WINDOW */
  arg = cval_gather (interp, objc, objv, 5, sig, 0X6, "gint*", "gint*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkWindow* gint* gint* */
  gtk_window_get_size (arg[1].ptr_val, 0, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}

/**!
 * gtk.stub.func.gtk::window get_position:
 * gtk::window get_position
 * gtk_window_get_position
 *
 *> Usage
 *   @name          %GtkWindow*
 *   @name          %gint*
 *   @name          %gint*
 *   Return value   %void
 *
 * Wraps %gtk_window_get_position.
 **/

static int cmd_gtk_window_get_position (Tcl_Interp *interp, int objc, Tcl_Obj *CONST objv[], const cmd_sig_t *sig)
{
  cval_t *arg;

  appendResult (interp, "stub", (char *) 0);
  return TCL_ERROR;

  /* GTK_TYPE_WINDOW */
  arg = cval_gather (interp, objc, objv, 5, sig, 0X6, "gint*", "gint*");

  if (!arg) {
    return TCL_ERROR;
  }

  /* void GtkWindow* gint* gint* */
  gtk_window_get_position (arg[1].ptr_val, 0, 0);

  cval_free (arg, sig->type, sig->len);
  return TCL_OK;
}


/**!
 * gtk.status:
 * 
 * Automatically handled functions:
 *{
 * %gtk_accel_group_get_type
 * %gtk_accel_group_new
 * %gtk_accel_group_lock
 * %gtk_accel_group_unlock
 * %gtk_accel_group_connect
 * %gtk_accel_group_connect_by_path
 * %gtk_accel_group_disconnect
 * %gtk_accel_group_disconnect_key
 * %gtk_accel_group_from_accel_closure
 * %gtk_accelerator_valid
 * %gtk_accelerator_name
 * %gtk_accelerator_set_default_mod_mask
 * %gtk_accelerator_get_default_mod_mask
 * %gtk_accel_label_get_type
 * %gtk_accel_label_new
 * %gtk_accel_label_get_accel_widget
 * %gtk_accel_label_get_accel_width
 * %gtk_accel_label_set_accel_widget
 * %gtk_accel_label_set_accel_closure
 * %gtk_accel_label_refetch
 * %gtk_accel_map_add_entry
 * %gtk_accel_map_change_entry
 * %gtk_accel_map_load
 * %gtk_accel_map_save
 * %gtk_accel_map_load_fd
 * %gtk_accel_map_save_fd
 * %gtk_accel_map_add_filter
 * %gtk_accessible_get_type
 * %gtk_accessible_connect_widget_destroyed
 * %gtk_adjustment_get_type
 * %gtk_adjustment_new
 * %gtk_adjustment_changed
 * %gtk_adjustment_value_changed
 * %gtk_adjustment_clamp_page
 * %gtk_adjustment_get_value
 * %gtk_adjustment_set_value
 * %gtk_alignment_get_type
 * %gtk_alignment_new
 * %gtk_alignment_set
 * %gtk_arrow_get_type
 * %gtk_arrow_new
 * %gtk_arrow_set
 * %gtk_aspect_frame_get_type
 * %gtk_aspect_frame_new
 * %gtk_aspect_frame_set
 * %gtk_button_box_get_type
 * %gtk_button_box_get_layout
 * %gtk_button_box_set_layout
 * %gtk_button_box_set_child_secondary
 * %gtk_bin_get_type
 * %gtk_bin_get_child
 * %gtk_box_get_type
 * %gtk_box_pack_start
 * %gtk_box_pack_end
 * %gtk_box_pack_start_defaults
 * %gtk_box_pack_end_defaults
 * %gtk_box_set_homogeneous
 * %gtk_box_get_homogeneous
 * %gtk_box_set_spacing
 * %gtk_box_get_spacing
 * %gtk_box_reorder_child
 * %gtk_box_set_child_packing
 * %gtk_button_get_type
 * %gtk_button_new
 * %gtk_button_new_with_label
 * %gtk_button_new_from_stock
 * %gtk_button_new_with_mnemonic
 * %gtk_button_pressed
 * %gtk_button_released
 * %gtk_button_clicked
 * %gtk_button_enter
 * %gtk_button_leave
 * %gtk_button_set_relief
 * %gtk_button_get_relief
 * %gtk_button_set_label
 * %gtk_button_get_label
 * %gtk_button_set_use_underline
 * %gtk_button_get_use_underline
 * %gtk_button_set_use_stock
 * %gtk_button_get_use_stock
 * %gtk_calendar_get_type
 * %gtk_calendar_new
 * %gtk_calendar_select_month
 * %gtk_calendar_select_day
 * %gtk_calendar_mark_day
 * %gtk_calendar_unmark_day
 * %gtk_calendar_clear_marks
 * %gtk_calendar_display_options
 * %gtk_calendar_freeze
 * %gtk_calendar_thaw
 * %gtk_cell_editable_get_type
 * %gtk_cell_editable_start_editing
 * %gtk_cell_editable_editing_done
 * %gtk_cell_editable_remove_widget
 * %gtk_cell_renderer_get_type
 * %gtk_cell_renderer_render
 * %gtk_cell_renderer_activate
 * %gtk_cell_renderer_start_editing
 * %gtk_cell_renderer_set_fixed_size
 * %gtk_cell_renderer_pixbuf_get_type
 * %gtk_cell_renderer_pixbuf_new
 * %gtk_cell_renderer_text_get_type
 * %gtk_cell_renderer_text_new
 * %gtk_cell_renderer_text_set_fixed_height_from_font
 * %gtk_cell_renderer_toggle_get_type
 * %gtk_cell_renderer_toggle_new
 * %gtk_cell_renderer_toggle_get_radio
 * %gtk_cell_renderer_toggle_set_radio
 * %gtk_cell_renderer_toggle_get_active
 * %gtk_cell_renderer_toggle_set_active
 * %gtk_check_button_get_type
 * %gtk_check_button_new
 * %gtk_check_button_new_with_label
 * %gtk_check_button_new_with_mnemonic
 * %gtk_check_menu_item_get_type
 * %gtk_check_menu_item_new
 * %gtk_check_menu_item_new_with_label
 * %gtk_check_menu_item_new_with_mnemonic
 * %gtk_check_menu_item_set_active
 * %gtk_check_menu_item_get_active
 * %gtk_check_menu_item_toggled
 * %gtk_check_menu_item_set_inconsistent
 * %gtk_check_menu_item_get_inconsistent
 * %gtk_clipboard_get_type
 * %gtk_clipboard_get_display
 * %gtk_clipboard_get_owner
 * %gtk_clipboard_clear
 * %gtk_clipboard_set_text
 * %gtk_clipboard_wait_for_text
 * %gtk_clipboard_wait_is_text_available
 * %gtk_color_selection_get_type
 * %gtk_color_selection_new
 * %gtk_color_selection_get_has_opacity_control
 * %gtk_color_selection_set_has_opacity_control
 * %gtk_color_selection_get_has_palette
 * %gtk_color_selection_set_has_palette
 * %gtk_color_selection_set_current_color
 * %gtk_color_selection_set_current_alpha
 * %gtk_color_selection_get_current_color
 * %gtk_color_selection_get_current_alpha
 * %gtk_color_selection_set_previous_color
 * %gtk_color_selection_set_previous_alpha
 * %gtk_color_selection_get_previous_color
 * %gtk_color_selection_get_previous_alpha
 * %gtk_color_selection_is_adjusting
 * %gtk_color_selection_palette_to_string
 * %gtk_color_selection_dialog_get_type
 * %gtk_color_selection_dialog_new
 * %gtk_combo_get_type
 * %gtk_combo_new
 * %gtk_combo_set_value_in_list
 * %gtk_combo_set_use_arrows
 * %gtk_combo_set_use_arrows_always
 * %gtk_combo_set_case_sensitive
 * %gtk_combo_set_item_string
 * %gtk_combo_disable_activate
 * %gtk_container_get_type
 * %gtk_container_set_border_width
 * %gtk_container_get_border_width
 * %gtk_container_add
 * %gtk_container_remove
 * %gtk_container_set_resize_mode
 * %gtk_container_get_resize_mode
 * %gtk_container_check_resize
 * %gtk_container_unset_focus_chain
 * %gtk_container_set_reallocate_redraws
 * %gtk_container_set_focus_child
 * %gtk_container_set_focus_vadjustment
 * %gtk_container_get_focus_vadjustment
 * %gtk_container_set_focus_hadjustment
 * %gtk_container_get_focus_hadjustment
 * %gtk_container_resize_children
 * %gtk_container_child_type
 * %gtk_container_child_set_property
 * %gtk_container_child_get_property
 * %gtk_dialog_get_type
 * %gtk_dialog_new
 * %gtk_dialog_add_action_widget
 * %gtk_dialog_add_button
 * %gtk_dialog_set_response_sensitive
 * %gtk_dialog_set_default_response
 * %gtk_dialog_set_has_separator
 * %gtk_dialog_get_has_separator
 * %gtk_dialog_response
 * %gtk_dialog_run
 * %gtk_drag_finish
 * %gtk_drag_get_source_widget
 * %gtk_drag_highlight
 * %gtk_drag_unhighlight
 * %gtk_drag_dest_set_proxy
 * %gtk_drag_dest_unset
 * %gtk_drag_source_unset
 * %gtk_drag_source_set_icon
 * %gtk_drag_source_set_icon_pixbuf
 * %gtk_drag_source_set_icon_stock
 * %gtk_drag_set_icon_widget
 * %gtk_drag_set_icon_pixmap
 * %gtk_drag_set_icon_pixbuf
 * %gtk_drag_set_icon_stock
 * %gtk_drag_set_icon_default
 * %gtk_drag_check_threshold
 * %gtk_drawing_area_get_type
 * %gtk_drawing_area_new
 * %gtk_editable_get_type
 * %gtk_editable_select_region
 * %gtk_editable_delete_text
 * %gtk_editable_get_chars
 * %gtk_editable_cut_clipboard
 * %gtk_editable_copy_clipboard
 * %gtk_editable_paste_clipboard
 * %gtk_editable_delete_selection
 * %gtk_editable_set_position
 * %gtk_editable_get_position
 * %gtk_editable_set_editable
 * %gtk_editable_get_editable
 * %gtk_entry_get_type
 * %gtk_entry_new
 * %gtk_entry_set_visibility
 * %gtk_entry_get_visibility
 * %gtk_entry_set_invisible_char
 * %gtk_entry_get_invisible_char
 * %gtk_entry_set_has_frame
 * %gtk_entry_get_has_frame
 * %gtk_entry_set_max_length
 * %gtk_entry_get_max_length
 * %gtk_entry_set_activates_default
 * %gtk_entry_get_activates_default
 * %gtk_entry_set_width_chars
 * %gtk_entry_get_width_chars
 * %gtk_entry_set_text
 * %gtk_entry_get_text
 * %gtk_entry_get_layout
 * %gtk_event_box_get_type
 * %gtk_event_box_new
 * %gtk_file_selection_get_type
 * %gtk_file_selection_new
 * %gtk_file_selection_set_filename
 * %gtk_file_selection_get_filename
 * %gtk_file_selection_complete
 * %gtk_file_selection_show_fileop_buttons
 * %gtk_file_selection_hide_fileop_buttons
 * %gtk_file_selection_set_select_multiple
 * %gtk_file_selection_get_select_multiple
 * %gtk_fixed_get_type
 * %gtk_fixed_new
 * %gtk_fixed_put
 * %gtk_fixed_move
 * %gtk_fixed_set_has_window
 * %gtk_fixed_get_has_window
 * %gtk_font_selection_dialog_get_type
 * %gtk_font_selection_dialog_new
 * %gtk_font_selection_dialog_get_font_name
 * %gtk_font_selection_dialog_set_font_name
 * %gtk_font_selection_dialog_get_preview_text
 * %gtk_font_selection_dialog_set_preview_text
 * %gtk_font_selection_get_type
 * %gtk_font_selection_new
 * %gtk_font_selection_get_font_name
 * %gtk_font_selection_set_font_name
 * %gtk_font_selection_get_preview_text
 * %gtk_font_selection_set_preview_text
 * %gtk_frame_get_type
 * %gtk_frame_new
 * %gtk_frame_set_label
 * %gtk_frame_get_label
 * %gtk_frame_set_label_widget
 * %gtk_frame_get_label_widget
 * %gtk_frame_set_label_align
 * %gtk_frame_set_shadow_type
 * %gtk_frame_get_shadow_type
 * %gtk_gc_release
 * %gtk_handle_box_get_type
 * %gtk_handle_box_new
 * %gtk_handle_box_set_shadow_type
 * %gtk_handle_box_get_shadow_type
 * %gtk_handle_box_set_handle_position
 * %gtk_handle_box_get_handle_position
 * %gtk_handle_box_set_snap_edge
 * %gtk_handle_box_get_snap_edge
 * %gtk_hbutton_box_get_type
 * %gtk_hbutton_box_new
 * %gtk_hbox_get_type
 * %gtk_hbox_new
 * %gtk_hpaned_get_type
 * %gtk_hpaned_new
 * %gtk_hscale_get_type
 * %gtk_hscale_new
 * %gtk_hscale_new_with_range
 * %gtk_hscrollbar_get_type
 * %gtk_hscrollbar_new
 * %gtk_hseparator_get_type
 * %gtk_hseparator_new
 * %gtk_icon_factory_get_type
 * %gtk_icon_factory_new
 * %gtk_icon_factory_add
 * %gtk_icon_factory_lookup
 * %gtk_icon_factory_add_default
 * %gtk_icon_factory_remove_default
 * %gtk_icon_factory_lookup_default
 * %gtk_icon_source_get_type
 * %gtk_icon_source_new
 * %gtk_icon_source_copy
 * %gtk_icon_source_free
 * %gtk_icon_source_set_filename
 * %gtk_icon_source_set_pixbuf
 * %gtk_icon_source_get_filename
 * %gtk_icon_source_get_pixbuf
 * %gtk_icon_source_set_direction_wildcarded
 * %gtk_icon_source_set_state_wildcarded
 * %gtk_icon_source_set_size_wildcarded
 * %gtk_icon_source_get_size_wildcarded
 * %gtk_icon_source_get_state_wildcarded
 * %gtk_icon_source_get_direction_wildcarded
 * %gtk_icon_source_set_direction
 * %gtk_icon_source_set_state
 * %gtk_icon_source_set_size
 * %gtk_icon_source_get_direction
 * %gtk_icon_source_get_state
 * %gtk_icon_source_get_size
 * %gtk_icon_set_get_type
 * %gtk_icon_set_new
 * %gtk_icon_set_new_from_pixbuf
 * %gtk_icon_set_ref
 * %gtk_icon_set_unref
 * %gtk_icon_set_copy
 * %gtk_icon_set_render_icon
 * %gtk_icon_set_add_source
 * %gtk_image_get_type
 * %gtk_image_new
 * %gtk_image_new_from_pixmap
 * %gtk_image_new_from_image
 * %gtk_image_new_from_file
 * %gtk_image_new_from_pixbuf
 * %gtk_image_new_from_stock
 * %gtk_image_new_from_icon_set
 * %gtk_image_new_from_animation
 * %gtk_image_set_from_pixmap
 * %gtk_image_set_from_image
 * %gtk_image_set_from_file
 * %gtk_image_set_from_pixbuf
 * %gtk_image_set_from_stock
 * %gtk_image_set_from_icon_set
 * %gtk_image_set_from_animation
 * %gtk_image_get_storage_type
 * %gtk_image_get_pixbuf
 * %gtk_image_get_animation
 * %gtk_image_menu_item_get_type
 * %gtk_image_menu_item_new
 * %gtk_image_menu_item_new_with_label
 * %gtk_image_menu_item_new_with_mnemonic
 * %gtk_image_menu_item_new_from_stock
 * %gtk_image_menu_item_set_image
 * %gtk_image_menu_item_get_image
 * %gtk_input_dialog_get_type
 * %gtk_input_dialog_new
 * %gtk_item_get_type
 * %gtk_item_select
 * %gtk_item_deselect
 * %gtk_item_toggle
 * %gtk_item_factory_get_type
 * %gtk_item_factory_new
 * %gtk_item_factory_construct
 * %gtk_item_factory_add_foreign
 * %gtk_item_factory_from_widget
 * %gtk_item_factory_path_from_widget
 * %gtk_item_factory_get_item
 * %gtk_item_factory_get_widget
 * %gtk_item_factory_get_widget_by_action
 * %gtk_item_factory_get_item_by_action
 * %gtk_item_factory_delete_item
 * %gtk_item_factory_popup
 * %gtk_label_get_type
 * %gtk_label_new
 * %gtk_label_new_with_mnemonic
 * %gtk_label_set_text
 * %gtk_label_get_text
 * %gtk_label_set_attributes
 * %gtk_label_get_attributes
 * %gtk_label_set_label
 * %gtk_label_get_label
 * %gtk_label_set_markup
 * %gtk_label_set_use_markup
 * %gtk_label_get_use_markup
 * %gtk_label_set_use_underline
 * %gtk_label_get_use_underline
 * %gtk_label_set_markup_with_mnemonic
 * %gtk_label_get_mnemonic_keyval
 * %gtk_label_set_mnemonic_widget
 * %gtk_label_get_mnemonic_widget
 * %gtk_label_set_text_with_mnemonic
 * %gtk_label_set_justify
 * %gtk_label_get_justify
 * %gtk_label_set_pattern
 * %gtk_label_set_line_wrap
 * %gtk_label_get_line_wrap
 * %gtk_label_set_selectable
 * %gtk_label_get_selectable
 * %gtk_label_select_region
 * %gtk_label_get_layout
 * %gtk_layout_get_type
 * %gtk_layout_new
 * %gtk_layout_put
 * %gtk_layout_move
 * %gtk_layout_set_size
 * %gtk_layout_get_hadjustment
 * %gtk_layout_get_vadjustment
 * %gtk_layout_set_hadjustment
 * %gtk_layout_set_vadjustment
 * %gtk_list_store_get_type
 * %gtk_list_store_remove
 * %gtk_list_store_insert
 * %gtk_list_store_insert_before
 * %gtk_list_store_insert_after
 * %gtk_list_store_prepend
 * %gtk_list_store_append
 * %gtk_list_store_clear
 * %gtk_list_store_iter_is_valid
 * %gtk_list_store_swap
 * %gtk_list_store_move_after
 * %gtk_list_store_move_before
 * %gtk_menu_get_type
 * %gtk_menu_new
 * %gtk_menu_reposition
 * %gtk_menu_popdown
 * %gtk_menu_get_active
 * %gtk_menu_set_active
 * %gtk_menu_set_accel_group
 * %gtk_menu_get_accel_group
 * %gtk_menu_set_accel_path
 * %gtk_menu_detach
 * %gtk_menu_get_attach_widget
 * %gtk_menu_set_tearoff_state
 * %gtk_menu_get_tearoff_state
 * %gtk_menu_set_title
 * %gtk_menu_get_title
 * %gtk_menu_reorder_child
 * %gtk_menu_set_screen
 * %gtk_menu_bar_get_type
 * %gtk_menu_bar_new
 * %gtk_menu_item_get_type
 * %gtk_menu_item_new
 * %gtk_menu_item_new_with_label
 * %gtk_menu_item_new_with_mnemonic
 * %gtk_menu_item_set_submenu
 * %gtk_menu_item_get_submenu
 * %gtk_menu_item_remove_submenu
 * %gtk_menu_item_select
 * %gtk_menu_item_deselect
 * %gtk_menu_item_activate
 * %gtk_menu_item_toggle_size_allocate
 * %gtk_menu_item_set_right_justified
 * %gtk_menu_item_get_right_justified
 * %gtk_menu_item_set_accel_path
 * %gtk_menu_shell_get_type
 * %gtk_menu_shell_append
 * %gtk_menu_shell_prepend
 * %gtk_menu_shell_insert
 * %gtk_menu_shell_deactivate
 * %gtk_menu_shell_select_item
 * %gtk_menu_shell_deselect
 * %gtk_menu_shell_activate_item
 * %gtk_menu_shell_select_first
 * %gtk_message_dialog_get_type
 * %gtk_misc_get_type
 * %gtk_misc_set_alignment
 * %gtk_misc_set_padding
 * %gtk_notebook_get_type
 * %gtk_notebook_new
 * %gtk_notebook_append_page
 * %gtk_notebook_append_page_menu
 * %gtk_notebook_prepend_page
 * %gtk_notebook_prepend_page_menu
 * %gtk_notebook_insert_page
 * %gtk_notebook_insert_page_menu
 * %gtk_notebook_remove_page
 * %gtk_notebook_get_current_page
 * %gtk_notebook_get_nth_page
 * %gtk_notebook_get_n_pages
 * %gtk_notebook_page_num
 * %gtk_notebook_set_current_page
 * %gtk_notebook_next_page
 * %gtk_notebook_prev_page
 * %gtk_notebook_set_show_border
 * %gtk_notebook_get_show_border
 * %gtk_notebook_set_show_tabs
 * %gtk_notebook_get_show_tabs
 * %gtk_notebook_set_tab_pos
 * %gtk_notebook_get_tab_pos
 * %gtk_notebook_set_scrollable
 * %gtk_notebook_get_scrollable
 * %gtk_notebook_popup_enable
 * %gtk_notebook_popup_disable
 * %gtk_notebook_get_tab_label
 * %gtk_notebook_set_tab_label
 * %gtk_notebook_set_tab_label_text
 * %gtk_notebook_get_tab_label_text
 * %gtk_notebook_get_menu_label
 * %gtk_notebook_set_menu_label
 * %gtk_notebook_set_menu_label_text
 * %gtk_notebook_get_menu_label_text
 * %gtk_notebook_set_tab_label_packing
 * %gtk_notebook_reorder_child
 * %gtk_option_menu_get_type
 * %gtk_option_menu_new
 * %gtk_option_menu_get_menu
 * %gtk_option_menu_set_menu
 * %gtk_option_menu_remove_menu
 * %gtk_option_menu_get_history
 * %gtk_option_menu_set_history
 * %gtk_paned_get_type
 * %gtk_paned_add1
 * %gtk_paned_add2
 * %gtk_paned_pack1
 * %gtk_paned_pack2
 * %gtk_paned_get_position
 * %gtk_paned_set_position
 * %gtk_paned_compute_position
 * %gtk_progress_bar_get_type
 * %gtk_progress_bar_new
 * %gtk_progress_bar_pulse
 * %gtk_progress_bar_set_text
 * %gtk_progress_bar_set_fraction
 * %gtk_progress_bar_set_pulse_step
 * %gtk_progress_bar_set_orientation
 * %gtk_progress_bar_get_text
 * %gtk_progress_bar_get_fraction
 * %gtk_progress_bar_get_pulse_step
 * %gtk_progress_bar_get_orientation
 * %gtk_radio_button_get_type
 * %gtk_radio_button_new_from_widget
 * %gtk_radio_button_new_with_label_from_widget
 * %gtk_radio_button_new_with_mnemonic_from_widget
 * %gtk_radio_menu_item_get_type
 * %gtk_range_get_type
 * %gtk_range_set_update_policy
 * %gtk_range_get_update_policy
 * %gtk_range_set_adjustment
 * %gtk_range_get_adjustment
 * %gtk_range_set_inverted
 * %gtk_range_get_inverted
 * %gtk_range_set_increments
 * %gtk_range_set_range
 * %gtk_range_set_value
 * %gtk_range_get_value
 * %gtk_scale_get_type
 * %gtk_scale_set_digits
 * %gtk_scale_get_digits
 * %gtk_scale_set_draw_value
 * %gtk_scale_get_draw_value
 * %gtk_scale_set_value_pos
 * %gtk_scale_get_value_pos
 * %gtk_scrollbar_get_type
 * %gtk_scrolled_window_get_type
 * %gtk_scrolled_window_new
 * %gtk_scrolled_window_set_hadjustment
 * %gtk_scrolled_window_set_vadjustment
 * %gtk_scrolled_window_get_hadjustment
 * %gtk_scrolled_window_get_vadjustment
 * %gtk_scrolled_window_set_policy
 * %gtk_scrolled_window_get_policy
 * %gtk_scrolled_window_set_placement
 * %gtk_scrolled_window_get_placement
 * %gtk_scrolled_window_set_shadow_type
 * %gtk_scrolled_window_get_shadow_type
 * %gtk_scrolled_window_add_with_viewport
 * %gtk_separator_get_type
 * %gtk_separator_menu_item_get_type
 * %gtk_separator_menu_item_new
 * %gtk_settings_get_type
 * %gtk_settings_get_default
 * %gtk_settings_get_for_screen
 * %gtk_settings_install_property
 * %gtk_settings_set_string_property
 * %gtk_settings_set_long_property
 * %gtk_settings_set_double_property
 * %gtk_size_group_get_type
 * %gtk_size_group_new
 * %gtk_size_group_set_mode
 * %gtk_size_group_get_mode
 * %gtk_size_group_add_widget
 * %gtk_size_group_remove_widget
 * %gtk_spin_button_get_type
 * %gtk_spin_button_configure
 * %gtk_spin_button_new
 * %gtk_spin_button_new_with_range
 * %gtk_spin_button_set_adjustment
 * %gtk_spin_button_get_adjustment
 * %gtk_spin_button_set_digits
 * %gtk_spin_button_get_digits
 * %gtk_spin_button_set_increments
 * %gtk_spin_button_set_range
 * %gtk_spin_button_get_value
 * %gtk_spin_button_get_value_as_int
 * %gtk_spin_button_set_value
 * %gtk_spin_button_set_update_policy
 * %gtk_spin_button_get_update_policy
 * %gtk_spin_button_set_numeric
 * %gtk_spin_button_get_numeric
 * %gtk_spin_button_spin
 * %gtk_spin_button_set_wrap
 * %gtk_spin_button_get_wrap
 * %gtk_spin_button_set_snap_to_ticks
 * %gtk_spin_button_get_snap_to_ticks
 * %gtk_spin_button_update
 * %gtk_statusbar_get_type
 * %gtk_statusbar_new
 * %gtk_statusbar_get_context_id
 * %gtk_statusbar_push
 * %gtk_statusbar_pop
 * %gtk_statusbar_remove
 * %gtk_statusbar_set_has_resize_grip
 * %gtk_statusbar_get_has_resize_grip
 * %gtk_table_get_type
 * %gtk_table_new
 * %gtk_table_resize
 * %gtk_table_attach
 * %gtk_table_attach_defaults
 * %gtk_table_set_row_spacing
 * %gtk_table_get_row_spacing
 * %gtk_table_set_col_spacing
 * %gtk_table_get_col_spacing
 * %gtk_table_set_row_spacings
 * %gtk_table_get_default_row_spacing
 * %gtk_table_set_col_spacings
 * %gtk_table_get_default_col_spacing
 * %gtk_table_set_homogeneous
 * %gtk_table_get_homogeneous
 * %gtk_tearoff_menu_item_get_type
 * %gtk_tearoff_menu_item_new
 * %gtk_text_buffer_get_type
 * %gtk_text_buffer_new
 * %gtk_text_buffer_get_line_count
 * %gtk_text_buffer_get_char_count
 * %gtk_text_buffer_get_tag_table
 * %gtk_text_buffer_set_text
 * %gtk_text_buffer_insert
 * %gtk_text_buffer_insert_at_cursor
 * %gtk_text_buffer_insert_interactive
 * %gtk_text_buffer_insert_interactive_at_cursor
 * %gtk_text_buffer_insert_range
 * %gtk_text_buffer_insert_range_interactive
 * %gtk_text_buffer_delete
 * %gtk_text_buffer_delete_interactive
 * %gtk_text_buffer_get_text
 * %gtk_text_buffer_get_slice
 * %gtk_text_buffer_insert_pixbuf
 * %gtk_text_buffer_insert_child_anchor
 * %gtk_text_buffer_create_child_anchor
 * %gtk_text_buffer_create_mark
 * %gtk_text_buffer_move_mark
 * %gtk_text_buffer_delete_mark
 * %gtk_text_buffer_get_mark
 * %gtk_text_buffer_move_mark_by_name
 * %gtk_text_buffer_delete_mark_by_name
 * %gtk_text_buffer_get_insert
 * %gtk_text_buffer_get_selection_bound
 * %gtk_text_buffer_place_cursor
 * %gtk_text_buffer_apply_tag
 * %gtk_text_buffer_remove_tag
 * %gtk_text_buffer_apply_tag_by_name
 * %gtk_text_buffer_remove_tag_by_name
 * %gtk_text_buffer_remove_all_tags
 * %gtk_text_buffer_get_iter_at_line_offset
 * %gtk_text_buffer_get_iter_at_line_index
 * %gtk_text_buffer_get_iter_at_offset
 * %gtk_text_buffer_get_iter_at_line
 * %gtk_text_buffer_get_start_iter
 * %gtk_text_buffer_get_end_iter
 * %gtk_text_buffer_get_bounds
 * %gtk_text_buffer_get_iter_at_mark
 * %gtk_text_buffer_get_iter_at_child_anchor
 * %gtk_text_buffer_get_modified
 * %gtk_text_buffer_set_modified
 * %gtk_text_buffer_add_selection_clipboard
 * %gtk_text_buffer_remove_selection_clipboard
 * %gtk_text_buffer_cut_clipboard
 * %gtk_text_buffer_copy_clipboard
 * %gtk_text_buffer_paste_clipboard
 * %gtk_text_buffer_get_selection_bounds
 * %gtk_text_buffer_delete_selection
 * %gtk_text_buffer_begin_user_action
 * %gtk_text_buffer_end_user_action
 * %gtk_text_child_anchor_get_type
 * %gtk_text_child_anchor_new
 * %gtk_text_child_anchor_get_deleted
 * %gtk_text_iter_get_buffer
 * %gtk_text_iter_copy
 * %gtk_text_iter_free
 * %gtk_text_iter_get_type
 * %gtk_text_iter_get_offset
 * %gtk_text_iter_get_line
 * %gtk_text_iter_get_line_offset
 * %gtk_text_iter_get_line_index
 * %gtk_text_iter_get_visible_line_offset
 * %gtk_text_iter_get_visible_line_index
 * %gtk_text_iter_get_char
 * %gtk_text_iter_get_slice
 * %gtk_text_iter_get_text
 * %gtk_text_iter_get_visible_slice
 * %gtk_text_iter_get_visible_text
 * %gtk_text_iter_get_pixbuf
 * %gtk_text_iter_get_child_anchor
 * %gtk_text_iter_begins_tag
 * %gtk_text_iter_ends_tag
 * %gtk_text_iter_toggles_tag
 * %gtk_text_iter_has_tag
 * %gtk_text_iter_editable
 * %gtk_text_iter_can_insert
 * %gtk_text_iter_starts_word
 * %gtk_text_iter_ends_word
 * %gtk_text_iter_inside_word
 * %gtk_text_iter_starts_sentence
 * %gtk_text_iter_ends_sentence
 * %gtk_text_iter_inside_sentence
 * %gtk_text_iter_starts_line
 * %gtk_text_iter_ends_line
 * %gtk_text_iter_is_cursor_position
 * %gtk_text_iter_get_chars_in_line
 * %gtk_text_iter_get_bytes_in_line
 * %gtk_text_iter_get_attributes
 * %gtk_text_iter_get_language
 * %gtk_text_iter_is_end
 * %gtk_text_iter_is_start
 * %gtk_text_iter_forward_char
 * %gtk_text_iter_backward_char
 * %gtk_text_iter_forward_chars
 * %gtk_text_iter_backward_chars
 * %gtk_text_iter_forward_line
 * %gtk_text_iter_backward_line
 * %gtk_text_iter_forward_lines
 * %gtk_text_iter_backward_lines
 * %gtk_text_iter_forward_word_end
 * %gtk_text_iter_backward_word_start
 * %gtk_text_iter_forward_word_ends
 * %gtk_text_iter_backward_word_starts
 * %gtk_text_iter_forward_sentence_end
 * %gtk_text_iter_backward_sentence_start
 * %gtk_text_iter_forward_sentence_ends
 * %gtk_text_iter_backward_sentence_starts
 * %gtk_text_iter_forward_cursor_position
 * %gtk_text_iter_backward_cursor_position
 * %gtk_text_iter_forward_cursor_positions
 * %gtk_text_iter_backward_cursor_positions
 * %gtk_text_iter_set_offset
 * %gtk_text_iter_set_line
 * %gtk_text_iter_set_line_offset
 * %gtk_text_iter_set_line_index
 * %gtk_text_iter_forward_to_end
 * %gtk_text_iter_forward_to_line_end
 * %gtk_text_iter_set_visible_line_offset
 * %gtk_text_iter_set_visible_line_index
 * %gtk_text_iter_forward_to_tag_toggle
 * %gtk_text_iter_backward_to_tag_toggle
 * %gtk_text_iter_forward_search
 * %gtk_text_iter_backward_search
 * %gtk_text_iter_equal
 * %gtk_text_iter_compare
 * %gtk_text_iter_in_range
 * %gtk_text_iter_order
 * %gtk_text_iter_new
 * %gtk_text_mark_get_type
 * %gtk_text_mark_set_visible
 * %gtk_text_mark_get_visible
 * %gtk_text_mark_get_name
 * %gtk_text_mark_get_deleted
 * %gtk_text_mark_get_buffer
 * %gtk_text_mark_get_left_gravity
 * %gtk_text_attributes_new
 * %gtk_text_attributes_copy
 * %gtk_text_attributes_copy_values
 * %gtk_text_attributes_unref
 * %gtk_text_attributes_ref
 * %gtk_text_attributes_get_type
 * %gtk_text_tag_get_type
 * %gtk_text_tag_new
 * %gtk_text_tag_get_priority
 * %gtk_text_tag_set_priority
 * %gtk_text_tag_event
 * %gtk_text_tag_table_get_type
 * %gtk_text_tag_table_new
 * %gtk_text_tag_table_add
 * %gtk_text_tag_table_remove
 * %gtk_text_tag_table_lookup
 * %gtk_text_tag_table_get_size
 * %gtk_text_view_get_type
 * %gtk_text_view_new
 * %gtk_text_view_new_with_buffer
 * %gtk_text_view_set_buffer
 * %gtk_text_view_get_buffer
 * %gtk_text_view_scroll_to_iter
 * %gtk_text_view_scroll_to_mark
 * %gtk_text_view_scroll_mark_onscreen
 * %gtk_text_view_move_mark_onscreen
 * %gtk_text_view_place_cursor_onscreen
 * %gtk_text_view_get_visible_rect
 * %gtk_text_view_set_cursor_visible
 * %gtk_text_view_get_cursor_visible
 * %gtk_text_view_get_iter_location
 * %gtk_text_view_get_iter_at_location
 * %gtk_text_view_get_window
 * %gtk_text_view_get_window_type
 * %gtk_text_view_set_border_window_size
 * %gtk_text_view_get_border_window_size
 * %gtk_text_view_forward_display_line
 * %gtk_text_view_backward_display_line
 * %gtk_text_view_forward_display_line_end
 * %gtk_text_view_backward_display_line_start
 * %gtk_text_view_starts_display_line
 * %gtk_text_view_move_visually
 * %gtk_text_view_add_child_at_anchor
 * %gtk_text_view_add_child_in_window
 * %gtk_text_view_move_child
 * %gtk_text_view_set_wrap_mode
 * %gtk_text_view_get_wrap_mode
 * %gtk_text_view_set_editable
 * %gtk_text_view_get_editable
 * %gtk_text_view_set_pixels_above_lines
 * %gtk_text_view_get_pixels_above_lines
 * %gtk_text_view_set_pixels_below_lines
 * %gtk_text_view_get_pixels_below_lines
 * %gtk_text_view_set_pixels_inside_wrap
 * %gtk_text_view_get_pixels_inside_wrap
 * %gtk_text_view_set_justification
 * %gtk_text_view_get_justification
 * %gtk_text_view_set_left_margin
 * %gtk_text_view_get_left_margin
 * %gtk_text_view_set_right_margin
 * %gtk_text_view_get_right_margin
 * %gtk_text_view_set_indent
 * %gtk_text_view_get_indent
 * %gtk_text_view_set_tabs
 * %gtk_text_view_get_tabs
 * %gtk_text_view_get_default_attributes
 * %gtk_toggle_button_get_type
 * %gtk_toggle_button_new
 * %gtk_toggle_button_new_with_label
 * %gtk_toggle_button_new_with_mnemonic
 * %gtk_toggle_button_set_mode
 * %gtk_toggle_button_get_mode
 * %gtk_toggle_button_set_active
 * %gtk_toggle_button_get_active
 * %gtk_toggle_button_toggled
 * %gtk_toggle_button_set_inconsistent
 * %gtk_toggle_button_get_inconsistent
 * %gtk_toolbar_get_type
 * %gtk_toolbar_new
 * %gtk_toolbar_append_space
 * %gtk_toolbar_prepend_space
 * %gtk_toolbar_insert_space
 * %gtk_toolbar_remove_space
 * %gtk_toolbar_append_widget
 * %gtk_toolbar_prepend_widget
 * %gtk_toolbar_insert_widget
 * %gtk_toolbar_set_orientation
 * %gtk_toolbar_set_style
 * %gtk_toolbar_set_icon_size
 * %gtk_toolbar_set_tooltips
 * %gtk_toolbar_unset_style
 * %gtk_toolbar_unset_icon_size
 * %gtk_toolbar_get_orientation
 * %gtk_toolbar_get_style
 * %gtk_toolbar_get_icon_size
 * %gtk_toolbar_get_tooltips
 * %gtk_tooltips_get_type
 * %gtk_tooltips_new
 * %gtk_tooltips_enable
 * %gtk_tooltips_disable
 * %gtk_tooltips_set_tip
 * %gtk_tooltips_force_window
 * %gtk_tree_drag_source_get_type
 * %gtk_tree_drag_source_row_draggable
 * %gtk_tree_drag_source_drag_data_delete
 * %gtk_tree_drag_source_drag_data_get
 * %gtk_tree_drag_dest_get_type
 * %gtk_tree_drag_dest_drag_data_received
 * %gtk_tree_drag_dest_row_drop_possible
 * %gtk_tree_row_reference_get_type
 * %gtk_tree_row_reference_new
 * %gtk_tree_row_reference_new_proxy
 * %gtk_tree_row_reference_get_path
 * %gtk_tree_row_reference_valid
 * %gtk_tree_row_reference_copy
 * %gtk_tree_row_reference_free
 * %gtk_tree_row_reference_inserted
 * %gtk_tree_row_reference_deleted
 * %gtk_tree_model_get_type
 * %gtk_tree_model_get_flags
 * %gtk_tree_model_get_n_columns
 * %gtk_tree_model_get_column_type
 * %gtk_tree_model_get_iter
 * %gtk_tree_model_get_iter_from_string
 * %gtk_tree_model_get_string_from_iter
 * %gtk_tree_model_get_iter_first
 * %gtk_tree_model_get_path
 * %gtk_tree_model_iter_next
 * %gtk_tree_model_iter_children
 * %gtk_tree_model_iter_has_child
 * %gtk_tree_model_iter_n_children
 * %gtk_tree_model_iter_nth_child
 * %gtk_tree_model_iter_parent
 * %gtk_tree_model_ref_node
 * %gtk_tree_model_unref_node
 * %gtk_tree_model_row_changed
 * %gtk_tree_model_row_inserted
 * %gtk_tree_model_row_has_child_toggled
 * %gtk_tree_model_row_deleted
 * %gtk_tree_path_new
 * %gtk_tree_path_new_from_string
 * %gtk_tree_path_to_string
 * %gtk_tree_path_new_first
 * %gtk_tree_path_append_index
 * %gtk_tree_path_prepend_index
 * %gtk_tree_path_get_depth
 * %gtk_tree_path_free
 * %gtk_tree_path_copy
 * %gtk_tree_path_get_type
 * %gtk_tree_path_compare
 * %gtk_tree_path_next
 * %gtk_tree_path_prev
 * %gtk_tree_path_up
 * %gtk_tree_path_down
 * %gtk_tree_path_is_ancestor
 * %gtk_tree_path_is_descendant
 * %gtk_tree_iter_copy
 * %gtk_tree_iter_free
 * %gtk_tree_iter_get_type
 * %gtk_tree_iter_new
 * %gtk_tree_model_sort_get_type
 * %gtk_tree_model_sort_new_with_model
 * %gtk_tree_model_sort_get_model
 * %gtk_tree_model_sort_convert_child_path_to_path
 * %gtk_tree_model_sort_convert_child_iter_to_iter
 * %gtk_tree_model_sort_convert_path_to_child_path
 * %gtk_tree_model_sort_convert_iter_to_child_iter
 * %gtk_tree_model_sort_reset_default_sort_func
 * %gtk_tree_model_sort_clear_cache
 * %gtk_tree_model_sort_iter_is_valid
 * %gtk_tree_selection_get_type
 * %gtk_tree_selection_set_mode
 * %gtk_tree_selection_get_mode
 * %gtk_tree_selection_get_tree_view
 * %gtk_tree_selection_count_selected_rows
 * %gtk_tree_selection_select_path
 * %gtk_tree_selection_unselect_path
 * %gtk_tree_selection_select_iter
 * %gtk_tree_selection_unselect_iter
 * %gtk_tree_selection_path_is_selected
 * %gtk_tree_selection_iter_is_selected
 * %gtk_tree_selection_select_all
 * %gtk_tree_selection_unselect_all
 * %gtk_tree_selection_select_range
 * %gtk_tree_selection_unselect_range
 * %gtk_tree_sortable_get_type
 * %gtk_tree_sortable_sort_column_changed
 * %gtk_tree_sortable_set_sort_column_id
 * %gtk_tree_sortable_has_default_sort_func
 * %gtk_tree_store_get_type
 * %gtk_tree_store_remove
 * %gtk_tree_store_insert
 * %gtk_tree_store_insert_before
 * %gtk_tree_store_insert_after
 * %gtk_tree_store_prepend
 * %gtk_tree_store_append
 * %gtk_tree_store_is_ancestor
 * %gtk_tree_store_iter_depth
 * %gtk_tree_store_clear
 * %gtk_tree_store_iter_is_valid
 * %gtk_tree_store_swap
 * %gtk_tree_store_move_before
 * %gtk_tree_store_move_after
 * %gtk_tree_view_get_type
 * %gtk_tree_view_new
 * %gtk_tree_view_new_with_model
 * %gtk_tree_view_get_model
 * %gtk_tree_view_set_model
 * %gtk_tree_view_get_selection
 * %gtk_tree_view_get_hadjustment
 * %gtk_tree_view_set_hadjustment
 * %gtk_tree_view_get_vadjustment
 * %gtk_tree_view_set_vadjustment
 * %gtk_tree_view_get_headers_visible
 * %gtk_tree_view_set_headers_visible
 * %gtk_tree_view_columns_autosize
 * %gtk_tree_view_set_headers_clickable
 * %gtk_tree_view_set_rules_hint
 * %gtk_tree_view_get_rules_hint
 * %gtk_tree_view_append_column
 * %gtk_tree_view_remove_column
 * %gtk_tree_view_insert_column
 * %gtk_tree_view_get_column
 * %gtk_tree_view_move_column_after
 * %gtk_tree_view_set_expander_column
 * %gtk_tree_view_get_expander_column
 * %gtk_tree_view_scroll_to_point
 * %gtk_tree_view_scroll_to_cell
 * %gtk_tree_view_row_activated
 * %gtk_tree_view_expand_all
 * %gtk_tree_view_collapse_all
 * %gtk_tree_view_expand_to_path
 * %gtk_tree_view_expand_row
 * %gtk_tree_view_collapse_row
 * %gtk_tree_view_row_expanded
 * %gtk_tree_view_set_reorderable
 * %gtk_tree_view_get_reorderable
 * %gtk_tree_view_set_cursor
 * %gtk_tree_view_set_cursor_on_cell
 * %gtk_tree_view_get_bin_window
 * %gtk_tree_view_get_cell_area
 * %gtk_tree_view_get_background_area
 * %gtk_tree_view_get_visible_rect
 * %gtk_tree_view_unset_rows_drag_source
 * %gtk_tree_view_unset_rows_drag_dest
 * %gtk_tree_view_set_drag_dest_row
 * %gtk_tree_view_create_row_drag_icon
 * %gtk_tree_view_set_enable_search
 * %gtk_tree_view_get_enable_search
 * %gtk_tree_view_get_search_column
 * %gtk_tree_view_set_search_column
 * %gtk_tree_view_column_get_type
 * %gtk_tree_view_column_new
 * %gtk_tree_view_column_pack_start
 * %gtk_tree_view_column_pack_end
 * %gtk_tree_view_column_clear
 * %gtk_tree_view_column_add_attribute
 * %gtk_tree_view_column_clear_attributes
 * %gtk_tree_view_column_set_spacing
 * %gtk_tree_view_column_get_spacing
 * %gtk_tree_view_column_set_visible
 * %gtk_tree_view_column_get_visible
 * %gtk_tree_view_column_set_resizable
 * %gtk_tree_view_column_get_resizable
 * %gtk_tree_view_column_set_sizing
 * %gtk_tree_view_column_get_sizing
 * %gtk_tree_view_column_get_width
 * %gtk_tree_view_column_get_fixed_width
 * %gtk_tree_view_column_set_fixed_width
 * %gtk_tree_view_column_set_min_width
 * %gtk_tree_view_column_get_min_width
 * %gtk_tree_view_column_set_max_width
 * %gtk_tree_view_column_get_max_width
 * %gtk_tree_view_column_clicked
 * %gtk_tree_view_column_set_title
 * %gtk_tree_view_column_get_title
 * %gtk_tree_view_column_set_clickable
 * %gtk_tree_view_column_get_clickable
 * %gtk_tree_view_column_set_widget
 * %gtk_tree_view_column_get_widget
 * %gtk_tree_view_column_set_alignment
 * %gtk_tree_view_column_get_alignment
 * %gtk_tree_view_column_set_reorderable
 * %gtk_tree_view_column_get_reorderable
 * %gtk_tree_view_column_set_sort_column_id
 * %gtk_tree_view_column_get_sort_column_id
 * %gtk_tree_view_column_set_sort_indicator
 * %gtk_tree_view_column_get_sort_indicator
 * %gtk_tree_view_column_set_sort_order
 * %gtk_tree_view_column_get_sort_order
 * %gtk_tree_view_column_cell_set_cell_data
 * %gtk_tree_view_column_cell_is_visible
 * %gtk_tree_view_column_focus_cell
 * %gtk_vbutton_box_get_type
 * %gtk_vbutton_box_new
 * %gtk_vbox_get_type
 * %gtk_vbox_new
 * %gtk_viewport_get_type
 * %gtk_viewport_new
 * %gtk_viewport_get_hadjustment
 * %gtk_viewport_get_vadjustment
 * %gtk_viewport_set_hadjustment
 * %gtk_viewport_set_vadjustment
 * %gtk_viewport_set_shadow_type
 * %gtk_viewport_get_shadow_type
 * %gtk_vpaned_get_type
 * %gtk_vpaned_new
 * %gtk_vscale_get_type
 * %gtk_vscale_new
 * %gtk_vscale_new_with_range
 * %gtk_vscrollbar_get_type
 * %gtk_vscrollbar_new
 * %gtk_vseparator_get_type
 * %gtk_vseparator_new
 * %gtk_requisition_get_type
 * %gtk_requisition_copy
 * %gtk_requisition_free
 * %gtk_widget_get_type
 * %gtk_widget_ref
 * %gtk_widget_unref
 * %gtk_widget_destroy
 * %gtk_widget_unparent
 * %gtk_widget_show
 * %gtk_widget_show_now
 * %gtk_widget_hide
 * %gtk_widget_show_all
 * %gtk_widget_hide_all
 * %gtk_widget_map
 * %gtk_widget_unmap
 * %gtk_widget_realize
 * %gtk_widget_unrealize
 * %gtk_widget_queue_draw
 * %gtk_widget_queue_draw_area
 * %gtk_widget_queue_resize
 * %gtk_widget_size_request
 * %gtk_widget_get_child_requisition
 * %gtk_widget_add_accelerator
 * %gtk_widget_remove_accelerator
 * %gtk_widget_set_accel_path
 * %gtk_widget_mnemonic_activate
 * %gtk_widget_event
 * %gtk_widget_send_expose
 * %gtk_widget_activate
 * %gtk_widget_set_scroll_adjustments
 * %gtk_widget_reparent
 * %gtk_widget_intersect
 * %gtk_widget_freeze_child_notify
 * %gtk_widget_child_notify
 * %gtk_widget_thaw_child_notify
 * %gtk_widget_is_focus
 * %gtk_widget_grab_focus
 * %gtk_widget_grab_default
 * %gtk_widget_set_name
 * %gtk_widget_get_name
 * %gtk_widget_set_state
 * %gtk_widget_set_sensitive
 * %gtk_widget_set_app_paintable
 * %gtk_widget_set_double_buffered
 * %gtk_widget_set_redraw_on_allocate
 * %gtk_widget_set_parent
 * %gtk_widget_set_parent_window
 * %gtk_widget_set_child_visible
 * %gtk_widget_get_child_visible
 * %gtk_widget_get_parent
 * %gtk_widget_get_parent_window
 * %gtk_widget_child_focus
 * %gtk_widget_set_size_request
 * %gtk_widget_set_events
 * %gtk_widget_add_events
 * %gtk_widget_set_extension_events
 * %gtk_widget_get_extension_events
 * %gtk_widget_get_toplevel
 * %gtk_widget_get_ancestor
 * %gtk_widget_get_colormap
 * %gtk_widget_get_visual
 * %gtk_widget_get_screen
 * %gtk_widget_has_screen
 * %gtk_widget_get_display
 * %gtk_widget_get_root_window
 * %gtk_widget_get_settings
 * %gtk_widget_get_accessible
 * %gtk_widget_set_colormap
 * %gtk_widget_get_events
 * %gtk_widget_is_ancestor
 * %gtk_widget_hide_on_delete
 * %gtk_widget_set_style
 * %gtk_widget_ensure_style
 * %gtk_widget_get_style
 * %gtk_widget_modify_style
 * %gtk_widget_get_modifier_style
 * %gtk_widget_modify_fg
 * %gtk_widget_modify_bg
 * %gtk_widget_modify_text
 * %gtk_widget_modify_base
 * %gtk_widget_modify_font
 * %gtk_widget_create_pango_context
 * %gtk_widget_get_pango_context
 * %gtk_widget_create_pango_layout
 * %gtk_widget_render_icon
 * %gtk_widget_set_composite_name
 * %gtk_widget_get_composite_name
 * %gtk_widget_reset_rc_styles
 * %gtk_widget_push_colormap
 * %gtk_widget_push_composite_child
 * %gtk_widget_pop_composite_child
 * %gtk_widget_pop_colormap
 * %gtk_widget_style_get_property
 * %gtk_widget_set_default_colormap
 * %gtk_widget_get_default_style
 * %gtk_widget_get_default_colormap
 * %gtk_widget_get_default_visual
 * %gtk_widget_set_direction
 * %gtk_widget_get_direction
 * %gtk_widget_set_default_direction
 * %gtk_widget_get_default_direction
 * %gtk_widget_shape_combine_mask
 * %gtk_widget_reset_shapes
 * %gtk_window_group_get_type
 * %gtk_window_group_new
 * %gtk_window_group_add_window
 * %gtk_window_group_remove_window
 * %gtk_window_get_type
 * %gtk_window_new
 * %gtk_window_set_title
 * %gtk_window_get_title
 * %gtk_window_set_wmclass
 * %gtk_window_set_role
 * %gtk_window_get_role
 * %gtk_window_add_accel_group
 * %gtk_window_remove_accel_group
 * %gtk_window_set_position
 * %gtk_window_activate_focus
 * %gtk_window_set_focus
 * %gtk_window_get_focus
 * %gtk_window_set_default
 * %gtk_window_activate_default
 * %gtk_window_set_transient_for
 * %gtk_window_get_transient_for
 * %gtk_window_set_type_hint
 * %gtk_window_get_type_hint
 * %gtk_window_set_skip_taskbar_hint
 * %gtk_window_get_skip_taskbar_hint
 * %gtk_window_set_skip_pager_hint
 * %gtk_window_get_skip_pager_hint
 * %gtk_window_set_destroy_with_parent
 * %gtk_window_get_destroy_with_parent
 * %gtk_window_set_resizable
 * %gtk_window_get_resizable
 * %gtk_window_set_gravity
 * %gtk_window_get_gravity
 * %gtk_window_set_screen
 * %gtk_window_get_screen
 * %gtk_window_set_has_frame
 * %gtk_window_get_has_frame
 * %gtk_window_set_frame_dimensions
 * %gtk_window_set_decorated
 * %gtk_window_get_decorated
 * %gtk_window_set_icon
 * %gtk_window_get_icon
 * %gtk_window_set_auto_startup_notification
 * %gtk_window_set_modal
 * %gtk_window_get_modal
 * %gtk_window_add_mnemonic
 * %gtk_window_remove_mnemonic
 * %gtk_window_mnemonic_activate
 * %gtk_window_set_mnemonic_modifier
 * %gtk_window_get_mnemonic_modifier
 * %gtk_window_present
 * %gtk_window_iconify
 * %gtk_window_deiconify
 * %gtk_window_stick
 * %gtk_window_unstick
 * %gtk_window_maximize
 * %gtk_window_unmaximize
 * %gtk_window_fullscreen
 * %gtk_window_unfullscreen
 * %gtk_window_begin_resize_drag
 * %gtk_window_begin_move_drag
 * %gtk_window_set_default_size
 * %gtk_window_resize
 * %gtk_window_move
 * %gtk_window_parse_geometry
 * %gtk_window_reshow_with_initial_size
 * %gtk_window_remove_embedded_xid
 * %gtk_window_add_embedded_xid
 * %mod_gtk_stock_add
 *}
 *
 * Manually handled functions:
 *{
 * &{gtk::editable insert_text} (%gtk_editable_insert_text)
 * &{gtk::list_store new} (%gtk_list_store_newv)
 * &{gtk::list_store set} (%gtk_list_store_set_value)
 * &{gtk::menu popup} (%gtk_menu_popup)
 * &{gtk::message_dialog new} (%gtk_message_dialog_new)
 * &{gtk::toolbar insert_stock} (%gtk_toolbar_insert_stock)
 * &{gtk::tree_model get} (%gtk_tree_model_get_value)
 * &{gtk::tree_selection get_selected} (%gtk_tree_selection_get_selected)
 * &{gtk::tree_store new} (%gtk_tree_store_newv)
 * &{gtk::tree_store set} (%gtk_tree_store_set_value)
 *}
 * 
 * Unimplmented stubs:
 *{
 * gtk::accel_group find (%gtk_accel_group_find)
 * gtk::accel_group query (%gtk_accel_group_query)
 * gtk::accelerator parse (%gtk_accelerator_parse)
 * gtk::accel_map lookup_entry (%gtk_accel_map_lookup_entry)
 * gtk::accel_map foreach (%gtk_accel_map_foreach)
 * gtk::accel_map load_scanner (%gtk_accel_map_load_scanner)
 * gtk::accel_map foreach_unfiltered (%gtk_accel_map_foreach_unfiltered)
 * gtk::box query_child_packing (%gtk_box_query_child_packing)
 * gtk::calendar get_date (%gtk_calendar_get_date)
 * gtk::cell_renderer get_size (%gtk_cell_renderer_get_size)
 * gtk::cell_renderer get_fixed_size (%gtk_cell_renderer_get_fixed_size)
 * gtk::clipboard get_for_display (%gtk_clipboard_get_for_display)
 * gtk::clipboard get (%gtk_clipboard_get)
 * gtk::clipboard set_with_data (%gtk_clipboard_set_with_data)
 * gtk::clipboard set_with_owner (%gtk_clipboard_set_with_owner)
 * gtk::clipboard request_contents (%gtk_clipboard_request_contents)
 * gtk::clipboard request_text (%gtk_clipboard_request_text)
 * gtk::clipboard wait_for_contents (%gtk_clipboard_wait_for_contents)
 * gtk::color_selection palette_from_string (%gtk_color_selection_palette_from_string)
 * gtk::color_selection set_change_palette_hook (%gtk_color_selection_set_change_palette_hook)
 * gtk::color_selection set_change_palette_with_screen_hook (%gtk_color_selection_set_change_palette_with_screen_hook)
 * gtk::combo set_popdown_strings (%gtk_combo_set_popdown_strings)
 * gtk::container foreach (%gtk_container_foreach)
 * gtk::container get_children (%gtk_container_get_children)
 * gtk::container propagate_expose (%gtk_container_propagate_expose)
 * gtk::container set_focus_chain (%gtk_container_set_focus_chain)
 * gtk::container get_focus_chain (%gtk_container_get_focus_chain)
 * gtk::container class_install_child_property (%gtk_container_class_install_child_property)
 * gtk::container class_find_child_property (%gtk_container_class_find_child_property)
 * gtk::container class_list_child_properties (%gtk_container_class_list_child_properties)
 * gtk::container add_with_properties (%gtk_container_add_with_properties)
 * gtk::container child_set (%gtk_container_child_set)
 * gtk::container child_get (%gtk_container_child_get)
 * gtk::container child_set_valist (%gtk_container_child_set_valist)
 * gtk::container child_get_valist (%gtk_container_child_get_valist)
 * gtk::container forall (%gtk_container_forall)
 * gtk::dialog new_with_buttons (%gtk_dialog_new_with_buttons)
 * gtk::dialog add_buttons (%gtk_dialog_add_buttons)
 * gtk::drag get_data (%gtk_drag_get_data)
 * gtk::drag dest_set (%gtk_drag_dest_set)
 * gtk::drag dest_find_target (%gtk_drag_dest_find_target)
 * gtk::drag dest_get_target_list (%gtk_drag_dest_get_target_list)
 * gtk::drag dest_set_target_list (%gtk_drag_dest_set_target_list)
 * gtk::drag source_set (%gtk_drag_source_set)
 * gtk::drag begin (%gtk_drag_begin)
 * gtk::editable get_selection_bounds (%gtk_editable_get_selection_bounds)
 * gtk::entry get_layout_offsets (%gtk_entry_get_layout_offsets)
 * gtk::file_selection get_selections (%gtk_file_selection_get_selections)
 * gtk::frame get_label_align (%gtk_frame_get_label_align)
 * gtk::gc get (%gtk_gc_get)
 * gtk::icon_set get_sizes (%gtk_icon_set_get_sizes)
 * gtk::image get_pixmap (%gtk_image_get_pixmap)
 * gtk::image get_image (%gtk_image_get_image)
 * gtk::image get_stock (%gtk_image_get_stock)
 * gtk::image get_icon_set (%gtk_image_get_icon_set)
 * gtk::item_factory create_item (%gtk_item_factory_create_item)
 * gtk::item_factory create_items (%gtk_item_factory_create_items)
 * gtk::item_factory delete_entry (%gtk_item_factory_delete_entry)
 * gtk::item_factory delete_entries (%gtk_item_factory_delete_entries)
 * gtk::item_factory popup_with_data (%gtk_item_factory_popup_with_data)
 * gtk::item_factory popup_data (%gtk_item_factory_popup_data)
 * gtk::item_factory popup_data_from_widget (%gtk_item_factory_popup_data_from_widget)
 * gtk::item_factory set_translate_func (%gtk_item_factory_set_translate_func)
 * gtk::item_factory create_items_ac (%gtk_item_factory_create_items_ac)
 * gtk::label get_selection_bounds (%gtk_label_get_selection_bounds)
 * gtk::label get_layout_offsets (%gtk_label_get_layout_offsets)
 * gtk::layout get_size (%gtk_layout_get_size)
 * gtk::list_store set_column_types (%gtk_list_store_set_column_types)
 * gtk::list_store set_valist (%gtk_list_store_set_valist)
 * gtk::list_store reorder (%gtk_list_store_reorder)
 * gtk::menu attach_to_widget (%gtk_menu_attach_to_widget)
 * gtk::menu_item toggle_size_request (%gtk_menu_item_toggle_size_request)
 * gtk::misc get_alignment (%gtk_misc_get_alignment)
 * gtk::misc get_padding (%gtk_misc_get_padding)
 * gtk::notebook query_tab_label_packing (%gtk_notebook_query_tab_label_packing)
 * gtk::radio_button new (%gtk_radio_button_new)
 * gtk::radio_button new_with_label (%gtk_radio_button_new_with_label)
 * gtk::radio_button new_with_mnemonic (%gtk_radio_button_new_with_mnemonic)
 * gtk::radio_button get_group (%gtk_radio_button_get_group)
 * gtk::radio_button set_group (%gtk_radio_button_set_group)
 * gtk::radio_menu_item new (%gtk_radio_menu_item_new)
 * gtk::radio_menu_item new_with_label (%gtk_radio_menu_item_new_with_label)
 * gtk::radio_menu_item new_with_mnemonic (%gtk_radio_menu_item_new_with_mnemonic)
 * gtk::radio_menu_item get_group (%gtk_radio_menu_item_get_group)
 * gtk::radio_menu_item set_group (%gtk_radio_menu_item_set_group)
 * gtk::settings install_property_parser (%gtk_settings_install_property_parser)
 * gtk::settings set_property_value (%gtk_settings_set_property_value)
 * gtk::spin_button get_increments (%gtk_spin_button_get_increments)
 * gtk::spin_button get_range (%gtk_spin_button_get_range)
 * gtk::text_buffer insert_with_tags (%gtk_text_buffer_insert_with_tags)
 * gtk::text_buffer insert_with_tags_by_name (%gtk_text_buffer_insert_with_tags_by_name)
 * gtk::text_buffer create_tag (%gtk_text_buffer_create_tag)
 * gtk::text_child_anchor get_widgets (%gtk_text_child_anchor_get_widgets)
 * gtk::text_iter get_marks (%gtk_text_iter_get_marks)
 * gtk::text_iter get_toggled_tags (%gtk_text_iter_get_toggled_tags)
 * gtk::text_iter get_tags (%gtk_text_iter_get_tags)
 * gtk::text_iter forward_find_char (%gtk_text_iter_forward_find_char)
 * gtk::text_iter backward_find_char (%gtk_text_iter_backward_find_char)
 * gtk::text_tag_table foreach (%gtk_text_tag_table_foreach)
 * gtk::text_view get_line_yrange (%gtk_text_view_get_line_yrange)
 * gtk::text_view get_line_at_y (%gtk_text_view_get_line_at_y)
 * gtk::text_view buffer_to_window_coords (%gtk_text_view_buffer_to_window_coords)
 * gtk::text_view window_to_buffer_coords (%gtk_text_view_window_to_buffer_coords)
 * gtk::toolbar append_item (%gtk_toolbar_append_item)
 * gtk::toolbar prepend_item (%gtk_toolbar_prepend_item)
 * gtk::toolbar insert_item (%gtk_toolbar_insert_item)
 * gtk::toolbar append_element (%gtk_toolbar_append_element)
 * gtk::toolbar prepend_element (%gtk_toolbar_prepend_element)
 * gtk::toolbar insert_element (%gtk_toolbar_insert_element)
 * gtk::tooltips data_get (%gtk_tooltips_data_get)
 * gtk::tree_row_reference reordered (%gtk_tree_row_reference_reordered)
 * gtk::tree_model get_valist (%gtk_tree_model_get_valist)
 * gtk::tree_model foreach (%gtk_tree_model_foreach)
 * gtk::tree_model rows_reordered (%gtk_tree_model_rows_reordered)
 * gtk::tree_path new_from_indices (%gtk_tree_path_new_from_indices)
 * gtk::tree_path get_indices (%gtk_tree_path_get_indices)
 * gtk::tree_selection set_select_function (%gtk_tree_selection_set_select_function)
 * gtk::tree_selection get_user_data (%gtk_tree_selection_get_user_data)
 * gtk::tree_selection get_selected_rows (%gtk_tree_selection_get_selected_rows)
 * gtk::tree_selection selected_foreach (%gtk_tree_selection_selected_foreach)
 * gtk::tree_sortable get_sort_column_id (%gtk_tree_sortable_get_sort_column_id)
 * gtk::tree_sortable set_sort_func (%gtk_tree_sortable_set_sort_func)
 * gtk::tree_sortable set_default_sort_func (%gtk_tree_sortable_set_default_sort_func)
 * gtk::tree_store set_column_types (%gtk_tree_store_set_column_types)
 * gtk::tree_store set_valist (%gtk_tree_store_set_valist)
 * gtk::tree_store reorder (%gtk_tree_store_reorder)
 * gtk::tree_view insert_column_with_attributes (%gtk_tree_view_insert_column_with_attributes)
 * gtk::tree_view insert_column_with_data_func (%gtk_tree_view_insert_column_with_data_func)
 * gtk::tree_view get_columns (%gtk_tree_view_get_columns)
 * gtk::tree_view set_column_drag_function (%gtk_tree_view_set_column_drag_function)
 * gtk::tree_view map_expanded_rows (%gtk_tree_view_map_expanded_rows)
 * gtk::tree_view get_cursor (%gtk_tree_view_get_cursor)
 * gtk::tree_view get_path_at_pos (%gtk_tree_view_get_path_at_pos)
 * gtk::tree_view widget_to_tree_coords (%gtk_tree_view_widget_to_tree_coords)
 * gtk::tree_view tree_to_widget_coords (%gtk_tree_view_tree_to_widget_coords)
 * gtk::tree_view enable_model_drag_source (%gtk_tree_view_enable_model_drag_source)
 * gtk::tree_view enable_model_drag_dest (%gtk_tree_view_enable_model_drag_dest)
 * gtk::tree_view get_drag_dest_row (%gtk_tree_view_get_drag_dest_row)
 * gtk::tree_view get_dest_row_at_pos (%gtk_tree_view_get_dest_row_at_pos)
 * gtk::tree_view get_search_equal_func (%gtk_tree_view_get_search_equal_func)
 * gtk::tree_view set_search_equal_func (%gtk_tree_view_set_search_equal_func)
 * gtk::tree_view set_destroy_count_func (%gtk_tree_view_set_destroy_count_func)
 * gtk::tree_view_column new_with_attributes (%gtk_tree_view_column_new_with_attributes)
 * gtk::tree_view_column get_cell_renderers (%gtk_tree_view_column_get_cell_renderers)
 * gtk::tree_view_column set_attributes (%gtk_tree_view_column_set_attributes)
 * gtk::tree_view_column set_cell_data_func (%gtk_tree_view_column_set_cell_data_func)
 * gtk::tree_view_column cell_get_size (%gtk_tree_view_column_cell_get_size)
 * gtk::tree_view_column cell_get_position (%gtk_tree_view_column_cell_get_position)
 * gtk::widget new (%gtk_widget_new)
 * gtk::widget destroyed (%gtk_widget_destroyed)
 * gtk::widget size_allocate (%gtk_widget_size_allocate)
 * gtk::widget list_accel_closures (%gtk_widget_list_accel_closures)
 * gtk::widget region_intersect (%gtk_widget_region_intersect)
 * gtk::widget get_size_request (%gtk_widget_get_size_request)
 * gtk::widget get_clipboard (%gtk_widget_get_clipboard)
 * gtk::widget get_pointer (%gtk_widget_get_pointer)
 * gtk::widget translate_coordinates (%gtk_widget_translate_coordinates)
 * gtk::widget class_install_style_property (%gtk_widget_class_install_style_property)
 * gtk::widget class_install_style_property_parser (%gtk_widget_class_install_style_property_parser)
 * gtk::widget class_find_style_property (%gtk_widget_class_find_style_property)
 * gtk::widget class_list_style_properties (%gtk_widget_class_list_style_properties)
 * gtk::widget style_get_valist (%gtk_widget_style_get_valist)
 * gtk::widget style_get (%gtk_widget_style_get)
 * gtk::widget path (%gtk_widget_path)
 * gtk::widget class_path (%gtk_widget_class_path)
 * gtk::window set_geometry_hints (%gtk_window_set_geometry_hints)
 * gtk::window get_frame_dimensions (%gtk_window_get_frame_dimensions)
 * gtk::window set_icon_list (%gtk_window_set_icon_list)
 * gtk::window get_icon_list (%gtk_window_get_icon_list)
 * gtk::window set_icon_from_file (%gtk_window_set_icon_from_file)
 * gtk::window set_default_icon_list (%gtk_window_set_default_icon_list)
 * gtk::window get_default_icon_list (%gtk_window_get_default_icon_list)
 * gtk::window set_default_icon_from_file (%gtk_window_set_default_icon_from_file)
 * gtk::window list_toplevels (%gtk_window_list_toplevels)
 * gtk::window get_default_size (%gtk_window_get_default_size)
 * gtk::window get_size (%gtk_window_get_size)
 * gtk::window get_position (%gtk_window_get_position)
 *}
 **/
